Patches for Vim - Vi IMproved 8.2

The files in this directory contain source code changes to fix problems
in a released version of Vim.  Each file also contains an explanation of
the problem that is fixed, like the message that was sent to the vim-dev
maillist.

The best is to apply the patches in sequence.  This avoids problems when
a patch depends on a previous patch. 

Before patching, change to the top Vim directory, where the "src" and
"runtime" directories are located.
Depending on the version of "patch" that you use, you may have add an
argument to make it patch the right file:
        patch -p < 8.2.0001
        patch -p0 < 8.2.0001

After applying a patch, you need to compile Vim.  There are no patches
for binaries.

Checksums for the patch files can be found in the file MD5SUMS.


Individual patches for Vim 8.2:

  SIZE  NAME      FIXES
  1549  8.2.0001  #endif comments do not reflect corresponding #ifdef
  2457  8.2.0002  "dj" only deletes first line of closed fold
 16851  8.2.0003  Build file dependencies are incomplete
 16584  8.2.0004  get E685 and E931 if buffer reload is interrupted
  4131  8.2.0005  duplication in version info
  1891  8.2.0006  test using long file name may fail
  4669  8.2.0007  popup menu positioned wrong with folding in two tabs
 11490  8.2.0008  test72 is old style
  3996  8.2.0009  VMS: terminal version doesn't build
 88183  8.2.0010  test64 is old style
  5133  8.2.0011  screen updating wrong when opening preview window
  3423  8.2.0012  some undo functionality is not tested
 17191  8.2.0013  not using a typedef for condstack
 27932  8.2.0014  test69 and test95 are old style
  4754  8.2.0015  not all modeline variants are tested
  1758  8.2.0016  test name used twice, option not restored properly
 48904  8.2.0017  OS/2 and MS-DOS are still mentioned
  2620  8.2.0018  :join does not add white space where it should
  2951  8.2.0019  cannot get number of lines of another buffer
 15312  8.2.0020  mouse clicks in the command line not tested
  3528  8.2.0021  timer test fails too often on Travis with MacOS
  2040  8.2.0022  click in popup window doesn't close it in the GUI
  8371  8.2.0023  command line editing not sufficiently tested
  2104  8.2.0024  filetype Rego not recognized
  1743  8.2.0025  repeated word in comment
292321  8.2.0026  still some /* */ comments
 21092  8.2.0027  still some /* */ comments
  9858  8.2.0028  searchpairpos() is not tested
  3228  8.2.0029  MS-Windows: crash with empty job command
  3988  8.2.0030  "gF" does not work on output of "verbose command"
  2535  8.2.0031  MS-Windows: test for empty job fails
  2887  8.2.0032  MS-Windows: test for blank job fails
  1890  8.2.0033  crash when make_extmatch() runs out of memory
  1798  8.2.0034  missing check for out of memory
 18917  8.2.0035  saving and restoring called_emsg is clumsy
  3171  8.2.0036  not enough test coverage for match functions
  1470  8.2.0037  missing renamed message
  7827  8.2.0038  spell suggestions insufficiently tested
  2696  8.2.0039  memory access error when "z=" has no suggestions
  1763  8.2.0040  timers test is still flaky on Travis for Mac
  2338  8.2.0041  leaking memory when selecting spell suggestion
  1903  8.2.0042  clearing funccal values twice
  1847  8.2.0043  timers test is still flaky on Travis for Mac
 16697  8.2.0044  expression type is used inconsistently
  5301  8.2.0045  script test fails
  9537  8.2.0046  tests for spell suggestions are slow
  6978  8.2.0047  cannot skip tests for specific MS-Windows platform
  1795  8.2.0048  another timers test is flaky on Travis for Mac
  6632  8.2.0049  command line completion not fully tested
  3813  8.2.0050  after deleting a file mark it is still in viminfo
  1913  8.2.0051  command line completion test skipped
  5964  8.2.0052  more-prompt not properly tested
  2507  8.2.0053  windowsversion() does not always return the right value
  6617  8.2.0054  :diffget and :diffput don't have good completion
  2339  8.2.0055  cannot use ":gui" in vimrc with VIMDLL enabled
 62363  8.2.0056  execution stack is incomplete and inefficient
  2705  8.2.0057  cannot build with small features
  1792  8.2.0058  running tests changes ~/.viminfo
  1790  8.2.0059  compiler warnings for unused variables in small build
  2342  8.2.0060  message test only runs with one encoding
  1992  8.2.0061  the execute stack can grow big and never shrinks
  1670  8.2.0062  memory test is flaky on FreeBSD
  1725  8.2.0063  wrong size argument to vim_snprintf()
  6388  8.2.0064  diffmode completion doesn't use per-window setting
  4026  8.2.0065  Amiga and alikes: autoopen only used on Amiga OS4
  7675  8.2.0066  some corners of vim_snprintf() are not tested
 11234  8.2.0067  ERROR_UNKNOWN clashes on some systems
  2106  8.2.0068  crash when using Python 3 with "utf32" encoding
 15191  8.2.0069  ETYPE_ is used for two different enums
  2157  8.2.0070  crash when using Python 3 with "debug" encoding
  2547  8.2.0071  memory test often fails on Cirrus CI
  1636  8.2.0072  memory test still fails on Cirrus CI
  5381  8.2.0073  initializing globals with COMMA is clumsy
  4069  8.2.0074  Python 3 unicode test sometimes fails
  1718  8.2.0075  Python 3 unicode test still sometimes fails
  1723  8.2.0076  Python 3 unicode test fails on MS-Windows
  6570  8.2.0077  settagstack() cannot truncate at current index
  2748  8.2.0078  expanding <sfile> works differently the second time
  1522  8.2.0079  Python 3 unicode test still fails on MS-Windows
  4043  8.2.0080  globals using INIT4() are not in the tags file
  2087  8.2.0081  MS-Windows also need the change to support INIT4()
  2490  8.2.0082  when reusing a buffer listeners are not cleared
  4166  8.2.0083  text properties wrong when tabs and spaces are exchanged
 19804  8.2.0084  complete item "user_data" can only be a string
  3918  8.2.0085  dead code in builtin functions
  2720  8.2.0086  build error for small version
  4305  8.2.0087  crash in command line expansion when out of memory
 16660  8.2.0088  insufficient tests for tags; bug in using extra tag field
  1929  8.2.0089  crash when running out of memory in :setfiletype completion
  1620  8.2.0090  generated files show up in git status
  1869  8.2.0091  compiler warnings for size_t / int types
  8314  8.2.0092  tags functionality insufficiently tested
  2283  8.2.0093  win_splitmove() can make Vim hang
  1516  8.2.0094  MS-Windows: cannot build with Strawberry Perl 5.30
  4518  8.2.0095  cannot specify exit code for :cquit
 13631  8.2.0096  cannot create tiny popup window in last column
  2839  8.2.0097  crash with autocommand and spellfile
  9421  8.2.0098  exe stack length can be wrong without being detected
  2308  8.2.0099  use of NULL pointer when out of memory
 33959  8.2.0100  macros for Ruby are too complicated
  2370  8.2.0101  crash when passing null object to ":echomsg"
  1640  8.2.0102  messages test fails in small version
  3930  8.2.0103  using null object with execute() has strange effects
  2581  8.2.0104  using channel or job with ":execute" has strange effects
  6703  8.2.0105  Vim license not easy to find on github
  8812  8.2.0106  printf formats are not exactly right
  1594  8.2.0107  hgignore is out of sync from gitignore
  5148  8.2.0108  when sign text is changed a manual redraw is needed
  5565  8.2.0109  corrupted text properties when expanding spaces
 16846  8.2.0110  prop_find() is not implemented
 22059  8.2.0111  VAR_SPECIAL is also used for booleans
  2242  8.2.0112  illegal memory access when using 'cindent'
  3850  8.2.0113  "make cmdidxs" fails
  9974  8.2.0114  info about sourced scripts is scattered
  5139  8.2.0115  byte2line() does not work correctly with text properties
  4725  8.2.0116  BufEnter autocmd not triggered on ":tab drop"
  2345  8.2.0117  crash when using gettabwinvar() with invalid arguments
  5488  8.2.0118  crash when cycling to buffers involving popup window 
  1817  8.2.0119  message test fails on some platforms
  4225  8.2.0120  virtcol() does not check arguments to be valid
  4274  8.2.0121  filter() and map() on blob don't work
  8376  8.2.0122  readme files still mention MS-DOS
  4034  8.2.0123  complete_info() does not work when CompleteDone is triggered
  1979  8.2.0124  compiler warnings for variable types
  6470  8.2.0125  :mode no longer works for any system
  1594  8.2.0126  textprop test fails
  3187  8.2.0127  some buffer commands work in a popup window
 12194  8.2.0128  cannot list options one per line
  4494  8.2.0129  MS-Windows installer doesn't use Turkish translations
  2939  8.2.0130  Python3 ranges are not tested
  4110  8.2.0131  command line is not cleared when switching tabs
  3176  8.2.0132  script may be re-used when deleting and creating a new one
  2427  8.2.0133  invalid memory access with search command
  4359  8.2.0134  some map functionality not covered by tests
  2303  8.2.0135  bracketed paste can still cause invalid memory access
  1801  8.2.0136  stray ch_logfile() call
  3314  8.2.0137  crash when using win_execute() from a new tab
  2260  8.2.0138  memory leak when starting a job fails
  2015  8.2.0139  MS-Windows: default for IME is inconsistent
  9953  8.2.0140  CI does not test building doc tags
  2689  8.2.0141  no swift filetype detection
  5532  8.2.0142  possible to enter popup window with CTRL-W p
  1694  8.2.0143  Coverity warning for possible use of NULL pointer
 12830  8.2.0144  some mapping code is not fully tested
  2733  8.2.0145  using #error for compilation errors should be OK now
  3285  8.2.0146  wrong indent when 'showbreak' and 'breakindent' are set
  4848  8.2.0147  block Visual mode operators not correct when 'linebreak' set
  8058  8.2.0148  mapping related function in wrong source file
546902  8.2.0149  maintaining a Vim9 branch separately is more work
  2924  8.2.0150  cannot define python function when using :execute
  5948  8.2.0151  detecting a script was already sourced is unreliable
  2328  8.2.0152  restoring ctrl_x_mode is not needed
  2128  8.2.0153  warning shows when listing version info
 21204  8.2.0154  reallocating the list of scripts is inefficient
  5718  8.2.0155  warnings from MinGW compiler; tests fail without +float
 35557  8.2.0156  various typos in source files and tests
  1822  8.2.0157  Vim9 script files not in list of distributed files
  8411  8.2.0158  triggering CompleteDone earlier is not backwards compatible
 19352  8.2.0159  non-materialized range() list causes problems
  1989  8.2.0160  range test fails
  2619  8.2.0161  not recognizing .gv file as dot filetype
  1730  8.2.0162  balloon test fails in the GUI
  2779  8.2.0163  test hangs on MS-Windows console
  6803  8.2.0164  test_alot takes too long
  1586  8.2.0165  Coverity warning for using NULL pointer
  1738  8.2.0166  Coverity warning for using uninitialized variable
  2056  8.2.0167  Coverity warning for ignoring return value
  1918  8.2.0168  Coverity warning for assigning NULL to an option
  1546  8.2.0169  Coverity warning for dead code
  2419  8.2.0170  Coverity warning for ignoring return value
  1566  8.2.0171  Coverity warning for using uninitialized buffer
  1958  8.2.0172  Coverity warning for not restoring character
 28537  8.2.0173  build fails with old compiler
 15856  8.2.0174  various commands not completely tested
  2955  8.2.0175  crash when removing list element in map()
  1429  8.2.0176  generating os headers does not work for Swedish
  1548  8.2.0177  memory leak in get_tags()
  4310  8.2.0178  with VTP the screen may not be restored properly
 17652  8.2.0179  still a few places where range() does not work
  1720  8.2.0180  test for wrapmargin fails if terminal is not 80 columns
 17654  8.2.0181  problems parsing :term arguments
  2252  8.2.0182  min() and max() materialize a range() list
 60266  8.2.0183  tests fail when the float feature is disabled
  1590  8.2.0184  blob test fails
 16105  8.2.0185  Vim9 script: cannot use "if has()" to skip lines
  2393  8.2.0186  a couple of tests may fail when features are missing
  1850  8.2.0187  reduntant code
  8482  8.2.0188  Check commands don't work well with Vim9 script
  2087  8.2.0189  cd() with NULL argument crashes
  2564  8.2.0190  Kotlin files are not recognized
 31598  8.2.0191  cannot put a terminal in a popup window
  3621  8.2.0192  build failure without +terminal feature
  1938  8.2.0193  still build failure without +terminal feature
 10759  8.2.0194  some commands can cause problems in terminal popup
  2900  8.2.0195  some tests fail when run in the GUI
  5288  8.2.0196  blocking commands for a finished job in a popup window
 10593  8.2.0197  some Ex commands not sufficiently tested
  3151  8.2.0198  no tests for y/n prompt
  5865  8.2.0199  Vim9 script commands not sufficiently tested
 26806  8.2.0200  Vim9 script commands not sufficiently tested
 18634  8.2.0201  cannot assign to an imported variable
  1417  8.2.0202  when 'lazyredraw' is set the window title may not be updated
 11345  8.2.0203  :helptags and some other functionality not tested
  3391  8.2.0204  crash when using winnr('j') in a popup window
  2126  8.2.0205  error code E899 used twice
  4162  8.2.0206  calling Vim9 function using default argument fails
  4686  8.2.0207  crash when missing member type on list argument
  6927  8.2.0208  fnamemodify() does not apply ":~" when followed by ":."
  4772  8.2.0209  function a bit far away from where it's used
  1736  8.2.0210  Coverity complains about uninitialized field
  2762  8.2.0211  test for ANSI colors fails without an "ls" command
 10146  8.2.0212  missing search/substitute pattern hardly tested
  3497  8.2.0213  configure does not recognize gcc 10.0 and later
  4637  8.2.0214  a popup window with a terminal can be made hidden
  2675  8.2.0215  wrong file name shortening
  5306  8.2.0216  several Vim9 instructions are not tested
  1817  8.2.0217  terminal test fails on Mac
  6678  8.2.0218  several Vim9 instructions are not tested
  2103  8.2.0219  terminal test still fails on Mac
  2078  8.2.0220  terminal test did pass on Mac
  3281  8.2.0221  no test for Vim9 += and ..=
 16301  8.2.0222  Vim9: optional function arguments don't work yet
 19305  8.2.0223  some instructions not yet tested
  5603  8.2.0224  compiling :elseif not tested yet
  4828  8.2.0225  compiling lambda not tested yet
  3825  8.2.0226  compiling for loop not tested
  3870  8.2.0227  compiling a few instructions not tested
  2846  8.2.0228  configure does not recognize gcc version on BSD
 11790  8.2.0229  compare instructions not tested
  1806  8.2.0230  terminal popup test is flaky
  1961  8.2.0231  silent system command may clear the screen
  2709  8.2.0232  the :compiler command causes a crash
 12940  8.2.0233  crash when using garbagecollect() in between rand()
  2512  8.2.0234  message test fails on SunOS
  2936  8.2.0235  draw error when an empty group is removed from 'statusline'
  1768  8.2.0236  MS-Windows uninstall doesn't delete vimtutur.bat
  2231  8.2.0237  crash when setting 'wincolor' on finished terminal window
  2798  8.2.0238  MS-Windows: job_stop() results in exit value zero
  3106  8.2.0239  MS-Windows: 'env' job option does not override existing vars
  3881  8.2.0240  using memory after it was freed
  2064  8.2.0241  crash when setting 'buftype' to "quickfix"
  2147  8.2.0242  preview popup window test fails with long directory name
 22438  8.2.0243  insufficient code coverage for ex_docmd.c functions
  1994  8.2.0244  compiler warning in Lua interface
  1725  8.2.0245  MSVC: error message if the auto directory already exists
  5304  8.2.0246  MSVC: deprecation warnings with Ruby
  1808  8.2.0247  misleading comment in NSIS installer script
  5569  8.2.0248  MS-Windows: dealing with deprecation is too complicated
  2652  8.2.0249  MS-Windows: various warnings
  7215  8.2.0250  test_clear_search_pat() is unused
  4121  8.2.0251  a couple of function return types can be more specific
  2092  8.2.0252  Windows compiler warns for using size_t
  3477  8.2.0253  crash when using :disassamble without argument
  1763  8.2.0254  compiler warning for checking size_t to be negative
  2635  8.2.0255  VMS: missing files in build
 68712  8.2.0256  time and timer related code is spread out
  8540  8.2.0257  cannot recognize a terminal in a popup window
  6070  8.2.0258  modifyOtherKeys cannot be temporarily disabled
  2932  8.2.0259  terminal in popup test sometimes fails
 16546  8.2.0260  several lines of code are duplicated
 10871  8.2.0261  some code not covered by tests
  1617  8.2.0262  fileformat test fails on MS-Windows
  3205  8.2.0263  a few new Vim9 messages are not localized
  1845  8.2.0264  fileformat test still fails on MS-Windows
  1949  8.2.0265  "eval" after "if 0" doesn't check for following command
  1437  8.2.0266  terminal in popup test sometimes fails on Mac
  2107  8.2.0267  no check for a following cmd when calling a function fails
  1697  8.2.0268  trycatch test fails
  2877  8.2.0269  Vim9: operator after list index does not work
 24105  8.2.0270  some code not covered by tests
 14835  8.2.0271  the "num64" feature is available everywhere
  5481  8.2.0272  ":helptags ALL" gives error for some directories
  3732  8.2.0273  MS-Windows uninstall may delete wrong batch file
  2875  8.2.0274  hang with combination of feedkeys(), Ex mode and :global
  8120  8.2.0275  some Ex code not covered by tests
  3469  8.2.0276  Vim9: not allowing space before ")" in function call
  5067  8.2.0277  Vim9: not all instructions covered by tests
  1932  8.2.0278  channel test is flaky on Mac
  2150  8.2.0279  Vim9: no test for deleted :def function
  2155  8.2.0280  Vim9: throw in :def function not caught higher up
  4844  8.2.0281  two placed signs in the same line are not combined
  4136  8.2.0282  Vim9: setting number option not tested
  3668  8.2.0283  Vim9: failing to load script var not tested
  1579  8.2.0284  Vim9: assignment test fails
  6719  8.2.0285  unused error message; cannot create s:var
  7325  8.2.0286  cannot use popup_close() for a terminal popup
  2925  8.2.0287  Vim9: return in try block not tested; catch not tested
  8199  8.2.0288  Vim9: some float and blob operators not tested
  1390  8.2.0289  Vim9: :echo did not clear the rest of the line
  2419  8.2.0290  running individual test differs from all tests
  7996  8.2.0291  Vim9: assigning [] to list<string> doesn't work
  2267  8.2.0292  Vim9: CHECKNR and CHECKTYPE instructions not tested
 14618  8.2.0293  various Ex commands not sufficiently tested
 13597  8.2.0294  cannot use Ex command that is also a function name
 17226  8.2.0295  highlighting for :s wrong when using different separator
 19909  8.2.0296  mixing up "long long" and __int64 may cause problems
  2148  8.2.0297  compiler warnings for the Ruby interface
  5679  8.2.0298  Vim9 script: cannot start command with a string constant
  5897  8.2.0299  Vim9: ISN_STORE with argument not tested
  1754  8.2.0300  Vim9: expression test fails without channel support
  8193  8.2.0301  insufficient testing for exception handling
  3046  8.2.0302  setting 'term' may cause error in TermChanged autocommand
  1422  8.2.0303  TermChanged test fails in the GUI
  1878  8.2.0304  terminal test if failing on some systems
  3421  8.2.0305  relativenumber test fails on some systems
  2909  8.2.0306  Vim9: :substitute(pat(repl does not work in Vim9 script
  3011  8.2.0307  Python 3 vim.eval not well tested
  2565  8.2.0308  'showbreak' does not work for a very long line
  5888  8.2.0309  window-local values have confusing name
  2827  8.2.0310  autocmd test fails on a slow system
  2598  8.2.0311  Vim9: insufficient script tests
 12101  8.2.0312  Vim9: insufficient script tests
  5539  8.2.0313  Vim9: insufficient script tests
  1854  8.2.0314  short name not set for terminal buffer
  2997  8.2.0315  build failure on HP-UX system
  9089  8.2.0316  ex_getln.c code has insufficient test coverage
  1884  8.2.0317  MSVC: _CRT_SECURE_NO_DEPRECATE not defined on DEBUG build
  4475  8.2.0318  Vim9: types not sufficiently tested
  3544  8.2.0319  file missing in distribution, comments outdated
222244  8.2.0320  no Haiku support
  8639  8.2.0321  Vim9: ":execute" does not work yet
  5701  8.2.0322  Vim9: error checks not tested
  8478  8.2.0323  Vim9: calling a function that is defined later is slow
  8788  8.2.0324  text property not updated correctly when inserting/deleting
 10818  8.2.0325  ex_getln.c code not covered by tests
  1788  8.2.0326  compiler warning for using uninitialized variable
  2981  8.2.0327  crash when opening and closing two popup terminal windows
 15040  8.2.0328  no redraw when leaving term-normal mode in popup terminal
  3708  8.2.0329  popup filter converts 0x80 bytes
  1381  8.2.0330  build error with popup window but without terminal
  3220  8.2.0331  internal error when using test_void() and test_unknown()
  4519  8.2.0332  some code in ex_getln.c not covered by tests
  3982  8.2.0333  terminal in popup test is flaky
  6119  8.2.0334  abort called when using test_void()
  4242  8.2.0335  no completion for :disassemble
 12094  8.2.0336  Vim9: insufficient test coverage for compiling
  1555  8.2.0337  build fails on a few systems
  1477  8.2.0338  build failure without the channel feature
 74311  8.2.0339  Vim9: function return type may depend on arguments
  5078  8.2.0340  Vim9: function and partial types not tested
  3144  8.2.0341  using ":for" in Vim9 script gives an error
  5710  8.2.0342  some code in ex_getln.c not covered by tests
  4773  8.2.0343  Vim9: using wrong instruction, limited test coverage
  1480  8.2.0344  ":def" not skipped properly
  1500  8.2.0345  compiler warning when building without the float feature
  7931  8.2.0346  Vim9: finding common list type not tested
 10476  8.2.0347  various code not covered by tests
 10799  8.2.0348  Vim9: not all code tested
  3030  8.2.0349  Vim9: constant expression not well tested
 22031  8.2.0350  Vim9: expression tests don't use recognized constants
  1512  8.2.0351  terminal in popup test is still a bit flaky
  4177  8.2.0352  FreeBSD: test for sourcing utf-8 is skipped
  2687  8.2.0353  Vim9: while loop not tested
  1469  8.2.0354  Python 3.9 does not define _Py_DEC_REFTOTAL
  4404  8.2.0355  Vim9: str_val is confusing, it's a number
  6740  8.2.0356  MS-Windows: feedkeys() with VIMDLL cannot handle CSI
  4030  8.2.0357  cannot delete a text property matching both id and type
  8982  8.2.0358  insufficient testing for indent.c
  2237  8.2.0359  popup_atcursor() may hang
  1942  8.2.0360  yaml files are only recognized by the file extension
  3125  8.2.0361  internal error when using "0" for a callback
  2175  8.2.0362  MS-Windows: channel test fails if grep is not available
 22535  8.2.0363  some Normal mode commands not tested
  2530  8.2.0364  printf test failing on Haiku
  4851  8.2.0365  tag kind can't be a multi-byte character
  7335  8.2.0366  hardcopy command not tested enough
  2149  8.2.0367  can use :pedit in a popup window
  7477  8.2.0368  Vim9: import that redefines local variable does not fail
 34492  8.2.0369  various Normal mode commands not fully tested
  2417  8.2.0370  the typebuf_was_filled flag is sometimes not reset
  6732  8.2.0371  crash with combination of terminal popup and autocmd
  4466  8.2.0372  prop_find() may not find text property at start of the line
  2526  8.2.0373  type of term_sendkeys() is unknown
  1534  8.2.0374  using wrong printf directive for jump location
  3338  8.2.0375  Coverity warning for not using return value
  1462  8.2.0376  nasty callback test fails on some systems
  2933  8.2.0377  no CI test for a big-endian system
  2701  8.2.0378  prop_find() does not find all props
  1792  8.2.0379  gcc warns for ambiguous else
  5731  8.2.0380  tiny popup when creating a terminal popup without minwidth
  2771  8.2.0381  using freed memory with :lvimgrep and autocommand
 11662  8.2.0382  some tests fail when run under valgrind
  1593  8.2.0383  wrong feature check causes test not to be run
  3707  8.2.0384  Travis CI has warnings
 38895  8.2.0385  menu functionality insufficiently tested
  1773  8.2.0386  part from unfinished patch got included
  2338  8.2.0387  error for possible NULL argument to qsort()
  6692  8.2.0388  printmbcharset option not tested
  1597  8.2.0389  delayed redraw when shifting text from Insert mode
  6796  8.2.0390  terminal postponed scrollback test is flaky
  2615  8.2.0391  CI test coverage dropped
  3116  8.2.0392  Coverity warns for using array index out of range
  2211  8.2.0393  Coverity warns for not using return value
  1671  8.2.0394  Coverity complains about using NULL pointer
  1833  8.2.0395  build fails with FEAT_EVAL but without FEAT_MENU
 12909  8.2.0396  cmdexpand.c insufficiently tested
  2502  8.2.0397  delayed screen update when using undo from Insert mode
  5040  8.2.0398  profile test fails when two functions take same time
  4842  8.2.0399  various memory leaks
  4248  8.2.0400  not all tests using a terminal are in the list of flaky tests
 17132  8.2.0401  not enough test coverage for evalvars.c
  3478  8.2.0402  setting local instead of global flag
  2868  8.2.0403  when 'buftype' is "nofile" there is no overwrite check
  2048  8.2.0404  writefile() error does not give a hint
  3073  8.2.0405  MSVC: build fails with some combination of features
  2253  8.2.0406  FileReadCmd event not well tested
  4043  8.2.0407  no early check if :find and :sfind have an argument
  1381  8.2.0408  delete() commented out for testing
 13412  8.2.0409  search test leaves file behind
  2012  8.2.0410  channel test fails too often on slow Mac
  1822  8.2.0411  Mac: breakcheck is using a value from the stone ages
  2909  8.2.0412  MS-Windows: cannot use vimtutor from the start menu
 20994  8.2.0413  buffer menu does not handle special buffers properly
  5532  8.2.0414  channel connect_waittime() test is flaky
  3208  8.2.0415  bsdl filetype is not detected
  1592  8.2.0416  test leaves file behind
  8668  8.2.0417  Travis CI config can be improved
 20647  8.2.0418  code in eval.c not sufficiently covered by tests
 18711  8.2.0419  various memory leaks in Vim9 script code
  3066  8.2.0420  Vim9: cannot interrupt a loop with CTRL-C
  4020  8.2.0421  interrupting with CTRL-C does not always work
  2571  8.2.0422  crash when passing popup window to win_splitmove()
  5553  8.2.0423  in some environments a few tests are expected to fail
  2485  8.2.0424  checking for wrong return value
 51025  8.2.0425  code for modeless selection not sufficiently tested
  5649  8.2.0426  some errors were not tested for
 37995  8.2.0427  it is not possible to check for a typo in a feature name
  2844  8.2.0428  buffer name may leak
  1567  8.2.0429  no warning when test checks for option that never exists
  5262  8.2.0430  window creation failure not properly tested
  1993  8.2.0431  some compilers don't support using \e for Esc
  6156  8.2.0432  a few tests fail in a huge terminal
  5088  8.2.0433  INT signal not properly tested
  1453  8.2.0434  MS-Windows with VTP: Normal color not working
  2069  8.2.0435  channel contents might be freed twice
 13442  8.2.0436  no warnings for incorrect printf arguments
  6700  8.2.0437  MS-Windows installer contains old stuff
  2671  8.2.0438  terminal noblock test is very flaky on BSD
  5108  8.2.0439  :disassemble has minor flaws
  3341  8.2.0440  terminal noblock test is still very flaky on BSD
  2913  8.2.0441  terminal noblock test is still failing on BSD
  2756  8.2.0442  channel contents might be used after being freed
138665  8.2.0443  clipboard code is spread out
  3318  8.2.0444  swap file test fails on some systems
  2354  8.2.0445  png and xpm files not in MS-Windows zip file
  2469  8.2.0446  listener with undo of deleting all lines not tested
  2376  8.2.0447  terminal scroll tests fails on some systems
 24985  8.2.0448  various functions not properly tested
  3011  8.2.0449  Vim9: crash if return type is invalid
 11029  8.2.0450  not enough testing for restricted mode and function calls
  1616  8.2.0451  Win32: double-width character displayed incorrectly
  2272  8.2.0452  channel_parse_messages() fails when called recursively
  3245  8.2.0453  trailing space in job_start() command causes empty argument
  6485  8.2.0454  some tests fail when the system is slow
 19952  8.2.0455  cannot set the highlight group for a specific terminal
  2705  8.2.0456  Test_confirm_cmd is flaky
  2425  8.2.0457  Test_quotestar() often fails when run under valgrind
  1622  8.2.0458  missing feature check in test function
 47687  8.2.0459  cannot check if a function name is correct
  2644  8.2.0460  build failure because of wrong feature name
  1571  8.2.0461  confirm test fails on amd64 system
  3344  8.2.0462  previewwindow test fails on some systems
  2512  8.2.0463  build error without float and channel feature
  5648  8.2.0464  typos and other small problems
  5874  8.2.0465  Vim9: dead code and wrong return type
  4471  8.2.0466  not parsing messages recursively breaks the govim plugin
  8203  8.2.0467  Vim9: some errors are not tested
  7139  8.2.0468  GUI: pixel dust with some fonts and characters
  4360  8.2.0469  Vim9: no error for missing ] after list
  1964  8.2.0470  Test_confirm_cmd_cancel() can fail on a slow system
  1742  8.2.0471  missing change to compile_list()
  1387  8.2.0472  terminal highlight name is set twice, leaking memory
  3546  8.2.0473  variables declared in an outer scope
  3388  8.2.0474  cannot use :write when using a plugin with BufWriteCmd
  2200  8.2.0475  channel out_cb test still fails sometimes on Mac
  2355  8.2.0476  terminal nasty callback test fails sometimes
  3314  8.2.0477  Vim9: error messages not tested
  4593  8.2.0478  new buffers are not added to the Buffers menu
  4619  8.2.0479  unloading shared libraries on exit has no purpose
  3494  8.2.0480  Vim9: some code is not tested
  7070  8.2.0481  Travis is still using trusty
 31807  8.2.0482  channel and sandbox code not sufficiently tested
  2688  8.2.0483  Vim9: "let x = x + 1" does not give an error
  2872  8.2.0484  Vim9: some error messages not tested
  2494  8.2.0485  Vim9 script test fails
  7966  8.2.0486  Vim9: some code and error messages not tested
  9517  8.2.0487  Vim9: compiling not sufficiently tested
  5274  8.2.0488  Vim9: compiling can break when using a lambda inside :def
  6260  8.2.0489  Vim9: memory leaks
  1753  8.2.0490  Win32: VTP doesn't respect 'restorescreen'
  4764  8.2.0491  cannot recognize a <script> mapping using maparg()
  8956  8.2.0492  Vim9: some error messages not tested
 10688  8.2.0493  Vim9: some error messages not tested
  1658  8.2.0494  Vim9: asan error
  4771  8.2.0495  Vim9: some code not tested
  3400  8.2.0496  Vim9: disassemble test fails
  2604  8.2.0497  too verbose output from the asan build in Travis
  1734  8.2.0498  Coverity complains about uninitialized field
  9226  8.2.0499  calling a lambda is slower than evaluating a string
 66291  8.2.0500  using the same loop in many places
  1898  8.2.0501  Vim9: script test fails when channel feature is missing
 19346  8.2.0502  Vim9: some code is not tested
  7976  8.2.0503  Vim9: some code is not tested
  2309  8.2.0504  Vim9: leaking scope memory when compilation fails
  3719  8.2.0505  term_getty() not sufficiently tested
  1633  8.2.0506  Coverity complains about ignoring return value
  2762  8.2.0507  getbufvar() may get the wrong dictionary
 30864  8.2.0508  Vim9: func and partial types not done yet
 24280  8.2.0509  various code is not properly tested.
  2440  8.2.0510  Coverity complains about using uninitialized variable
 16222  8.2.0511  Cscope code not fully tested
 59487  8.2.0512  Vim9: no optional arguments in func type
  2963  8.2.0513  reading past allocated memory when using varargs
  7872  8.2.0514  several global functions are used in only one file
  3269  8.2.0515  some compilers cannot add to "void *"
 62078  8.2.0516  client-server code is spread out
 20530  8.2.0517  Vim9: cannot separate "func" and "func(): void"
  2171  8.2.0518  a terminal falls back to setting $TERM to "xterm"
  3535  8.2.0519  Vim9: return type not properly checked
  1684  8.2.0520  tests are not listed in sorted order
  3372  8.2.0521  crash when reading a blob fails
 19080  8.2.0522  several errors are not tested for
 24711  8.2.0523  loops are repeated
  4202  8.2.0524  Win32: searching for file matches is slow
  2287  8.2.0525  Win32: typo in assignment and misplaced paren
  1987  8.2.0526  Gcc 9 complains about empty statement
 11280  8.2.0527  Vim9: function types insufficiently tested
  4916  8.2.0528  Vim9: function arguments insufficiently tested
  4079  8.2.0529  Vim9: function argument with default not checked
  2154  8.2.0530  test crashes on s390
 18580  8.2.0531  various errors not tested
  3815  8.2.0532  cannot use simplify() as a method
 80555  8.2.0533  tests using term_wait() can still be flaky
  1907  8.2.0534  client-server test fails under valgrind
 16365  8.2.0535  regexp patterns not fully tested
  7167  8.2.0536  Vim9: some compilation code not tested
  2870  8.2.0537  Vim9: no check for sandbox when setting v:var
  6495  8.2.0538  Vim9: VAR_PARTIAL is not used during compilation
  2704  8.2.0539  comparing two NULL list fails
 27185  8.2.0540  regexp and other code not tested
 12645  8.2.0541  Travis CI does not give compiler warnings
  2850  8.2.0542  no test for E386
 22793  8.2.0543  Vim9: function with varargs does not work properly
  1659  8.2.0544  memory leak in search test
  8952  8.2.0545  unused arguments ignored in non-standard way
  8179  8.2.0546  Vim9: varargs implementation is inefficient
  3456  8.2.0547  Win32: restoring screen not always done right
  6057  8.2.0548  Vim9: not all possible func type errors tested
  4029  8.2.0549  user systemd files not recognized
  3721  8.2.0550  some changes in the libvterm upstream code
  9085  8.2.0551  not all code for options is tested
  4613  8.2.0552  Vim9: some errors not covered by tests
  1797  8.2.0553  error for unused argument
  2903  8.2.0554  the GUI doesn't set t_Co
  7648  8.2.0555  Vim9: line continuation is not always needed
  1931  8.2.0556  Vim9: memory leak when finding common type
 57292  8.2.0557  no IPv6 support for channels
  2319  8.2.0558  Vim9: dict code not covered by tests
 79607  8.2.0559  clearing a struct is verbose
  2728  8.2.0560  compiler warning in tiny build
  7223  8.2.0561  Vim9: cannot split function call in multiple lines
 17585  8.2.0562  Vim9: cannot split an expression into multiple lines
  8350  8.2.0563  Vim9: cannot split a function line
  3563  8.2.0564  Vim9: calling a def function from non-vim9 may fail
 49216  8.2.0565  Vim9: tests contain superfluous line continuation
  2226  8.2.0566  Vim9: variable can be used uninitialized
 14904  8.2.0567  Vim9: cannot put comments halfway expressions
  4334  8.2.0568  the man filetype plugin overwrites the unnamed register
  1443  8.2.0569  build failure with tiny version
  6986  8.2.0570  Vim9: no error when omitting type from argument
  2107  8.2.0571  double free when passing invalid argument to job_start()
  1481  8.2.0572  using two lines for free and reset
  3947  8.2.0573  using :version twice leaks memory
  2479  8.2.0574  ipv6 feature not shown in :version output
  2199  8.2.0575  :digraph! not tested
  3186  8.2.0576  some errors are not covered by tests
 11063  8.2.0577  not all modifiers supported for :options
170171  8.2.0578  heredoc for interfaces does not support "trim"
  1949  8.2.0579  Coverity warns for unused value
  3352  8.2.0580  window size wrong if 'ea' is off and 'splitright' is on
  3366  8.2.0581  Win32 console: the cursor position is always top-left
  3881  8.2.0582  color ramp test does not show text colors
  5624  8.2.0583  Vim9: # comment not recognized in :def function
  1871  8.2.0584  viminfo file uses obsolete function file_readable()
  9320  8.2.0585  Vim9: # comment not recognized after :vim9script
  2928  8.2.0586  Vim9: # comment not sufficiently tested
  1514  8.2.0587  compiler warning for unused variable
  2896  8.2.0588  Putty does not use "sgr" 'ttymouse' by default
  2692  8.2.0589  .bsd file type not recognized
 10197  8.2.0590  no 'backspace' value allows ignoring the insertion point
  2078  8.2.0591  MS-Windows: should always support IPv6
  1452  8.2.0592  MS-Windows with VTP: cursor is not made invisible
  3454  8.2.0593  finding a user command is not optimal
  5569  8.2.0594  MS-Windows: cannot build with WINVER set to 0x0501
 13856  8.2.0595  Vim9: not all commands using ends_excmd() tested
  2578  8.2.0596  crash in test49
 11893  8.2.0597  test_eval is old style
  2095  8.2.0598  test_eval_stuff fails in normal terminal
 39503  8.2.0599  Netbeans interface insufficiently tested
 15104  8.2.0600  Vim9: cannot read or write w:, t: and b: variables
 18763  8.2.0601  Vim9: :unlet is not compiled
  5346  8.2.0602  :unlet $VAR does not work properly
  3436  8.2.0603  configure does not detect moonjit
  2555  8.2.0604  :startinsert in a terminal window used later
  5493  8.2.0605  Vim9: cannot unlet an environment variable
  6521  8.2.0606  several syntax HL errors not checked
  3281  8.2.0607  gcc warns for using uninitialized variable
  1825  8.2.0608  warning from clang when building message test
  2638  8.2.0609  configure does not detect moonjit correctly
 20102  8.2.0610  some tests are still old style
  4958  8.2.0611  Vim9: no check for space before #comment
 10955  8.2.0612  Vim9: no check for space before #comment
 19950  8.2.0613  Vim9: no check for space before #comment
 13804  8.2.0614  get ml_get error when deleting a line in 'completefunc'
 20671  8.2.0615  regexp benchmark stest is old style
  1630  8.2.0616  build error when disabling the diff feature
  2537  8.2.0617  new error check triggers in Swedish menu
  2449  8.2.0618  echoing a null list results in no output
 14373  8.2.0619  null dict is not handled like an empty dict
  5710  8.2.0620  error in menu translations
  2572  8.2.0621  after running tests asan files may remain
 12786  8.2.0622  Haiku: GUI does not compile
  1515  8.2.0623  typo in test comment
  8560  8.2.0624  Vim9: no check for space before #comment
  4724  8.2.0625  Vim9: confusing error when calling unknown function
 13965  8.2.0626  Vim9: wrong syntax of function in Vim9 script
  1400  8.2.0627  Vim9: error message does not work
 80527  8.2.0628  error in menu translations
  3002  8.2.0629  setting a boolean option to v:false does not work
  1243  8.2.0630  "make tags" does not cover Haiku GUI file
256246  8.2.0631  Haiku file formatted with wrong tabstop
  1446  8.2.0632  crash when using Haiku
 13635  8.2.0633  crash when using null partial in filter()
 19251  8.2.0634  crash with null partial and blob
  1648  8.2.0635  when using 256 colors DarkYellow does not show expected color
  1532  8.2.0636  :messages does not show the maintainer when $LANG is unset
  3257  8.2.0637  incsearch highlighting does not work for ":sort!"
  1522  8.2.0638  MS-Windows: messages test fails
  3529  8.2.0639  MS-Windows: messages test still fails
 42251  8.2.0640  Vim9: expanding `=expr` does not work
  5150  8.2.0641  Vim9: `=expr` not expanded in :hardcopy and syn-include
  2452  8.2.0642  Vim9: using invalid index
  2947  8.2.0643  terminal uses brown instead of dark yellow
 16983  8.2.0644  insufficient testing for invalid function arguments
  1885  8.2.0645  MS-Windows terminal: CTRL-C does not get to child job
  3028  8.2.0646  t_Co uses the value of $COLORS in the GUI
  2158  8.2.0647  MS-Windows: repeat count for events was not used
  2826  8.2.0648  semicolon search does not work in first line
  2820  8.2.0649  undo problem when an InsertLeave autocommand resets undo
 35386  8.2.0650  Vim9: script function can be deleted
  1496  8.2.0651  old style benchmark test still in list of distributed files
  2106  8.2.0652  compiler warning for char conversion
  4836  8.2.0653  using uninitialized pointer
  1488  8.2.0654  building with Python fails
 26350  8.2.0655  search code not sufficiently tested
  3410  8.2.0656  MS-Windows: redrawing right screen edge may not be needed
  6097  8.2.0657  Vim9: no check if called variable is a FuncRef
  1772  8.2.0658  HP-UX build fails when setenv() is not defined
  4013  8.2.0659  Vim9: no test for equal func type
118151  8.2.0660  the search.c file is a bit big
 24388  8.2.0661  eval test is still old style
  4767  8.2.0662  cannot use input() in a channel callback
  3841  8.2.0663  not all systemd temp files are recognized
  8718  8.2.0664  included undesired changes in Makefile
  6066  8.2.0665  wrongly assuming Python executable is called "python"
  3259  8.2.0666  Ruby test fails on MS-Windows
 26612  8.2.0667  cannot install Haiku version from source
  1562  8.2.0668  compiler warning for int/size_t usage
 16315  8.2.0669  MS-Windows: display in VTP is a bit slow
 20544  8.2.0670  cannot change window when evaluating 'completefunc'
  3380  8.2.0671  Haiku: compiler warnings
  5492  8.2.0672  heredoc in scripts does not accept lower case marker
  1726  8.2.0673  cannot build Haiku in shadow directory
 79652  8.2.0674  some source files are too big
 22831  8.2.0675  Vim9: no support for closures
  1641  8.2.0676  pattern in list of distributed files does not match
 23542  8.2.0677  Vim9: no support for closures
  1780  8.2.0678  rare crash for popup menu
 27973  8.2.0679  Vim9: incomplete support for closures
  6905  8.2.0680  PTYGROUP and PTYMODE are unused
  1493  8.2.0681  pattern for 'hlsearch' highlighting may leak
  1883  8.2.0682  Vim9: parsing function argument type can get stuck
  6353  8.2.0683  Vim9: parsing type does not always work
 12152  8.2.0684  Vim9: memory leak when using lambda
  2097  8.2.0685  Build failure
  7595  8.2.0686  formatoptions not sufficiently tested
  5248  8.2.0687  some tests do not work on FreeBSD
  2726  8.2.0688  output clobbered if setting 'verbose' to see shell commands
  2291  8.2.0689  when using getaddrinfo() the error message is unclear
  3405  8.2.0690  line number of option set by modeline is wrong
  2021  8.2.0691  startup test fails
  1997  8.2.0692  startup test fails on MS-Windows
  6133  8.2.0693  closure using argument not tested
  7899  8.2.0694  Haiku: channel and terminal do not work
 16197  8.2.0695  Vim9: cannot define a function inside a function
  5946  8.2.0696  Vim9: nested function does not work properly
  3023  8.2.0697  Vim9: memory leak when using nested function
  7906  8.2.0698  insert mode completion not fully tested
  9168  8.2.0699  Vim9: not all errors tested
  2651  8.2.0700  Vim9: converting error message to exception not tested
  2076  8.2.0701  Vim9 test fails without job feature
  1516  8.2.0702  running channel tests may leave running process behind
  9195  8.2.0703  Vim9: closure cannot store value in outer context
  2755  8.2.0704  Vim9: memory leak in disassemble test
  1829  8.2.0705  indent tests don't run on CI for FreeBSD
  3192  8.2.0706  Vim9: using assert_fails() causes function to finish
  1595  8.2.0707  Vim9 function test fails
 24586  8.2.0708  Vim9: constant expressions are not simplified
  1509  8.2.0709  MS-Windows: compiler warning for int vs size_t
  1547  8.2.0710  Netbeans test sometimes fails
  6638  8.2.0711  temp directory might be cleared
  5231  8.2.0712  various code not fully tested
  2152  8.2.0713  the pam_environment file is not recognized
 13770  8.2.0714  Vim9: handling constant expression does not scale
  1430  8.2.0715  Vim9: leaking memory
  2728  8.2.0716  Vim9: another memory leak
 20204  8.2.0717  Vim9: postponed constant expressions does not scale
  1654  8.2.0718  gcc warning for returning pointer to local variable
 45696  8.2.0719  Vim9: more expressions can be evaluated at compile time
  2159  8.2.0720  occasional exit when encountering an X error
  1746  8.2.0721  Vim9: leaking memory when skipping
 12869  8.2.0722  Vim9: not handling constant expression for elseif
  5203  8.2.0723  Vim9: nested constant expression not evaluated compile time
  1984  8.2.0724  Vim9: appending to buffer/window/tab variable not tested
 19244  8.2.0725  Vim9: cannot call a function declared later in Vim9 script
  2374  8.2.0726  Vim9: leaking memory when calling not compiled :def function
  1969  8.2.0727  MS-Windows: new gcc compiler does not support scanf format
  2972  8.2.0728  messages about a deadly signal are not left aligned
  6005  8.2.0729  Vim9: When reloading a script variables are not cleared
 32353  8.2.0730  Vim9: Assignment to dict member does not work
  2208  8.2.0731  Vim9: parsing declarations continues after :finish
  2247  8.2.0732  Vim9: storing value in dict messes up stack
  5593  8.2.0733  Vim9: assigning to dict or list argument does not work
  1751  8.2.0734  Vim9: leaking memory when using :finish
  1997  8.2.0735  Vim9: using unitialized memory
  2755  8.2.0736  some files not recognized as pamenv
  3643  8.2.0737  when shell doesn't support CTRL-Z Vim still handles it
 22852  8.2.0738  mouse handling in a terminal window not well tested
  4785  8.2.0739  incomplete profiling when exiting because of a deadly signal
 11953  8.2.0740  minor message mistakes
 51488  8.2.0741  Python tests fail because of changed message
  2914  8.2.0742  handling of a TERM signal not tested
  2639  8.2.0743  can move to another buffer from a terminal in popup window
  1921  8.2.0744  the name vim is not capitalized in a message
  2463  8.2.0745  crash on exit when not all popups are closed
  4684  8.2.0746  popup_clear() hangs when a popup can't be closed
 14071  8.2.0747  cannot forcefully close all popups
  7749  8.2.0748  cannot get a list of all popups
  1733  8.2.0749  TERM signal test fails on FreeBSD
  2593  8.2.0750  netbeans test is a bit flaky
 26178  8.2.0751  Vim9: performance can be improved
  2170  8.2.0752  terminal in popup window test is a bit flaky
 45540  8.2.0753  Vim9: expressions are evaluated in the discovery phase
  1981  8.2.0754  Vim9: No test for forward declaration
  5297  8.2.0755  Vim9: No error when variable initializer is not a constant
  1878  8.2.0756  MS-Windows: still a compiler warning
 11771  8.2.0757  Vim9: no test for MEMBER instruction
 22918  8.2.0758  Vim9: no test for STORELIST and STOREDICT
 10549  8.2.0759  Vim9: missing changes for performance improvements
  2814  8.2.0760  Vim9: dict member errors not tested
  5874  8.2.0761  Vim9: instructions not tested
  2383  8.2.0762  buffer is not considered modified after setting crypt key
  1560  8.2.0763  GUI test fails without the terminal feature
  4025  8.2.0764  Vim9: assigning to option not fully tested
 12233  8.2.0765  In the GUI can't use all the modifiers.
  3288  8.2.0766  display error when using 'number' and 'breakindent'
  1703  8.2.0767  modifyOtherKeys active when using a shell command in autocmd
  1807  8.2.0768  Vim9: memory leak in script test
  3319  8.2.0769  VimLeavePre not triggered when Vim is terminated
  3111  8.2.0770  cannot map CTRL-B when using the GUI
  8140  8.2.0771  Vim9: cannot call a compiled closure from not compiled code
  2557  8.2.0772  Vim9: some variable initializations not tested
  5532  8.2.0773  switching to raw mode every time ":" is used
 12623  8.2.0774  t_TI and t_TE are output when using 'visualbell'
 12686  8.2.0775  not easy to call a Vim function from Lua
  6976  8.2.0776  libvterm code lags behind the upstream version
  2194  8.2.0777  terminal test fails
  8259  8.2.0778  libvterm code lags behind the upstream version
  2165  8.2.0779  tmode_T not used everywhere
 45046  8.2.0780  libvterm code lags behind the upstream version
  1521  8.2.0781  compiler warning for not using value in Lua
  2280  8.2.0782  cannot build with Lua on MS-Windows
 11605  8.2.0783  libvterm code lags behind the upstream version
 10344  8.2.0784  libvterm code lags behind the upstream version
  9349  8.2.0785  libvterm code lags behind the upstream version
  2347  8.2.0786  channel test is flaky on FreeBSD
 17610  8.2.0787  libvterm code lags behind the upstream version
  1783  8.2.0788  memory leak in libvterm
  3855  8.2.0789  Vim9: expression testing lost coverage using constants
  3754  8.2.0790  Vim9: list index not well tested
 10932  8.2.0791  a second popup window with terminal causes trouble
  1372  8.2.0792  build failure with small features
  2126  8.2.0793  MS-Windows: cannot build GUI with small features
 15805  8.2.0794  libvterm code lags behind the upstream version
 24008  8.2.0795  libvterm code lags behind the upstream version
  1666  8.2.0796  MS-Windows: compiler can't handle C99 construct in libvterm
  1528  8.2.0797  MS-Windows: compiler still can't handle C99 construct
 49936  8.2.0798  libvterm code lags behind the upstream version
  2786  8.2.0799  build fails if snprintf is not available
  8176  8.2.0800  errors from failing test are unclear
  3436  8.2.0801  terminal test fails on Mac
 17507  8.2.0802  libvterm code lags behind the upstream version
 11236  8.2.0803  libvterm code lags behind the upstream version
 45937  8.2.0804  libvterm code lags behind the upstream version
  4075  8.2.0805  terminal key codes test fails on some systems
  2606  8.2.0806  using "func!" after vim9script gives confusing error
 17954  8.2.0807  cannot easily restore a mapping
 10568  8.2.0808  not enough testing for the terminal window
  3157  8.2.0809  build failure with small features
  2405  8.2.0810  error when appending "tagfile" to 'wildoptions'
  3307  8.2.0811  terminal keycode test is flaky
  4832  8.2.0812  mapset() does not properly handle <> notation
 53461  8.2.0813  libvterm code is slightly different from upstream
  1720  8.2.0814  clang warning for implicit conversion
 14439  8.2.0815  maparg() does not provide enough information for mapset()
  7064  8.2.0816  terminal test fails when compiled with Athena
  3249  8.2.0817  not enough memory allocated when converting string
 59063  8.2.0818  Vim9: using a discovery phase doesn't work well
  1370  8.2.0819  compiler warning for unused variable
  9497  8.2.0820  Vim9: function type isn't set until compiled
  2338  8.2.0821  Vim9: memory leak in expr test
  8319  8.2.0822  Vim9: code left over from discovery phase
 18661  8.2.0823  Vim9: script reload test is disabled
  2473  8.2.0824  still not enough memory allocated when converting string
  1699  8.2.0825  def_function() may return pointer that was freed
  2120  8.2.0826  Vim9: crash in :defcompile
  1312  8.2.0827  Vim9: crash in :defcompile
  5047  8.2.0828  Travis: regexp patttern doesn't work everywhere
  2599  8.2.0829  filter() may give misleading error message
  1534  8.2.0830  Motif: can't map "!"
  2580  8.2.0831  compiler warnings for integer sizes
  1655  8.2.0832  compiler warning for uninitialized variable
  1445  8.2.0833  mapping <C-bslash> doesn't work in the GUI
  2125  8.2.0834  :drop command in terminal popup causes problems
  2640  8.2.0835  Motif: mapping <C-bslash> still doesn't work
  4806  8.2.0836  not all :cdo output is visible
  1895  8.2.0837  compiler warning for value set but not used
  1606  8.2.0838  MS-Windows: compiler warning for uninitialized variables
  8408  8.2.0839  dropping modifier when putting a character back in typeahead
  3566  8.2.0840  search match count wrong when only match is in fold
  2831  8.2.0841  'verbose' value 16 causes duplicate output
  1934  8.2.0842  MS-Windows: channel tests fail
  2014  8.2.0843  filetype elm not detected
 18669  8.2.0844  text properties crossing lines not handled correctly
 28991  8.2.0845  text properties crossing lines not handled correctly
  1465  8.2.0846  build failure with small features
 91017  8.2.0847  typval related code is spread out
  8172  8.2.0848  MS-Windows: the Windows terminal code has some flaws
 34051  8.2.0849  BeOS code is not maintained and probably unused
 13165  8.2.0850  MS-Windows: exepath() works different from cmd.exe
  6500  8.2.0851  can't distinguish <M-a> from accented "a" in the GUI
  1612  8.2.0852  cannot map CTRL-S on some systems
 24753  8.2.0853  ml_delete() often called with FALSE argument
  6194  8.2.0854  xxd cannot show offset as a decimal number
 16418  8.2.0855  GUI tests fail because the test doesn't use a modifier
  1961  8.2.0856  CTRL-S stops output
  1936  8.2.0857  GTK cell height can be a pixel too much
  8358  8.2.0858  not easy to require Lua modules
 56215  8.2.0859  no Turkish translation of the manual
 12163  8.2.0860  cannot use CTRL-A and CTRL-X on unsigned numbers
  8533  8.2.0861  cannot easily get all the current marks
  3882  8.2.0862  ":term ++curwin" makes the current buffer hidden
 23695  8.2.0863  cannot set a separate color for underline/undercurl
  5138  8.2.0864  pragmas are indented all the way to the left
 12288  8.2.0865  syntax foldlevel is taken from the start of the line
 20512  8.2.0866  not enough tests for buffer writing
  9504  8.2.0867  using \{xxx} for encoding a modifier is not nice
  8505  8.2.0868  trim() always trims both ends
 28185  8.2.0869  it is not possible to customize the quickfix window contents
  1618  8.2.0870  MS-Windows: Control keys don't work in the GUI
  4817  8.2.0871  cannot use getmarklist() as a method
107599  8.2.0872  XIM code is mixed with multi-byte code
  3006  8.2.0873  a .jl file can be sawfish (lisp) or Julia
  2245  8.2.0874  signals test is a bit flaky
 30776  8.2.0875  getting attributes for directory entries is slow
  4533  8.2.0876  :pwd does not give a hint about the scope of the directory
 28460  8.2.0877  cannot get the search statistics
  9371  8.2.0878  no reduce() function
  1494  8.2.0879  compiler warning for unused function argument
  1490  8.2.0880  leaking memory when using searchcount()
  1519  8.2.0881  compiler warning for argument type
  4060  8.2.0882  leaking memory when using reduce()
  1368  8.2.0883  memory leak in test 49
  4146  8.2.0884  searchcount() test fails on slower systems
  1858  8.2.0885  "make shadow" does not link new lua test dir
 10544  8.2.0886  cannot use octal numbers in scriptversion 4
  2538  8.2.0887  searchcount().exact_match is 1 right after a match
  2852  8.2.0888  readdirex() returns size -2 for a directory
  6358  8.2.0889  using old style comments
  1875  8.2.0890  no color in terminal window when 'termguicolor' is set
  1622  8.2.0891  clang warns for invalid conversion
  2844  8.2.0892  ubsan warns for undefined behavior
  6245  8.2.0893  assert_equalfile() does not take a third argument
  8979  8.2.0894  :mkspell can take very long if the word count is high
 10810  8.2.0895  :mkspell output does not mention the tree type
  2969  8.2.0896  crash when calling searchcount() with a string
 24142  8.2.0897  list of functions in patched version is outdated
  5020  8.2.0898  missing help for a function goes unnoticed
  4693  8.2.0899  assert_equalfile() does not give a hint about the difference
  2332  8.2.0900  function list test fails on MS-Windows
 17280  8.2.0901  formatting CJK text isn't optimal
  4270  8.2.0902  using searchcount() in 'statusline' causes an error
  1723  8.2.0903  comparing WINVER does not work correctly
  2538  8.2.0904  assuming modifyOtherKeys for rhs of mapping
  2693  8.2.0905  test coverage could be better
  2776  8.2.0906  when setting 'termguicolors' SpellBad is no longer red
  2499  8.2.0907  when using :global clipboard isn't set correctly
  5365  8.2.0908  crash when changing the function table while listing it
  9916  8.2.0909  cannot go back to the previous local directory
  5851  8.2.0910  Vim is not reproducibly buildable
  4609  8.2.0911  crash when opening a buffer for the cmdline window fails
  6066  8.2.0912  a few test cases for CJK formatting are disabled
  3930  8.2.0913  code for resetting v:register is duplicated
  3014  8.2.0914  MS-Windows: cannot specify a "modified by" text
 15395  8.2.0915  search() cannot skip over matches like searchpair() can
  8585  8.2.0916  mapping with partly modifyOtherKeys code does not work
  6548  8.2.0917  quickfix entries do not suport a "note" type
 12276  8.2.0918  duplicate code for evaluating expression argument
  4792  8.2.0919  merging modifier for modifyOtherKeys is done twice
  3619  8.2.0920  writing viminfo fails with a circular reference
  3236  8.2.0921  CTRL-W T in cmdline window causes trouble
  2948  8.2.0922  search test fails
  2397  8.2.0923  cmdline test is slow
 15421  8.2.0924  cannot save and restore a register properly
  7806  8.2.0925  getcompletion() does not return command line arguments
  4669  8.2.0926  cmdline test fails on Appveyor
  3048  8.2.0927  some sshconfig and ssdhconfig files are not recognized
 11902  8.2.0928  many type casts are used for vim_strnsave()
  4019  8.2.0929  v:register is not cleared after an operator was executed
  4286  8.2.0930  script filetype detection trips over env -S argument
 20145  8.2.0931  some remarks about BeOS remain
  3293  8.2.0932  missspelling spelllang
  7490  8.2.0933  'quickfixtextfunc' does not get window ID of location list
  2862  8.2.0934  lhelpgrep twice in help window doesn't jump to the help topic 
 11514  8.2.0935  flattening a list with existing code is slow
 17977  8.2.0936  some terminals misinterpret the code for getting cursor style
  1756  8.2.0937  asan failure in the flatten() test
  6310  8.2.0938  NFA regexp uses tolower ()to compare ignore-case
 38367  8.2.0939  checking for term escape sequences is long and confusing
  2307  8.2.0940  build failure with tiny features
 17772  8.2.0941  detecting terminal properties is unstructured
  2971  8.2.0942  expanding to local dir after homedir keeps "~/"
 12489  8.2.0943  displaying ^M or ^J depends on current buffer
  1452  8.2.0944  xxd test leaves file behind
 10205  8.2.0945  cannot use "z=" when 'spell' is off
  3433  8.2.0946  cannot use "q" to cancel a number prompt
  3712  8.2.0947  readdirex() doesn't handle broken link properly
  3193  8.2.0948  spell test fails
  1974  8.2.0949  strptime() does not use DST
  1569  8.2.0950  tagjump test fails
  1536  8.2.0951  search stat test has leftover from debugging
  8396  8.2.0952  no simple way to interrupt Vim
  7919  8.2.0953  spell checking doesn't work for CamelCased words
  2708  8.2.0954  not all desktop files are recognized
  1487  8.2.0955  build fails
  2756  8.2.0956  spell test fails
  1565  8.2.0957  compiler warning for uninitialized variable
  3956  8.2.0958  not sufficient testing for buffer writing
 12626  8.2.0959  using 'quickfixtextfunc' is a bit slow
  7325  8.2.0960  cannot use :import in legacy Vim script
 11668  8.2.0961  MS-Windows: no completion for locales
  1867  8.2.0962  terminal test sometimes hangs on Travis
  5286  8.2.0963  number increment/decrement does not work with 'virtualedit'
  4065  8.2.0964  TextYankPost does not provide info about Visual selection
  2009  8.2.0965  has_funcundefined() is not used
  5065  8.2.0966  'shortmess' flag "n" not used in two places
 31028  8.2.0967  unnecessary type casts for vim_strnsave()
 21225  8.2.0968  no proper testing of the 'cpoptions' flags
  5788  8.2.0969  assert_equal() output for dicts is hard to figure out
 16829  8.2.0970  terminal properties are not available in Vim script
  1982  8.2.0971  build with tiny features fails
  6550  8.2.0972  Vim9 script variable declarations need a type
  6075  8.2.0973  Vim9: type is not checked when assigning to a script variable
  1410  8.2.0974  Vim9: memory leak when script var has wrong type
  3185  8.2.0975  Vim9: script variable does not accept optional s: prefix
 15334  8.2.0976  some 'cpoptions' not tested
  4167  8.2.0977  t_8u is made empty for the wrong terminals
  1815  8.2.0978  leaking memory in termcodes test
  2136  8.2.0979  a couple of screendump tests fail
  2410  8.2.0980  raku file extension not recognized
 47932  8.2.0981  Vim9: cannot compile "[var, var] = list"
 10734  8.2.0982  insufficient testing for reading/writing files
  2723  8.2.0983  SConstruct file type not recognized
  3515  8.2.0984  not using previous window when closing a shell popup window
  3603  8.2.0985  simplify() does not remove slashes from "///path"
  2080  8.2.0986  MS-Windows: functions test fails
 11962  8.2.0987  Vim9: cannot assign to [var; var]
 32430  8.2.0988  getting directory contents is always case sorted
  2771  8.2.0989  crash after resizing a terminal window
  2806  8.2.0990  Using duplicate error number
  3947  8.2.0991  cannot get window type for autocmd and preview window
  5662  8.2.0992  Vim9: crash when using :import in the Vim command
  2373  8.2.0993  Vim9 script test fails with normal features
  2491  8.2.0994  Vim9: missing function causes compilation error
  2023  8.2.0995  insufficient testing for the readdir() sort option
  3015  8.2.0996  using "aucmdwin" in win_gettype() is not ideal
  7462  8.2.0997  cannot execute a register containing line continuation
  3483  8.2.0998  not all tag code is tested
  2854  8.2.0999  moving to next sentence gets stuck on quote
  2829  8.2.1000  get error when leaving Ex mode with :visual
  5742  8.2.1001  Vim9: crash with nested "if" and assignment
  1962  8.2.1002  test may fail when run directly
  2911  8.2.1003  Vim9: return type of sort() is too generic
  8721  8.2.1004  line numbers below filler lines not always updated
 12329  8.2.1005  Vim9: using TRUE/FALSE/MAYBE for ctx_skip is confusing
 13113  8.2.1006  Vim9: require unnecessary return statement
  2375  8.2.1007  completion doesn't work after ":r ++arg !"
  2500  8.2.1008  Vim9: no test for disassambling newly added instructions
  2962  8.2.1009  Vim9: some failures not checked for
  1797  8.2.1010  build failure in libvterm with debug enabled
  6981  8.2.1011  Vim9: some code not tested
  3799  8.2.1012  Vim9: cannot declare single character script variables
  4206  8.2.1013  channel tests can be a bit flaky
  5436  8.2.1014  using "name" for a string result is confusing
  4692  8.2.1015  popup filter gets key with modifier prepended
  1580  8.2.1016  Vim9: test fails when channel feature is missing
  2995  8.2.1017  Appveyor output doesn't show MinGW console features
  4809  8.2.1018  typo in enum value
  5291  8.2.1019  mapping <M-S-a> does not work in the GUI
  1677  8.2.1020  popupwin test fails in the GUI
  2351  8.2.1021  Ruby interface not tested enough
 20586  8.2.1022  various parts of code not covered by tests
 18651  8.2.1023  Vim9: redefining a function uses a new index every time
  7542  8.2.1024  Vim9: no error for using "let g:var = val"
  4908  8.2.1025  tabpage menu and tabline not sufficiently tested
  4588  8.2.1026  Vim9: cannot break the line after "->"
  2987  8.2.1027  GUI: multi-byte characters do not work in a terminal
 10721  8.2.1028  Vim9: no error for declaring buffer, window, etc. variable
  9641  8.2.1029  Vim9: cannot chain function calls with -> at line start
  3465  8.2.1030  reducing size of a terminal window may cause a crash
  2247  8.2.1031  build failure with Perl5.32
  3173  8.2.1032  error message for declaring a variable cannot be translated
  2292  8.2.1033  not easy to read the test time in the test output
  1794  8.2.1034  compiler warning for uninitialized variables
  6278  8.2.1035  setreg() does not always clear the register
  1812  8.2.1036  popupwin test fails sometimes
  2450  8.2.1037  Vim9: crash when using line continuation inside :def
  1836  8.2.1038  popupwin test fails
  2533  8.2.1039  cannot put NUL byte on clipboard
 24906  8.2.1040  not enough testing for movement commands
  2183  8.2.1041  test summary is missing executed count
  9901  8.2.1042  Vim9: cannot put an operator on the next line
  1869  8.2.1043  %a item in 'statusline' not tested
  4508  8.2.1044  not all systemd file types are recognized
 16409  8.2.1045  Vim9: line break before operator does not work
 22866  8.2.1046  insufficient tests for src/buffer.c
 40535  8.2.1047  Vim9: script cannot use line continuation like :def function
  1335  8.2.1048  build failure without the eval feature
 27759  8.2.1049  Vim9: leaking memory when using continuation line
  1813  8.2.1050  missing change in struct
  3030  8.2.1051  crash when changing a list while using reduce() on it
  1599  8.2.1052  build failure with older compilers
  5227  8.2.1053  insufficient testing for 'statusline' and 'tabline'
 12476  8.2.1054  not so easy to pass a lua function to Vim
  3424  8.2.1055  no filetype set for pacman config files
 11397  8.2.1056  wrong display when mixing match conceal and syntax conceal
  2474  8.2.1057  cannot build with dynamic Lua
  3180  8.2.1058  multiline conceal causes display errors
  3814  8.2.1059  crash when using :tabonly in an autocommand
  2596  8.2.1060  not all elinks files are recognized
 13616  8.2.1061  insufficient testing for src/window.c
  3547  8.2.1062  Vim9: no line break allowed inside "cond ? val1 : val2"
  4866  8.2.1063  Vim9: no line break allowed before || or &&
  3141  8.2.1064  Vim9: no line break allowed before comperators
 10632  8.2.1065  Vim9: no line break allowed inside a list
  6312  8.2.1066  Lua arrays are zero based
  9416  8.2.1067  expression "!expr->func()" does not work
  8876  8.2.1068  Vim9: no line break allowed inside a dict
  2091  8.2.1069  Vim9: fail to check for white space in list
  1300  8.2.1070  Vim9: leaking memory when lacking white space in dict
 23612  8.2.1071  Vim9: no line break allowed inside a lambda
  2699  8.2.1072  missing libvterm test
  3000  8.2.1073  Vim9: no line break allowed in () expression
 13479  8.2.1074  Vim9: no line break allowed after some operators
  2114  8.2.1075  Vim9: no line break allowed in :echo expression
  6343  8.2.1076  Vim9: no line break allowed in :if expression
  8949  8.2.1077  not enough test coverage for highlighting
 78177  8.2.1078  highlight and match functionality together in one file
 14404  8.2.1079  Vim9: no line break allowed in a while loop
 12853  8.2.1080  Vim9: no line break allowed in a for loop
  5407  8.2.1081  Lua: cannot use table.insert() and table.remove()
  2671  8.2.1082  Coverity complains about ignoring dict_add() return value
  3443  8.2.1083  crash when using reduce() on a NULL list
  2537  8.2.1084  Lua: registering function has useless code
  2681  8.2.1085  Coverity complains about ignoring dict_add() return value
  3544  8.2.1086  possibly using freed memory when text properties used
  1706  8.2.1087  possible memory leak when file expansion fails
  2399  8.2.1088  a very long translation might cause a buffer overflow
  2258  8.2.1089  Coverity warns for pointer computation
  1638  8.2.1090  may use NULL pointer when skipping over name
  1644  8.2.1091  no check if opening a pty works
  1579  8.2.1092  not checking if saving for undo succeeds
  1357  8.2.1093  Python: double free when adding item to dict fails
  1532  8.2.1094  dead code in libvterm
  2213  8.2.1095  may use pointer after freeing it
  4325  8.2.1096  Vim9: return type of getqflist() is wrong
  3600  8.2.1097  highlight code not sufficiently tested
  2715  8.2.1098  Vim9: cannot use line break in :throw argument
  4746  8.2.1099  Vim9: cannot use line break in :cexpr argument
  4995  8.2.1100  Vim9: cannot use line break in :execute argument
  2233  8.2.1101  no error when using wrong arguments for setqflist()
  3604  8.2.1102  Coverity gets confused by an unnecessary NULL check
  1580  8.2.1103  Coverity reports an unnecessary NULL check
  1870  8.2.1104  Coverity warns for possible NULL pointer use
 14908  8.2.1105  insufficient test coverage for Lua
  2975  8.2.1106  crash when trying to use s: variable in typed command
  4059  8.2.1107  'imactivatefunc' and 'imstatusfunc' are not used in the GUI
 12157  8.2.1108  mouse left-right scroll is not supported in terminal window
  1841  8.2.1109  still crashing when using s:variable
 17701  8.2.1110  Vim9: line continuation does not work in function arguments
 23963  8.2.1111  inconsistent naming of get_list_tv() and eval_dict()
  6713  8.2.1112  Vim9: no line continuation allowed in method call
  1740  8.2.1113  no test for verbose output of :call
104121  8.2.1114  terminal test sometimes times out
  2040  8.2.1115  iminsert test fails when compiled with VIMDLL
  3781  8.2.1116  Vim9: parsing command checks for list twice
  1302  8.2.1117  Coverity warns for unsing unitialized field
  1414  8.2.1118  condition can never be true, dead code
  2579  8.2.1119  configure fails with Xcode 12 beta
267473  8.2.1120  Python code not tested properly
  2938  8.2.1121  command completion not working after ++arg
  5106  8.2.1122  Vim9: line continuation in dict member not recognized
305297  8.2.1123  Python 3 test is old style
 17742  8.2.1124  Vim9: no line break allowed in :import command
  7493  8.2.1125  Vim9: double quote can be a string or a comment
  1904  8.2.1126  Vim9: using :copen causes an error
  2602  8.2.1127  Vim9: getting a dict member may not work
  7767  8.2.1128  the write message mentions characters, but it's bytes
  4364  8.2.1129  Vim9: bar not recognized after not compiled command
  2137  8.2.1130  Vim9: bar not recognized after function call
  4115  8.2.1131  Vim9: error message for returning a value is not clear
  3173  8.2.1132  Vim9: return type of repeat() is not specific enough
  2509  8.2.1133  Vim9: return type of add() is not specific enough
  2531  8.2.1134  Vim9: getting a list member may not work
  2870  8.2.1135  Vim9: getting a dict member may not work
  3029  8.2.1136  Vim9: return type of argv() is always any
  6981  8.2.1137  Vim9: modifiers not cleared after compiling function
  3693  8.2.1138  Vim9: return type of copy() and deepcopy() is any
  2546  8.2.1139  Vim9: test for silent echo fails in some environments
  2564  8.2.1140  Vim9: return type of extend() is any
  2837  8.2.1141  Vim9: return type of filter() is any
  2771  8.2.1142  Vim9: return type of insert() is any
  3508  8.2.1143  Vim9: return type of remove() is any
  2523  8.2.1144  Vim9: return type of reverse() is any
  4982  8.2.1145  Vim9: "for" only accepts a list at compile time
 48005  8.2.1146  not enough testing for Python
  9434  8.2.1147  :confirm may happen in cooked mode
  3160  8.2.1148  warning for using int instead of size_t
  3396  8.2.1149  Vim9: :eval command not handled properly
  6243  8.2.1150  ml_get error when using Python
  6275  8.2.1151  insufficient test coverage for Python
  2924  8.2.1152  Vim9: function reference is missing script prefix
  1811  8.2.1153  Vim9: script test fails on some systems
  9394  8.2.1154  Vim9: crash when using imported function
 17167  8.2.1155  Vim9: cannot handle line break inside lambda
  2305  8.2.1156  Vim9: No error for invalid command in compiled function
  2883  8.2.1157  Vim9: dict.name is not recognized as an expression
  1525  8.2.1158  build error
  3080  8.2.1159  Vim9: no error for missing space after a comma
  3173  8.2.1160  Vim9: memory leak in allocated types
 12231  8.2.1161  Vim9: using freed memory
  1915  8.2.1162  crash when using a lambda
  1531  8.2.1163  build error
  2644  8.2.1164  text cleared by checking terminal properties not redrawn
  6407  8.2.1165  insufficient testing for the Tcl interface
  3171  8.2.1166  once mouse move events are enabled getchar() returns them
 10210  8.2.1167  Vim9: builtin function method call only supports first arg
  2051  8.2.1168  wrong method argument for appendbufline()
  1762  8.2.1169  write NUL past allocated space using corrupted spell file
  2341  8.2.1170  cursor off by one with block paste while 'virtualedit' "all"
  1535  8.2.1171  possible crash when out of memory
  1977  8.2.1172  error messages when doing "make clean" in doc or tee
  1773  8.2.1173  tee doesn't build on some systems
  1885  8.2.1174  no test for the "recording @x" message
  4469  8.2.1175  Vim9: cannot split a line before ".member"
  4457  8.2.1176  Vim9: not enough type checking in Vim9 script
 67157  8.2.1177  terminal2 test sometimes hangs in the GUI
  2838  8.2.1178  Vim9: filter function recognized as command modifier
  1459  8.2.1179  Test_termwinscroll() sometimes hangs in the GUI
  1739  8.2.1180  build failure in small version
  3206  8.2.1181  json code not fully tested
  3227  8.2.1182  Vim9: no check for whitespace after comma in lambda
 70649  8.2.1183  assert_fails() checks the last error message
  3491  8.2.1184  some tests fail
  5058  8.2.1185  some other tests fail
 12119  8.2.1186  with SGR mouse codes balloon doesn't show up after click
  3691  8.2.1187  terminal2 test sometimes hangs in the GUI on Travis
  2925  8.2.1188  memory leak with invalid json input
 12084  8.2.1189  Vim9: line continuation in lambda doesn't always work
 12097  8.2.1190  Vim9: checking for Vim9 syntax is spread out
  2312  8.2.1191  Vim9: crash when function calls itself
  3456  8.2.1192  Lua test fails with older Lua version
  5517  8.2.1193  terminal window not redrawn when dragging a popup window
  2675  8.2.1194  test failure because shell prompt differs
  2035  8.2.1195  clientserver test fails on MS-Windows
  1485  8.2.1196  build failure with normal features
  2032  8.2.1197  clientserver test still fails on MS-Windows
  4758  8.2.1198  terminal2 test sometimes hangs in the GUI on Travis
  6270  8.2.1199  not all assert functions are fully tested
  2691  8.2.1200  Vim9: cannot disassemble a lambda function
  3101  8.2.1201  Vim9: crash when passing number as dict key
  4035  8.2.1202  Vim9: crash when calling a closure from a builtin function
  4395  8.2.1203  unused assignments in expression evaluation
  2740  8.2.1204  Vim9: true and false not recognized in Vim9 script
  8624  8.2.1205  Vim9: && and || work different when not compiled
  1795  8.2.1206  Vim9: crash in expr test when run in the GUI
  3471  8.2.1207  Vim9: crash in expr test when run in the GUI
  1552  8.2.1208  build failure
  1855  8.2.1209  Vim9: test failure
  6029  8.2.1210  using ht_used when looping through a hashtab is less reliable
  2098  8.2.1211  removed more than dead code
  2861  8.2.1212  cannot build with Lua 5.4
 19382  8.2.1213  mouse codes not tested sufficiently
  5157  8.2.1214  MS-Windows: default _vimrc not correct in silent install mode
 34354  8.2.1215  Atari MiNT support is outdated
  2922  8.2.1216  startup test fails
  4612  8.2.1217  startup test depends on random source file
  6366  8.2.1218  Vim9: cannot use 'text'->func()
  5238  8.2.1219  symlink not followed if dirname ends in //
 11595  8.2.1220  memory access error when dragging a popup window
  1443  8.2.1221  memory leak when updating popup window
  1777  8.2.1222  using valgrind in Vim command started by test doesn't work
  3002  8.2.1223  Vim9: invalid type error for function default value
  3709  8.2.1224  Vim9: arguments from partial are not used
  6554  8.2.1225  linker errors when building with dynamic Python 3.9
  6188  8.2.1226  MS-Windows: windows positioning wrong depending on taskbar
 60924  8.2.1227  Vim9: allowing both quoted and # comments is confusing
 11741  8.2.1228  scrollbars not flush against the window edges when maximised
  2819  8.2.1229  build error without the eval feature
  4592  8.2.1230  Vim9: list index error not caught by try/catch
  3535  8.2.1231  MS-Windows: GUI code can be cleaned up
  2486  8.2.1232  MS-Windows GUI: Snap cancelled by split command
  7250  8.2.1233  Vim9: various errors not caught by try/catch
  3080  8.2.1234  Lua build problem with old compiler
 20949  8.2.1235  Not all mouse codes covered by tests
  9642  8.2.1236  Vim9: a few errors not caught by try/catch
  5167  8.2.1237  changing 'completepopup' after opening popup has no effect
  7786  8.2.1238  Vim9: a few remaining errors not caught by try/catch
  4440  8.2.1239  "maxwidth" in 'completepopup' not obeyed
  1511  8.2.1240  GUI tests sometimes fail because of translations
  3408  8.2.1241  cannot use getbufinfo() as a method
  4402  8.2.1242  Vim9: no error if calling a function with wrong type
  4357  8.2.1243  Vim9: cannot have a comment line halfway a list
  5185  8.2.1244  Vim9: in lambda index assumes a list
  2271  8.2.1245  build failure in tiny version
  2921  8.2.1246  Vim9: comment after assignment doesn't work
  6057  8.2.1247  Vim9: cannot index a character in a string
 44685  8.2.1248  Netbeans test is flaky in the GUI
  2412  8.2.1249  Vim9: disassemble test fails
 12197  8.2.1250  Vim9: cannot use the g:, b:, t: and w: namespaces
  3935  8.2.1251  Vim9: warning for pointer usage, test failure undetected
  5052  8.2.1252  ":marks" may show '< and '> mixed up
  1814  8.2.1253  CTRL-K in Insert mode gets <CursorHold> inserted
  1520  8.2.1254  MS-Windows: regexp test may fail if 'iskeyword' set wrongly
 27433  8.2.1255  cannot use a lambda with quickfix functions
  2530  8.2.1256  Vim9: type wrong after getting dict item in lambda
  2909  8.2.1257  Vim9: list unpack doesn't work at the script level
  1642  8.2.1258  CursorHold does not work well
  2945  8.2.1259  empty group in 'tabline' may cause using an invalid pointer
  3610  8.2.1260  there is no good test for CursorHold
  3820  8.2.1261  Vim9: common type of function not tested
 85807  8.2.1262  src/ex_cmds.c file is too big
  6067  8.2.1263  Vim9: comperators use 'ignorecase' in Vim9 script
  2037  8.2.1264  terminal getwinpos() test is a bit flaky
  1825  8.2.1265  crash with EXITFREE when split() fails
  6338  8.2.1266  Makefile preference were accidentally included
  1440  8.2.1267  MS-Windows: tests may fail due to $PROMPT value
  4014  8.2.1268  Vim9: no error for using double quote comment
 36708  8.2.1269  language and locale code spread out
  3055  8.2.1270  Vim9: not skipping over function type declaration
  2707  8.2.1271  Vim9: Error for Funcref function argument type
 11212  8.2.1272  Vim9: type not checked if declaration also assigns value
  1637  8.2.1273  MS-Windows: terminal test may leave file behind
  7098  8.2.1274  Vim9: no error for missing white space at script level
  1820  8.2.1275  Vim9: compiler warning for buffer size
  2710  8.2.1276  MS-Windows: system test may fail if more.exe is installed
  4568  8.2.1277  tests on Travis do not run with EXITFREE
  4354  8.2.1278  Vim9: line break after "->" only allowed in :def function
  2546  8.2.1279  some tests on Travis have EXITFREE duplicated
 21468  8.2.1280  Ex command error cannot contain an argument
 10731  8.2.1281  the "trailing characters" error can be hard to understand
  4059  8.2.1282  Vim9: crash when using CheckScriptFailure()
  2806  8.2.1283  Vim9: error for misplaced -> lacks argument
  2106  8.2.1284  Vim9: skipping over type includes following white space
  3758  8.2.1285  Vim9: argument types are not checked on assignment
  2375  8.2.1286  Vim9: No error when using a type on a window variable
  4510  8.2.1287  Vim9: crash when using an imported function
  2357  8.2.1288  Vim9: cannot use mark in range
  2146  8.2.1289  crash when using a custom completion function
  3769  8.2.1290  Vim9: cannot replace a global function
  4212  8.2.1291  Vim9: type of varargs items is not checked
  1879  8.2.1292  AIDL filetype not recognized
  2931  8.2.1293  Vim9: :execute mixes up () expression and function call
101699  8.2.1294  Vim9: error when using vim9script in TextYankPost
 11617  8.2.1295  tests 44 and 99 are old style
  2145  8.2.1296  some part of using 'smarcase' was not tested
 17108  8.2.1297  when a test fails it's often not easy to see where
  1424  8.2.1298  compiler warning for unused argument in small version
  2527  8.2.1299  compiler warning for using size_t for int and void pointer
  6955  8.2.1300  Vim9: optional argument type not parsed properly
  2094  8.2.1301  Vim9: varargs argument type not parsed properly
  2933  8.2.1302  Vim9: varargs arg after optional arg does not work
  2961  8.2.1303  calling popup_setoptions() resets 'signcolumn'
 17597  8.2.1304  debug backtrace isn't tested much
 20526  8.2.1305  some tests are still old style
  7487  8.2.1306  checking for first character of dict key is inconsistent
  5946  8.2.1307  popup window width does not include number of sign columns
 15751  8.2.1308  Vim9: accidentally using "x" causes Vim to exit
  2404  8.2.1309  build failure with tiny version
  2221  8.2.1310  configure with Xcode 12 fails to check for tgetent
  1728  8.2.1311  test failures with legacy Vim script
  2392  8.2.1312  MS-Windows: terminal test may fail if dir.exe exists
  9176  8.2.1313  Vim9 script: cannot assign to environment variable
  2761  8.2.1314  Vim9: rule for comment after :function is confusing
  3193  8.2.1315  MS-Windows: test log contains escape sequences
 12014  8.2.1316  test 42 is still old style
 13639  8.2.1317  MS-Windows tests on AppVeyor are slow
  1790  8.2.1318  no status badge for Github CI
  2939  8.2.1319  status badge for Github CI has wrong link
  4976  8.2.1320  Vim9: cannot declare some single letter variables
  1293  8.2.1321  GitHub CI also runs on tag push
  3535  8.2.1322  Vim9: method on double quoted string doesn't work
  5233  8.2.1323  Vim9: invalid operators only rejected in :def function
  2923  8.2.1324  Vim9: line break after "=" does not work
  3233  8.2.1325  Vim9: using Vim9 script for autaload not tested
 14661  8.2.1326  Vim9: skipping over white space after list
  5083  8.2.1327  Mac: configure can't find Tcl libraries
  3455  8.2.1328  no space allowed before comma in list
 15641  8.2.1329  Vim9: cannot define global function inside :def function
  3131  8.2.1330  Github workflow takes longer than needed
  2180  8.2.1331  Vim9: :echo with two lists doesn't work
  6913  8.2.1332  Vim9: memory leak when using nested global function
  3747  8.2.1333  Vim9: memory leak when using nested global function
  2381  8.2.1334  Github workflow timeout needs tuning
  4500  8.2.1335  CTRL-C in the GUI doesn't interrupt
  1541  8.2.1336  build failure on non-Unix systems
  2577  8.2.1337  Vim9: cannot use empty key in dict assignment
  6058  8.2.1338  Vim9: assigning to script-local variable doesn't check type
  3159  8.2.1339  Vim9: assigning to global dict variable doesn't work
 12951  8.2.1340  some tests fail on Cirrus CI and/or with FreeBSD
  1744  8.2.1341  build failures
  5805  8.2.1342  Vim9: accidentally using "t" gives a confusing error
  6044  8.2.1343  Vim9: cannot find global function when using g:
  1627  8.2.1344  Vim9: No test for trying to redefine global function
  3506  8.2.1345  Redraw error when using visual block and scroll
  1549  8.2.1346  small build fails
  5139  8.2.1347  cannot easily get the script ID
  1540  8.2.1348  build failure without the eval feature
  7626  8.2.1349  Vim9: can define a function with the name of an import
  1681  8.2.1350  Vim9: no test for error message when redefining function
  2661  8.2.1351  Vim9: no proper error if using namespace for nested function
  2830  8.2.1352  Vim9: no error for shadowing a script-local function
  2656  8.2.1353  crash when drawing double-wide character in terminal window
 51091  8.2.1354  test 59 is old style
  8352  8.2.1355  Vim9: no error using :let for options and registers
  2147  8.2.1356  Vim9: cannot get the percent register
  4573  8.2.1357  Vim9: cannot assign to / register
  2193  8.2.1358  Vim9: test fails with +dnd is not available
  3073  8.2.1359  Vim9: cannot assign to / register in Vim9 script
  2112  8.2.1360  stray error for white space after expression
  1769  8.2.1361  error for white space after expression in assignment
  2705  8.2.1362  last entry of ":set term=xxx" overwritten by error message
  1676  8.2.1363  test trying to run terminal when it is not supported
  1704  8.2.1364  invalid memory access when searching for raw string
  9672  8.2.1365  Vim9: no error for missing white space around operator
103132  8.2.1366  test 49 is old style
  5096  8.2.1367  Vim9: no error for missing white space around operator
  5283  8.2.1368  Vim9: no error for missing white space around operator
  1646  8.2.1369  MS-Windows: autocommand test sometimes fails
  1875  8.2.1370  MS-Windows: warning for using fstat() with stat_T
  3791  8.2.1371  Vim9: no error for missing white space around operator
  5317  8.2.1372  Vim9: no error for missing white space around operator
  7199  8.2.1373  Vim9: no error for assigning to non-existing script var
  3288  8.2.1374  Vim9: error for assigning empty list to script variable
  2348  8.2.1375  Vim9: method name with digit not accepted
  3520  8.2.1376  Vim9: expression mapping causes error for using :import
  1441  8.2.1377  triggering the ATTENTION prompt causes typeahead mess up
  2799  8.2.1378  cannot put space between function name and paren
  2448  8.2.1379  curly braces expression ending in " }" does not work
  3079  8.2.1380  Vim9: return type of getreg() is always a string
  4573  8.2.1381  MS-Windows: crash with Python 3.5 when stdin is redirected
  3065  8.2.1382  Vim9: using :import in filetype plugin gives an error
 62685  8.2.1383  test 49 is old style
  3836  8.2.1384  no ATTENTION prompt for :vimgrep first match file
  6704  8.2.1385  no testing on ARM
  3156  8.2.1386  backslash not removed afer space with space in 'isfname'
  2662  8.2.1387  Vim9: cannot assign to single letter variable with type
  7930  8.2.1388  Vim9: += only works for numbers
  1425  8.2.1389  file missing from the distribution
  2152  8.2.1390  Vim9: type error after storing an option value
  2028  8.2.1391  Vim9: no error for shadowing a script function
  3130  8.2.1392  Vim9: line number incorrect after skipping over comment lines
 13576  8.2.1393  insufficient testing for script debugging
  4488  8.2.1394  Vim9: compiling a function interferes with command modifiers
  7478  8.2.1395  Vim9: no error if declaring a funcref with lower case letter
  7129  8.2.1396  Vim9: no error for unexpectedly returning a value
  2962  8.2.1397  Vim9: return type of maparg() not adjusted for fourth arg
  2312  8.2.1398  autoload script sourced twice if sourced directly
  5648  8.2.1399  Vim9: may find imported item in wrong script
  3263  8.2.1400  Vim9: test does not delete written files
 13166  8.2.1401  cannot jump to the last used tabpage
  1746  8.2.1402  s390x tests always fail
  4242  8.2.1403  Vim9: Vim highlighting may fail in cmdline window
  3531  8.2.1404  Vim9: script test fails in the GUI
 53589  8.2.1405  Vim9: vim9compile.c is getting too big
  7856  8.2.1406  popupwindow lacks scrollbar if no "maxheight" is used
 15129  8.2.1407  Vim9: type of list and dict only depends on first item
  6359  8.2.1408  Vim9: type casting not supported
  7034  8.2.1409  nmpmrc and php.ini filetypes not recognized
  3321  8.2.1410  adding compiler plugin requires test change
  1978  8.2.1411  when splitting a window localdir is copied but prevdir is not
  3774  8.2.1412  Vim: not operator does not result in boolean
  5908  8.2.1413  previous tab page not usable from an Ex command
 10239  8.2.1414  popupwindow missing last couple of lines
  3315  8.2.1415  closing a popup window with CTRL-C interrupts 'statusline'
  5201  8.2.1416  Vim9: boolean evaluation does not work as intended
123226  8.2.1417  test 49 is old style
  2607  8.2.1418  Vim9: invalid error for missing white space
  7695  8.2.1419  Vim9: not operator applied too early
 82931  8.2.1420  test 49 is old style
  2025  8.2.1421  Vim9: handling "+" and "-" before number differs from script
229912  8.2.1422  the Mac GUI implementation is outdated
  2356  8.2.1423  Vim9: find global function when looking for script-local
  5305  8.2.1424  Mac build fails
  2175  8.2.1425  Vim9: cannot use call() without :call
  5821  8.2.1426  Vim9: cannot call autoload function in :def function
  3635  8.2.1427  Vim9: cannot use a range with marks in :def function
  3393  8.2.1428  Vim9: :def function does not abort on nested function error
  3113  8.2.1429  Vim9: no error for missing white after : in dict
  4383  8.2.1430  Vim9: error for missing comma instead of extra white space
  2951  8.2.1431  Vim9: no error for white space before comma in dict
152130  8.2.1432  various inconsistencies in test files
  2761  8.2.1433  Vim9: cannot mingle comments in multi-line lambda
  2408  8.2.1434  Vim9: crash when lambda uses outer function argument
 14131  8.2.1435  Vim9: always converting to string for ".." leads to mistakes
  4547  8.2.1436  function implementing :substitute has unexpected name
  2679  8.2.1437  Vim9: 'statusline' is evaluated using Vim9 script syntax
  4477  8.2.1438  missing tests for interrupting script execution from debugger
 54401  8.2.1439  tiny and small builds have no test coverage
 11974  8.2.1440  debugger code insufficiently tested
  2329  8.2.1441  running tests in tiny version gives error for summarize.vim
  7158  8.2.1442  outdated references to the Mac Carbon GUI
  2271  8.2.1443  Vim9: crash when interrupting a nested :def function
152563  8.2.1444  error messages are spread out and names can be confusing
  2875  8.2.1445  Vim9: function expanded name is cleared when sourcing again
  7799  8.2.1446  Vim9: line number in error message is not correct
  2570  8.2.1447  Vim9: return type of keys() is list<any>
  1641  8.2.1448  test 77a for VMS depends on small.vim which does not exist
  3750  8.2.1449  some test makefiles delete files that are not generated
  2153  8.2.1450  Vim9: no check that script-local items don't become global
  4595  8.2.1451  Vim9: list type at script level only uses first item
  1590  8.2.1452  Vim9: dead code in to_name_end()
  1527  8.2.1453  Vim9: failure to compile lambda not tested
  2977  8.2.1454  Vim9: failure invoking lambda with wrong arguments
  2703  8.2.1455  Vim9: crash when using typecast before constant
  2444  8.2.1456  MS-Windows: test files are not deleted
  1470  8.2.1457  Vim9: the output of :disassemble cannot be interrupted
  2902  8.2.1458  .gawk files not recognized
  2813  8.2.1459  Vim9: declaring script var in script does not infer the type
 79852  8.2.1460  error messages are spread out
 10102  8.2.1461  Vim9: string indexes are counted in bytes
 15218  8.2.1462  Vim9: string slice not supported yet
 11800  8.2.1463  Vim9: list slice not supported yet
  1467  8.2.1464  Vim9: build warning for unused variable
 14411  8.2.1465  Vim9: subscript not handled properly
 30468  8.2.1466  Vim9: cannot index or slice a variable with type "any"
  4193  8.2.1467  Vim9: :echomsg doesn't like a dict argument
  1904  8.2.1468  Vim9: invalid error for missing white space
  6317  8.2.1469  Vim9: cannot assign string to string option
  7152  8.2.1470  errors in spell file not tested
  2851  8.2.1471  :const only locks the variable, not the value
  3645  8.2.1472  ":argdel" does not work like ":.argdel" as documented
 10187  8.2.1473  items in a list given to :const can still be modified
  3480  8.2.1474  /usr/lib/udef/rules.d not recognized as udevrules
  7400  8.2.1475  Vim9: can't use v:true for option flags
  1871  8.2.1476  filetype test fails on MS-Windows
  2105  8.2.1477  Vim9: error when using bufnr('%')
  5502  8.2.1478  Vim9: cannot use "true" for some popup options
 11406  8.2.1479  Vim9: error for list index uses wrong line number
  3110  8.2.1480  Vim9: skip expression in search() gives error
 58088  8.2.1481  Vim9: line number reported with error may be wrong
  3744  8.2.1482  Vim9: crash when using a nested lambda
  1735  8.2.1483  Vim9: error for using special as number
  1766  8.2.1484  flaky failure in assert_fails()
  2103  8.2.1485  Vim9: readdirex() expression doesn't accept bool
  5543  8.2.1486  Vim9: readdir() expression doesn't accept bool
  3132  8.2.1487  Travis: installing snd-dummy is not always useful
  2920  8.2.1488  text does not scroll when inserting above first line
  4522  8.2.1489  Vim9: error when setting an option with setbufvar()
  4418  8.2.1490  Vim9: using /= with float and number doesn't work
 22374  8.2.1491  Vim9: crash when compiling heredoc lines start with comment
  7258  8.2.1492  build failures
 18371  8.2.1493  not enough test coverage for the spell file handling
  1725  8.2.1494  missing change to calling eval_getline()
  1925  8.2.1495  "make clean" may delete too many files
  2403  8.2.1496  Vim9: cannot use " #" in a mapping
  2471  8.2.1497  CursorHold test is flaky
 17887  8.2.1498  on slow systems tests can be flaky
  3027  8.2.1499  Vim9: error when using "$" with col()
  2828  8.2.1500  Vim9: error when using address without a command
  2948  8.2.1501  Vim9: concatenating to constant reverses order
  3526  8.2.1502  Vim9: can use += with a :let command at script level
  2573  8.2.1503  Vim9: error for autocmd defined in :def in legacy script
 19831  8.2.1504  Vim9: white space checks are only done for a :def function
  4800  8.2.1505  not all file read and writecode is tested
  4252  8.2.1506  Vim9: no error when using a number other than 0 or 1 as bool
  3378  8.2.1507  using malloc() directly
  5137  8.2.1508  not all debugger commands covered by tests
  1970  8.2.1509  vertical separator is cleared when dragging a popup window
  7857  8.2.1510  using "var" in :def function may refer to legacy script var
  3358  8.2.1511  putting a string in Visual block mode ignores multi-byte
  4342  8.2.1512  failure after trinary expression fails
 12861  8.2.1513  cannot interrupt shell used for filename expansion
  2152  8.2.1514  multibyte vertical separator is cleared when dragging popup
  3004  8.2.1515  Vim9: can create s:var in legacy script but cannot unlet
  2544  8.2.1516  Vim9: error for :exe has wrong line number
  6876  8.2.1517  cannot easily get the character under the cursor
  6981  8.2.1518  Vim9: cannot assign to local option
  9285  8.2.1519  Vim9: Ex command default range is not set
  2314  8.2.1520  Vim9: CTRL-] used in :def function does not work
  5392  8.2.1521  reading past end of buffer when reading spellfile
 11926  8.2.1522  not enough test coverage for the spell file handling
 19157  8.2.1523  still not enough test coverage for the spell file handling
  4193  8.2.1524  no longer get an error for string concatenation with float
  3801  8.2.1525  messages from tests were not always displayed
  1882  8.2.1526  line in testdir Makefile got commented out
  4327  8.2.1527  Vim9: cannot use a function name at script level
  4631  8.2.1528  Vim9: :endif not found after "if false"
  2787  8.2.1529  Vim9: :elseif may be compiled when not needed
  1726  8.2.1530  Vim9: test fails on MS-Windows
  1628  8.2.1531  Vim9: test still fails on MS-Windows
  1880  8.2.1532  compiler warning for conversion of size_t to long
  1998  8.2.1533  Vim9: error when passing getreginfo() result to setreg()
  4498  8.2.1534  Vim9: type error for argument type is not at call position
 14984  8.2.1535  it is not possible to specify cell widths of characters
  9002  8.2.1536  cannot get the class of a character; emoji widths are wrong
  4689  8.2.1537  memory acccess error when using setcellwidths()
  6496  8.2.1538  Python: iteration over vim objects fails to keep reference
 10388  8.2.1539  using invalid script ID causes a crash
  2845  8.2.1540  the user cannot try out emoji character widths
  4252  8.2.1541  Vim9: cannot find function reference for s:Func
  1508  8.2.1542  Vim9: test with invalid SID does not work in the GUI
  2247  8.2.1543  Vim9: test with invalid SID is skipped in the GUI
 14862  8.2.1544  cannot translate messages in a Vim script
  2602  8.2.1545  ch_logfile() is unclear about closing when forking
  5084  8.2.1546  build rule for Vim.app is unused
  8021  8.2.1547  various comment problems
  1451  8.2.1548  cannot move position of "%%" in message translations
  1866  8.2.1549  "r" fails if 'esckeys' is off and modifyOtherKeys is used
  2635  8.2.1550  Vim9: bufname('%') gives an error
 14222  8.2.1551  Vim9: error for argument type does not mention the number
  4912  8.2.1552  warnings from asan with clang-11
  2998  8.2.1553  crash in edit test
  1419  8.2.1554  crash in normal test
  5601  8.2.1555  not all tests are executed on Github Actions
  8616  8.2.1556  cursorline highlighting always overrules sign highlighting
  2480  8.2.1557  crash in :vimgrep when started as "vim -n"
  1425  8.2.1558  signs test fails
  1684  8.2.1559  s390x tests work again
  6271  8.2.1560  using NULL pointers in some code
  1819  8.2.1561  using NULL pointers in fold code
  5836  8.2.1562  Vim9: error when using "%" where a buffer is expected
  2981  8.2.1563  Vim9: error when using '%" with setbufvar() r getbufvar()
  3817  8.2.1564  a few remaining errors from ubsan
  1763  8.2.1565  spellfile test sometimes fails
  2973  8.2.1566  not all Bazel files are recognized
  4381  8.2.1567  no example to use ubsan with clang
  3061  8.2.1568  prop_find() skips properties in the same line
  2750  8.2.1569  Vim9: fixes not tested; failure in getchangelist()
  6033  8.2.1570  configure check for dirfd() does not work on HPUX
  2467  8.2.1571  Vim9: count() third argument cannot be "true"
  2746  8.2.1572  Vim9: expand() does not take "true" as argument
  2249  8.2.1573  Vim9: getreg() does not take "true" as argument
  2730  8.2.1574  Vim9: glob() doesnot take "true" as argument
  2792  8.2.1575  Vim9: globpath() doesnot take "true" as argument
  2439  8.2.1576  Vim9: index() does not take "true" as argument
  3820  8.2.1577  Vim9: hasmapto()/mapcheck()/maparg() do nottake "true" arg
  2857  8.2.1578  Vim9: popup_clear() does not take "true" as argument
  6502  8.2.1579  reports from asan are not optimal
  8609  8.2.1580  wildmenu does not work properly
  2402  8.2.1581  using line() for global popup window doesn't work
  2133  8.2.1582  the channel log does not show typed text
  2241  8.2.1583  MS-Windows: cannot easily measure code coverage
  3692  8.2.1584  Vim9: cannot use "true" for "skipstart" in prop_find()
 12469  8.2.1585  messages in globals.h not translated
  2666  8.2.1586  :resize command not fully tested
 14995  8.2.1587  loop for handling keys for the command line is too long
 12640  8.2.1588  cannot read back the prompt of a prompt buffer
  7234  8.2.1589  term_start() options for size are overruled by 'termwinsize'
  2281  8.2.1590  Vim9: bufnr() doesn't take "true" argument
  3503  8.2.1591  using winheight('.') in tests works but is wrong
  2201  8.2.1592  Vim9: passing "true" to char2nr() fails
 69418  8.2.1593  tests do not check the error number properly
  3476  8.2.1594  pull requests on github do not notify a maintainer
  9228  8.2.1595  cannot easily see what Vim sends to the terminal
  1915  8.2.1596  using win_screenpos('.') in tests works but is wrong
113105  8.2.1597  the channel source file is too big
  3066  8.2.1598  starting a hidden terminal resizes the current window
  2973  8.2.1599  missing line end when skipping a long line with :cgetfile
  2717  8.2.1600  Vim9: cannot use "true" with deepcopy()
  2131  8.2.1601  Vim9: cannot use 'true" with garbagecollect()
  2886  8.2.1602  Vim9: cannot use 'true" with getbufinfo()
  2109  8.2.1603  Vim9: cannot use "true" with getchar()
  2169  8.2.1604  Vim9: cannot use "true" with getcompletion()
  1910  8.2.1605  default maintainer on github is wrong
  1934  8.2.1606  Vim9: cannot use "true" with has()
  1373  8.2.1607  Vim9: getchar() test fails on MS-Windows
  1893  8.2.1608  Vim9: getchar() test fails with GUI
  2915  8.2.1609  Vim9: test fails when build without +channel
  2618  8.2.1610  Vim9: cannot pass "true" to list2str() and str2list()
  2185  8.2.1611  Vim9: cannot pass "true" to nr2char()
  3374  8.2.1612  Vim9: cannot pass "true" to prop_remove()
  3103  8.2.1613  Vim9: cannot pass "true" to prop_type_add()
  2892  8.2.1614  Vim9: cannot pass "true" to searchcount()
  2990  8.2.1615  Vim9: cannot pass "true" to searchdecl()
  2567  8.2.1616  Vim9: cannot pass "true" to synID()
  9673  8.2.1617  Vim9: cannot pass "true" to win_splitmove()
  2246  8.2.1618  Vim9: cannot pass "true" to setloclist()
  2221  8.2.1619  Vim9: cannot pass "true" to spellsuggest()
  1918  8.2.1620  searchcount() test fails
  1947  8.2.1621  crash when using submatch(0, 1) in substitute()
 26023  8.2.1622  loop to handle keys for the command line is too long
 50292  8.2.1623  Vim9: using :call where it is not needed
  3406  8.2.1624  Vim9: cannot pass "true" to split(), str2nr() and strchars()
  2015  8.2.1625  compiler warning for use of fptr_T
  1703  8.2.1626  test for strchars() fails with different error number
  3991  8.2.1627  Vim9: cannot pass "true" to submatch/term_gettty/term_start
  2298  8.2.1628  Vim9: cannot pass "true" to timer_paused()
  2188  8.2.1629  test fails without terminal feature
  2158  8.2.1630  terminal test fails
 14933  8.2.1631  test_fails() does not check the context of the line number
 15071  8.2.1632  not checking the context of test_fails()
  3936  8.2.1633  some error messages are internal but do not use iemsg()
 18720  8.2.1634  loop to handle keys for the command line is too long
  2274  8.2.1635  no digraph for 0x2022 BULLET
  7317  8.2.1636  get stuck if a popup filter causes an error
 12792  8.2.1637  Vim9: :put ={expr} does not work inside :def function
  3626  8.2.1638  leaking memory when popup filter function can't be called
 48586  8.2.1639  options window cannot be translated
  1291  8.2.1640  Amiga: missing header for getgrgid()
  4321  8.2.1641  Vim9: cannot use 0 or 1 where a bool is expected
  1872  8.2.1642  options test fails
  2079  8.2.1643  Vim9: :defcompile compiles dead functions
  6155  8.2.1644  Vim9: cannot assign 1 and 0 to bool at script level
  2493  8.2.1645  GTK3: icons become broken images when resized
  1917  8.2.1646  Amiga: Unnecessary #include
  4785  8.2.1647  Vim9: result of expression with && and || is not a bool
  9655  8.2.1648  Amiga: no common build file for Amiga (-like) systems
  4836  8.2.1649  GTK3: using old file chooser
 11235  8.2.1650  Vim9: result of && and || expression is not bool in script
  5608  8.2.1651  spellfile code not completely tested
 11322  8.2.1652  cannot translate lines in the options window
 12190  8.2.1653  expand('<stack>') does not include the final line number
  3925  8.2.1654  when job writes to hidden buffer current window is wrong
  2404  8.2.1655  cannot build with Strawberry Perl 5.32.0
  2097  8.2.1656  Vim9: callstack wrong if :def function calls :def function
  2787  8.2.1657  Vim9: no proper error for nested ":def!"
  3522  8.2.1658  expand('<stack>') has trailing ".."
  4186  8.2.1659  spellfile code not completely tested
 48101  8.2.1660  assert functions require passing expected as first argument
  2036  8.2.1661  cannot connect to 127.0.0.1 for host with only IPv6 addresses
 22215  8.2.1662  :mksession does not restore shared terminal buffer properly
119831  8.2.1663  options window entries cannot be translated
  6982  8.2.1664  memory leak when using :mkview with a terminal buffer
 16087  8.2.1665  cannot do fuzzy string matching
  7162  8.2.1666  the initial value of 'backupskip' can have duplicate items
 10056  8.2.1667  local function name cannot shadow a global function name
  2624  8.2.1668  Vim9: not accepting 0 or 1 as bool when type is any
  5851  8.2.1669  Vim9: memory leak when storing a value fails
  2088  8.2.1670  a couple of gcc compiler warnings
  2113  8.2.1671  Vim9: stray error for missing white space
  1401  8.2.1672  v_lock is used when it is not initialized
  2537  8.2.1673  complete_info() selected index has an invalid value
  2229  8.2.1674  Vim9: internal error when using variable that was not set
  1951  8.2.1675  MinGW: testdir makefile deletes non-existing file
  2256  8.2.1676  compiler warnings for function typecast
  5859  8.2.1677  memory access errors when calling setloclist() in autocommand
  2230  8.2.1678  crash when using ":set" after ":ownsyntax"
  7509  8.2.1679  Vim9: ":*" is not recognized as a range
  1964  8.2.1680  Vim9: line number for compare error is wrong
  8770  8.2.1681  Vim9: unnessary :call commands in tests
  4682  8.2.1682  Vim9: const works in an unexpected way
  2732  8.2.1683  Vim9: assignment test fails
  2822  8.2.1684  "gF" does not use line number after file in Visual mode
 50159  8.2.1685  Vim9: cannot declare a constant value
  3256  8.2.1686  Vim9: "const!" not sufficiently tested
  1591  8.2.1687  Vim9: out of bounds error
  5132  8.2.1688  increment/decrement removes text property
  5005  8.2.1689  'colorcolumn' doesn't show in indent
  5088  8.2.1690  text properties not adjusted for "I" in Visual block mode
 42853  8.2.1691  Vim9: list<any> is not accepted where list<number> is expected
  1444  8.2.1692  build fails because TTFLAG_STATIC is missing
  3400  8.2.1693  "hi def" does not work for cleared highlight
  1862  8.2.1694  compiler warning for loss if data
  2627  8.2.1695  Vim9: crash when using varargs type "any"
  1502  8.2.1696  unused (duplicate) macros
 36417  8.2.1697  inconsistent capitalization of error messages
 24372  8.2.1698  cannot lock a variable in legacy Vim script like in Vim9
  1364  8.2.1699  build failure due to missing error message
  2080  8.2.1700  Vim9: try/catch causes wrong value to be returned
  2672  8.2.1701  Vim9: sort("i") does not work
  2149  8.2.1702  crash when using undo after deleting folded lines
  7839  8.2.1703  ":highlight clear" does not restore default link
  4539  8.2.1704  Vim9: crash in for loop when autoload script has an error
  4708  8.2.1705  "verbose hi Name" reports incorrect info after ":hi clear"
  3124  8.2.1706  Vim9: crash after running into the "Multiple closures" error
  2399  8.2.1707  small inconsitency in highlight test
  3474  8.2.1708  Vim9: error message for function has unpritable characters
  1494  8.2.1709  Vim9: memory leak when using multiple closures
  3254  8.2.1710  Vim9: list of list type can be wrong
  5824  8.2.1711  Vim9: leaking memory when using partial
  5847  8.2.1712  Vim9: leaking memory when calling a lambda
  1711  8.2.1713  Motif GUI: crash when setting menu colors
  2333  8.2.1714  text properties corrupted with substitute command
  1795  8.2.1715  Motif GUI: commented out code missed {}
 13158  8.2.1716  options window has duplicate translations
 18954  8.2.1717  MS-Windows installer doesn't have Russian translations
  2842  8.2.1718  Vim9: :def function disallows "firstline" for no good reason
  3019  8.2.1719  Vim9: no error if comma is missing in between arguments
  2652  8.2.1720  Vim9: memory leak with heredoc that isn't executed
  1648  8.2.1721  MS-Windows installer doesn't work
  2822  8.2.1722  Vim9: cannot assign a lambda to a variable of type function
  2089  8.2.1723  Vim9: Variable argument name cannot start with underscore
 40953  8.2.1724  Vim9: assignment tests spread out
  4260  8.2.1725  not all Pascal files are recognized
 42042  8.2.1726  fuzzy matching only works on strings
  9610  8.2.1727  a popup created with "cursorline" will ignore "firstline"
  1400  8.2.1728  compiler warning for using uninitialized variable
  5370  8.2.1729  endless loop when ":normal" feeds popup window filter 
  2977  8.2.1730  Vim9: cannot use member of unknown type
  4054  8.2.1731  Vim9: cannot use += to append to empty NULL list
  6689  8.2.1732  stuck when win_execute() for a popup causes an error
  1390  8.2.1733  Vim9: memory leaks when using nested function
 16731  8.2.1734  Vim9: cannot use a funcref for a closure twice
  1905  8.2.1735  Github actions appear to timeout too soon
 11331  8.2.1736  failure to compile a pattern not tested much
  5725  8.2.1737  cursor line highlight in popup window is not always updated
  1451  8.2.1738  Mac: str2float() recognizes comma instead of decimal point
  4098  8.2.1739  Vim9: crash when compiling a manually defined function
  1659  8.2.1740  test fails without the terminal feature
 10078  8.2.1741  pathshorten() only supports using one character
  2000  8.2.1742  test still fails without the terminal feature
  4351  8.2.1743  cannot build without the eval feature
104519  8.2.1744  Vim9: using ":const!" is weird
  1317  8.2.1745  tiny version doesn't build
  3529  8.2.1746  Vim9: cannot use "fina" for "finally"
  2801  8.2.1747  result of expand() unexpectedly depends on 'completeslash'
  3130  8.2.1748  closing split window in other tab may cause a crash
  3312  8.2.1749  Vim9: crash when closure fails in nested function
 13444  8.2.1750  popup_setoptions() setting firstline fails if cursorline set
  4175  8.2.1751  using 2 where bool is expected may throw an error
  4938  8.2.1752  GTK GUI: cannot map alt-? with <A-?>
  1552  8.2.1753  Vim9: crash when using import at script level
  2679  8.2.1754  completion with spell checking not tested
  3147  8.2.1755  Vim9: crash when using invalid heredoc marker
 64184  8.2.1756  Vim9: :let will soon be disallowed
  3686  8.2.1757  Mac: default locale is lacking the encoding
  2834  8.2.1758  Vim9: type of unmaterialized list is wrong
 77029  8.2.1759  Vim9: Some tests are still using :let
  2347  8.2.1760  Vim9: crash when end marker is missing
 56518  8.2.1761  Vim9: Some tests are still using :let
  3012  8.2.1762  when a timer uses :stopinsert completion isn't stopped
  3354  8.2.1763  Vim9: cannot use "true" for popup window scrollbar option
  2267  8.2.1764  Vim9: no error when assigning to script var with wrong type
 15691  8.2.1765  Vim9: some tests use "var var"
 48362  8.2.1766  Vim9: Some tests are still using :let
  1581  8.2.1767  Vim9: test fails with python support
  5057  8.2.1768  cannot use the help menu from a terminal window
  8129  8.2.1769  popup filter interferes with using :normal to move the cursor
  2689  8.2.1770  invalid memory use when using SpellFileMissing autocmd
  4665  8.2.1771  synIDattr() cannot get the value of ctermul
  2909  8.2.1772  cannot use CTRL-W <Down> to move out of a terminal window
  1783  8.2.1773  crash when calling mapset() with a list as first argument
  1711  8.2.1774  GTK: hang when forced to exit
  3748  8.2.1775  MS-Windows: adding a long quickfix list is slow
  2260  8.2.1776  filetype.vim may be loaded twice
 10332  8.2.1777  Vim9: some assignment tests in the wrong file
  5010  8.2.1778  Vim9: returning from a partial call clears outer context
  2315  8.2.1779  some debian changelog files are not recognized
  2698  8.2.1780  statusline not updated when splitting windows
  3089  8.2.1781  writing to prompt buffer interferes with insert mode
  2053  8.2.1782  Vim9: cannot pass boolean to mapset()
  3835  8.2.1783  try-catch test fails
  4031  8.2.1784  commits are not scanned for security problems
  1781  8.2.1785  compiler warning for strcp() out of bounds
 12706  8.2.1786  various Normal mode commands not fully tested
  3698  8.2.1787  crash with 'incsearch' and very long line
  2686  8.2.1788  Vim9: still allows :let for declarations
  2949  8.2.1789  Vim9: crash with invalid list constant
  2468  8.2.1790  MS-Windows with Python: crash when executed from Vifm
  1946  8.2.1791  Vim9: debugger test fails
  2933  8.2.1792  Configure does not recognize Racket 6.1+
  4883  8.2.1793  not consistently giving the "is a directory" warning
 20303  8.2.1794  no falsy Coalescing operator
 37837  8.2.1795  Vim9: operators && and || have a confusing result
  3443  8.2.1796  Vim9: invalid memory access with weird function name
  2641  8.2.1797  Vim9: some parts of the code not tested
 20061  8.2.1798  Vim9: trinary operator condition is too permissive
 11989  8.2.1799  some Normal mode commands not fully tested
  1670  8.2.1800  Vim9: memory leak if "if" condition is invalid
  2963  8.2.1801  undo file not found when using ":args" or ":next"
  1942  8.2.1802  Vim9: crash with unterminated dict
  4105  8.2.1803  a few failures are not tested
  2042  8.2.1804  resolve('/') returns an empty string
  2417  8.2.1805  Unix: terminal mode changed when using ":shell"
  2476  8.2.1806  MS-Windows with Python: Vim freezes after import command
  2419  8.2.1807  can use :help in a terminal popup window
  2525  8.2.1808  no test coverage for ":spelldump!"
  6501  8.2.1809  mapping some keys with Ctrl does not work properly
  6325  8.2.1810  some code in normal.c not covered by tests
  5254  8.2.1811  mapping Ctrl-key does not work for '{', '}' and '|'
  3429  8.2.1812  Vim9: nested closure throws an internal error
  7815  8.2.1813  Vim9: can assign wrong type to script dict
  1589  8.2.1814  missing change to remove "static"
  3003  8.2.1815  Vim9: memory leak when using function reference
  3451  8.2.1816  Vim9: another memory leak when using function reference
  3643  8.2.1817  Vim9: wrong instruction when reusing a local variable spot
  1660  8.2.1818  SE Linux: deprecation warning for security_context_t
 12097  8.2.1819  Vim9: Memory leak when using a closure
  1580  8.2.1820  Vim9: crash when error happens in timer callback
  3469  8.2.1821  Vim9: concatenating to a NULL list doesn't work
  1830  8.2.1822  list test doesn't fail
  2554  8.2.1823  "gN" does not select the matched string
  9700  8.2.1824  Vim9: variables at the script level escape their scope
  2429  8.2.1825  Vim9: accessing freed memory
  7613  8.2.1826  Vim9: cannot use a {} block at script level
 47800  8.2.1827  filetype detection does not test enough file names
  1678  8.2.1828  build failure without the +eval feature
  2473  8.2.1829  warnings when executing Github actions
  3772  8.2.1830  MS-Windows: Python3 issue with stdin
  1427  8.2.1831  file missing from distribution
  2206  8.2.1832  readdirex() error is displayed as a message
  2252  8.2.1833  when reading from stdin dup() is called twice
  4615  8.2.1834  PyEval_InitThreads() is deprecated in Python 3.9
  5959  8.2.1835  ":help ??" finds the "!!" tag
  3776  8.2.1836  autocmd test fails on pacifist systems
  4254  8.2.1837  using "gn" after "gN" does not work
  5844  8.2.1838  Vim9: cannot insert a comment line in an expression
  3240  8.2.1839  Vim9: memory leaks reported in assign test
  4499  8.2.1840  Vim9: error message is not clear about compilation error
  1798  8.2.1841  Vim9: test for compilation error fails in normal build
  3440  8.2.1842  crash when USE_FNAME_CASE is defined and using :browse
  2121  8.2.1843  Netbeans: with huge buffer number memory allocation may fail
  3792  8.2.1844  using "q" at the more prompt doesn't stop a long message
 16660  8.2.1845  Vim9: function defined in a block can't use block variables
 30419  8.2.1846  Vim9: block variables are not found in compiled function
  1462  8.2.1847  Vim9: using negative value for unsigned type
  2526  8.2.1848  crash when passing a NULL string or list to popup_settext()
  3974  8.2.1849  Vim9: garbage collection frees block-local variables
  2961  8.2.1850  "vat" does not select tags correctly over line break
  3690  8.2.1851  Vim9: "!" followed by space incorrectly used
  3705  8.2.1852  map() returing zero for NULL list is unexpected
  2186  8.2.1853  "to_f" is recognized at "topleft" modifier
  2954  8.2.1854  Vim9: crash when throwing exception for NULL string
  3963  8.2.1855  Vim9: get error message when nothing is wrong
  2709  8.2.1856  "2resize" uses size of current window
  2427  8.2.1857  Vim9: using job_status() on an unused var gives an error
  4524  8.2.1858  Vim9: filter functions return number instead of bool
  4184  8.2.1859  Vim9: crash in unpack assignment
  1340  8.2.1860  Vim9: memory leak when throwing empty string
  4284  8.2.1861  Vim9: no specific error when parsing lambda fails
  1381  8.2.1862  vim9: memory leak when compiling lambda fails
  3537  8.2.1863  json code not sufficiently tested
 19569  8.2.1864  Vim9: no error for wrong list type
  9162  8.2.1865  Vim9: add() does not check type of argument
  1960  8.2.1866  Vim9: appending to pushed blob gives wrong result
  7800  8.2.1867  Vim9: argument to add() not checked for blob
  2028  8.2.1868  Vim9: no error for missing space after comma in dict
  1338  8.2.1869  Vim9: memory leak when using add()
 10627  8.2.1870  Vim9: no need to keep all script variables
  2653  8.2.1871  using %v in 'errorformat' may fail before %Z
  6549  8.2.1872  matchfuzzy() does not prefer sequential matches
  2219  8.2.1873  Vim9: missing white space when using <f-args>
  7151  8.2.1874  can't do something just before leaving Insert mode
  1942  8.2.1875  warning when building GTK gui
111920  8.2.1876  Vim9: argument types are not checked at compile time
  4573  8.2.1877  test for function list fails
 29348  8.2.1878  GTK: error for redefining function
  8707  8.2.1879  Vim9: argument types of insert() not checked when compiling
  2033  8.2.1880  Vim9: asan complains about adding zero to NULL
  4763  8.2.1881  cannot build with GTK3
  3503  8.2.1882  Vim9: v:disallow_let is no longer needed
 20554  8.2.1883  compiler warnings when using Python
  2445  8.2.1884  compiler warning for uninitialized variable
  1506  8.2.1885  filetype tests unnessarily creates swap files
  3335  8.2.1886  using ":silent!" in a popup filter has unexpected effect
  1607  8.2.1887  Github actions not optimally configured
  2545  8.2.1888  Vim9: getbufline(-1, 1, '$') gives an error
  1974  8.2.1889  Vim9: errornous error for missing white space after {}
  3698  8.2.1890  Vim9: strange error for subtracting from a list
  6461  8.2.1891  Vim9: skipping over expression doesn't handle line breaks
  1809  8.2.1892  valgrind warns for using uninitialized access in tests
 30521  8.2.1893  fuzzy matching does not support multiple words
  8705  8.2.1894  Vim9: command modifiers are not supported
  1452  8.2.1895  Vim9: silent command modifier test fails
  1997  8.2.1896  valgrind warns for using uninitialized memory
 16058  8.2.1897  command modifiers are saved and set inconsistently
 95041  8.2.1898  command modifier parsing always uses global cmdmod
  1524  8.2.1899  crash in out-of-memory situation
 19086  8.2.1900  Vim9: command modifiers do not work
  3666  8.2.1901  variable completion does not work in command line window
  2177  8.2.1902  default option values changed with :badd for existing buffer
  1708  8.2.1903  buffer test fails with normal features
  6966  8.2.1904  still using default option values after using ":badd +1"
  3500  8.2.1905  the wininfo list may contain stale entries
  2973  8.2.1906  warning for signed/unsigned
  6757  8.2.1907  complete_info().selected may be wrong
  3381  8.2.1908  Lua is initialized even when not used
 26399  8.2.1909  number of status line items is limited to 80
  2258  8.2.1910  reading past the end of the command line
  1811  8.2.1911  tiny build fails
  3038  8.2.1912  with Python 3.9 some tests fail
  2108  8.2.1913  GTK GUI: rounding for the cell height is too strict
  8479  8.2.1914  Vim9: cannot put line break in expression for '=' register
  2739  8.2.1915  Vim9: error for wrong number of arguments is not useful
  3525  8.2.1916  Vim9: function call is aborted even when "silent!" is used
  1598  8.2.1917  no test for improved Man command
  2506  8.2.1918  Vim9: E1100 mentions :let
 16311  8.2.1919  assert_fails() setting emsg_silent changes normal execution
  1808  8.2.1920  listlbr test fails when run after another test
  3900  8.2.1921  fuzzy matching does not recognize path separators
  5441  8.2.1922  Win32: scrolling problems when part of window is off-screen
  2326  8.2.1923  Vim9: "filter" command modifier doesn't work
  3346  8.2.1924  Vim9: crash when indexing dict with NULL key
  1730  8.2.1925  list/dict test fails
  2713  8.2.1926  cannot use a space in 'spellfile'
  5121  8.2.1927  Vim9: get unknown error with an error in a timer function
  2557  8.2.1928  Vim9: "silent!" not effective when list index is wrong
  1938  8.2.1929  MS-Windows: problem loading Perl 5.32
  3202  8.2.1930  wrong input if removing shift results in special key code
  6643  8.2.1931  Vim9: arguments of extend() not checked at compile time
  4812  8.2.1932  compiler warnings when building with Athena GUI
 10348  8.2.1933  cannot sort using locale ordering
  7141  8.2.1934  Vim9: command modifiers in :def function not tested
  3907  8.2.1935  sort test fails on Mac
  3009  8.2.1936  session sets the local 'scrolloff' value to the global value
  2812  8.2.1937  Vim9: test for confirm modifier fails in some situations
  3467  8.2.1938  wiping out a terminal buffer makes some tests fail
  2855  8.2.1939  invalid memory access in Ex mode with global command
  1542  8.2.1940  Vim9: browse modifier test fails on Mac
  1400  8.2.1941  Ex mode test fails on MS-Windows with GUI
 18853  8.2.1942  insufficient test coverage for the Netbeans interface
  2586  8.2.1943  Vim9: wrong error message when colon is missing
  1746  8.2.1944  Netbeans test is flaky
  2689  8.2.1945  crash when passing NULL function to reduce()
  4154  8.2.1946  sort() with NULL string not tested
  1840  8.2.1947  crash when using "zj" without folds
  3239  8.2.1948  GUI: crash when handling message while closing a window
  5647  8.2.1949  Vim9: using extend() on null dict is silently ignored
  3472  8.2.1950  Vim9: crash when compiling function fails when getting type
  8017  8.2.1951  test for list and dict fails
  2974  8.2.1952  Vim9: crash when using a NULL dict key
  7241  8.2.1953  Vim9: extra "unknown" error after other error
  3443  8.2.1954  Vim9: not all command modifiers are tested
  3207  8.2.1955  Vim9: not all command modifiers are tested
 20070  8.2.1956  Vim9: cannot specify argument types for lambda
  8821  8.2.1957  diff and cursorcolumn highlighting don't mix
  1787  8.2.1958  build failure with timers
  4620  8.2.1959  crash when terminal buffer name is made empty
  1615  8.2.1960  warning for uninitialized variable
  3964  8.2.1961  various comments can be improved
  5973  8.2.1962  netbeans may access freed memory
  4665  8.2.1963  crash when using a popup window with "latin1" encoding
  2917  8.2.1964  not all ConTeXt files are recognized
  4962  8.2.1965  Vim9: tests fail without the channel feature
  8595  8.2.1966  popup becomes current window after closing a terminal window
 13352  8.2.1967  the session file does not restore the alternate file
  7333  8.2.1968  Vim9: has() assumes a feature does not change dynamically
 21150  8.2.1969  Vim9: map() may change the list or dict item type
  5264  8.2.1970  it is easy to make mistakes when cleaning up swap files
  1788  8.2.1971  memory leak when map() fails
  1887  8.2.1972  crash when recreating nested fold
  2152  8.2.1973  finding a patch number can be a bit slow
  2000  8.2.1974  Vim9: test for has('gui_running') fails with VIMDLL
  1448  8.2.1975  Win32: memory leak when encoding conversion fails
  2581  8.2.1976  cannot backspace in prompt buffer after using cursor-left
 15914  8.2.1977  Vim9: error for using a string in a condition is confusing
 33294  8.2.1978  making a mapping work in all modes is complicated
  3592  8.2.1979  "term_opencmd" option of term_start() is truncated
 56846  8.2.1980  Vim9: some tests are not done at the script level
  2115  8.2.1981  MinGW: parallel compilation might fail
  2653  8.2.1982  quickfix window not updated when adding invalid entries
  4506  8.2.1983  ml_get error when using <Cmd> to open a terminal
  5364  8.2.1984  cannot use :vimgrep in omni completion
  2853  8.2.1985  crash when closing terminal popup with <Cmd> mapping
  2317  8.2.1986  expression test is flaky on Appveyor
  3405  8.2.1987  MS-Windows: Win32.mak is no longer needed
  2472  8.2.1988  still in Insert mode when opening terminal popup
  2469  8.2.1989  info popup triggers WinEnter and WinLeave autocommands
  8043  8.2.1990  cursor position wrong in terminal popup with finished job
  1597  8.2.1991  Coverity warns for not using the ga_grow() return value
  1336  8.2.1992  build fails with small features
  2212  8.2.1993  occasional failure of the netbeans test
  3411  8.2.1994  MS-Windows: MinGW always does a full build
  2430  8.2.1995  the popup menu can cause too much redrawing
  7473  8.2.1996  Vim9: invalid error for argument of extend()
  2593  8.2.1997  window changes when using bufload() while in a terminal popup
  2013  8.2.1998  terminal Cmd test sometimes fails to close popup
  1752  8.2.1999  terminal popup test sometimes fails
  4364  8.2.2000  Vim9: dict.key assignment not implemented yet
  7485  8.2.2001  Vim9: :def function does not apply 'maxfuncdepth'
  2977  8.2.2002  Vim9: lambda argument shadowed by function name
  2078  8.2.2003  build error with +conceal but without +popupwin
  1593  8.2.2004  compiler warning for uninitialized variable
  4290  8.2.2005  redoing a mapping with <Cmd> doesn't work properly
  2377  8.2.2006  .pbtxt files are not recognized
  1698  8.2.2007  test for insert mode in popup is not reliable
  2829  8.2.2008  MS-Windows GUI: handling channel messages lags
  7230  8.2.2009  MS-Windows: setting $LANG in gvimext only causes problems
  3691  8.2.2010  Vim9: compiling fails for unreachable return statement
  4012  8.2.2011  "syn sync" reports a very large number
  3197  8.2.2012  Vim9: confusing error message when using bool wrongly
  2637  8.2.2013  Vim9: not skipping white space after unary minus
  2947  8.2.2014  using CTRL-O in a prompt buffer moves cursor to start
 11901  8.2.2015  Vim9: literal dict #{} is not like any other language
  2285  8.2.2016  swap file test is a little flaky
  2665  8.2.2017  missing part of the dict change
  2618  8.2.2018  Vim9: script variable not found from lambda
  2447  8.2.2019  swap file test fails on MS-Windows
  3444  8.2.2020  some compilers do not like the "namespace" argument
  6671  8.2.2021  Vim9: get E1099 when autocommand resets did_emsg
  2206  8.2.2022  Vim9: star command recognized errornously
  1600  8.2.2023  Vim: memory leak when :execute fails
  6790  8.2.2024  flicker when redrawing a popup with a title and border
  1744  8.2.2025  Amiga: Not all colors are used on OS4
  1405  8.2.2026  Coverity warns for possibly using not NUL terminated string
  1278  8.2.2027  Coverity warns for uninitialized field
  1504  8.2.2028  Coverity warns for using an uninitialized variable
  1656  8.2.2029  Coverity warns for not checking return value
  4680  8.2.2030  some tests fail on Mac
  9065  8.2.2031  some tests fail when run under valgrind
  5059  8.2.2032  cabalconfig and cabalproject filetypes not recognized
  8734  8.2.2033  Vim9: :def without argument gives compilation error
 16763  8.2.2034  Vim9: list unpack in for statement not compiled yet
  3305  8.2.2035  MS-Windows: some tests may fail
  4133  8.2.2036  buffer messed up if creating the quickfix window fails
  3034  8.2.2037  compiler test depends on list of compiler plugins
  1646  8.2.2038  compiler test fails on MS-Windows
  3068  8.2.2039  viminfo is not written when creating a new file
  2724  8.2.2040  terminal buffer disappears even when 'bufhidden' is "hide"
  3631  8.2.2041  haskell filetype not optimally recognized
  2005  8.2.2042  build failure with +profile but without +reltime
  1935  8.2.2043  GTK3: white border around text stands out
  4224  8.2.2044  MS-Windows: swap file test sometimes fails
  5308  8.2.2045  highlighting a character too much with incsearch
  5626  8.2.2046  some test failures don't give a clear error
  1679  8.2.2047  Amiga: FEAT_ARP defined when it should not
  1626  8.2.2048  Amiga: obsolete code
  1825  8.2.2049  Amiga: obsolete function
  3205  8.2.2050  search test contains unneeded sleeps
  3906  8.2.2051  Vim9: crash when aborting a user function call
  8652  8.2.2052  Vim9: "edit +4 fname" gives an error
  2406  8.2.2053  Vim9: lamba doesn't accept argument types
  1909  8.2.2054  Amiga: FEAT_ARP defined when it should not
  2602  8.2.2055  MS-Windows: two Vim instances may use the same temp file
  2551  8.2.2056  configure fails if building with implicit-function-declaration
  4833  8.2.2057  getting the selection may trigger TextYankPost autocmd
  5332  8.2.2058  using mkview/loadview changes the jumplist
  2876  8.2.2059  Amiga: can't find plugins
  5234  8.2.2060  check for features implemented with "if"
  3155  8.2.2061  Vim9: E1030 error when using empty string for term_sendkeys()
  2147  8.2.2062  <Cmd> does not handle CTRL-V
 10981  8.2.2063  Vim9: only one level of indexing supported
  5127  8.2.2064  terminal: cursor is on while redrawing, causing flicker
  5826  8.2.2065  using map() and filter() on a range() is inefficient
  3767  8.2.2066  Vim9: assignment with += doesn't work
  3220  8.2.2067  cursor position in popup terminal is wrong
  5544  8.2.2068  transparent syntax item uses start/end of containing region
  5202  8.2.2069  the quickfix window is not updated after setqflist()
  6598  8.2.2070  can't get the exit value in VimLeave(Pre) autocommands
  3541  8.2.2071  Vim9: list assign doesn't except empty remainder list
  3533  8.2.2072  Vim9: list assign not well tested
 22348  8.2.2073  Vim9: for with unpack only works for local variables
  3523  8.2.2074  Vim9: using :normal from Vim9 script can't handle range
  3325  8.2.2075  error for const argument to mapnew()
  2718  8.2.2076  MS-Windows console: sometimes drops typed characters
  3278  8.2.2077  build failure with small features
  2426  8.2.2078  illegal memory access when using :print on invalid text
  2818  8.2.2079  Vim9: cannot put a linebreak before or after "in" of ":for"
  2397  8.2.2080  Vim9: no proper error message for using s:var in for loop
  3607  8.2.2081  Vim9: cannot handle a linebreak after "=" in assignment
 67573  8.2.2082  Vim9: can still use the depricated #{} dict syntax
  3423  8.2.2083  Vim9: crash when using ":silent!" and getting member fails
  9354  8.2.2084  CTRL-V U doesn't work to enter a Unicode character
  2989  8.2.2085  Qt translation file is recognized as typescript
  3938  8.2.2086  libvterm tests are only run on Linux
  1473  8.2.2087  Vim9: memory leak when statement is truncated
  1395  8.2.2088  Vim9: script test sometimes fails
  2136  8.2.2089  libvterm test fails to build on Mac
  8578  8.2.2090  Vim9: dict does not accept a key in quotes
  2299  8.2.2091  MS-Windows: build warnings
 11955  8.2.2092  Vim9: unpredictable errors for script tests
  1742  8.2.2093  Vim9: script test sometimes fails
  2224  8.2.2094  when an expression fails getting next command may be wrong
  2936  8.2.2095  Vim9: crash when failed dict member is followed by concat
  4935  8.2.2096  Vim9: command modifiers not restored after assignment
  5244  8.2.2097  Vim9: using :silent! when calling a function prevents abort
  2889  8.2.2098  Vim9: function argument of sort() and map() not tested
  9565  8.2.2099  Vim9: some checks are not tested
  4273  8.2.2100  insufficient testing for function range and dict
  1914  8.2.2101  Vim9: memory leak when literal dict has an error
  3413  8.2.2102  Vim9: not all error messages tested
  2010  8.2.2103  Vim9: unreachable code
  6159  8.2.2104  build problem with Ruby 2.7
  3607  8.2.2105  sound test is a bit flaky
  2042  8.2.2106  TOML files are not recognized
  8996  8.2.2107  Vim9: some errors not tested
  3576  8.2.2108  Vim9: no test to check for :let error
  2229  8.2.2109  "vim -" does not work well when modifyOtherKeys is enabled
  1907  8.2.2110  cannot use ":shell" when reading from stdin
  3235  8.2.2111  GTK: menu background is the same color as the main window
  3900  8.2.2112  running tests may leave some files behind
  2179  8.2.2113  MS-Windows GUI: crash after using ":set guifont=" four times
  1619  8.2.2114  Vim9: unreachable code in assignment
  2387  8.2.2115  Vim9: some errors not tested for; dead code
  1953  8.2.2116  MS-Windows GUI: test for 'guifont' is incomplete
 11069  8.2.2117  some functions use any value as a string
  1831  8.2.2118  dead code in the job support
  2236  8.2.2119  GTK3: status line background color is wrong
  2597  8.2.2120  not all Perl functionality is tested
  3450  8.2.2121  internal error when using \ze before \zs in a pattern
  2390  8.2.2122  Vim9: crash when sourcing vim9script early
  2115  8.2.2123  after using a complete popup the buffer is listed
  8331  8.2.2124  Vim9: a range cannot be computed at runtime
  1607  8.2.2125  Vim9: leaking memory
  1316  8.2.2126  Ruby: missing function prototype
  2212  8.2.2127  Vim9: executing user command from Vim9 script not tested
  6777  8.2.2128  there is no way to do something on CTRL-Z
  2623  8.2.2129  MS-Windows: Checking if a file name is absolute is slow
  4283  8.2.2130  Insert mode completion messages end up in message history
 13181  8.2.2131  Vim9: crash when lambda uses same var as assignment
  4988  8.2.2132  padding not drawn properly for popup window with title
 10845  8.2.2133  Vim9: checking for a non-empty string is too strict
  2542  8.2.2134  Vim9: get E1099 when autocmd triggered in builtin function
  2690  8.2.2135  Vim9: #{ still seen as start of dict in some places
  2192  8.2.2136  Vim9: Using uninitialized variable
  7504  8.2.2137  Vim9: :echo and :execute give error for empty argument
 12924  8.2.2138  Vim9: "exit_cb" causes Vim to exit
  2346  8.2.2139  Vim9: unreachable code in assignment
  1866  8.2.2140  build failure with tiny features
  4206  8.2.2141  user command with try/catch may not catch an expression error
  1388  8.2.2142  memory leak when heredoc is not terminated
  1836  8.2.2143  Vim9: dead code in compiling :unlet
  3002  8.2.2144  Vim9: some corner cases not tested
  3691  8.2.2145  Vim9: concatenating lists does not adjust type of result
  2058  8.2.2146  Vim9: automatic conversion of number to string for dict key
  3580  8.2.2147  quickfix window title not updated in all tab pages
  2472  8.2.2148  Vim9: crash when user command doesn't match
  1787  8.2.2149  popupwin test for latin1 sometimes fails
 37152  8.2.2150  Github actions CI isn't used for all available platforms
  2273  8.2.2151  $dir not expanded when configure checks for moonjit
  2576  8.2.2152  screenpos() does not include the WinBar offset
  1622  8.2.2153  popupwin test for latin1 still fails sometimes
  2421  8.2.2154  popupwin test for terminal buffer fails sometimes
  1850  8.2.2155  warning from Github actions for code analysis
  4050  8.2.2156  Github actions run on pusing a tag
  2379  8.2.2157  Vim9: can delete a Vim9 script variable from a function
  2037  8.2.2158  CI on cirrus times out, coveralls doesn't always run
  3280  8.2.2159  Vim9: when declaring a list it is not allocated yet
 31506  8.2.2160  various typos
  3350  8.2.2161  arguments -T and -x not tested yet
 14465  8.2.2162  Vim9: Cannot load or store autoload variables
  2224  8.2.2163  crash when discarded exception is the current exception
  2947  8.2.2164  Vim9: autoload function doesn't work in uppercased script
  4221  8.2.2165  Vim9: assignment to dict member does not work
  2356  8.2.2166  auto format doesn't work when deleting text
  1999  8.2.2167  Vim9: assign test fails
  3647  8.2.2168  Vim9: error for assigning to dict of dict
  6432  8.2.2169  Vim9: test leaves file behind
 12049  8.2.2170  Vim9: a global function defined in a :def function fails
  1891  8.2.2171  valgrind warning for using uninitialized value
  6008  8.2.2172  Vim9: number of arguments is not always checked
  3388  8.2.2173  Vim9: get internal error when assigning to undefined variable
  1641  8.2.2174  Mac version doesn't specify the CPU architecture
  4485  8.2.2175  github actions: clang-11 handling suboptimal
  2085  8.2.2176  crash with a sequence of fold commands
  2675  8.2.2177  pattern "^" does not match if first character is combining
  6755  8.2.2178  Python 3: non-utf8 character cannot be handled
 16498  8.2.2179  Vim9: crash when indexing a dict with a number
  1868  8.2.2180  Vim9: test for error after error is flaky
  3866  8.2.2181  valgrind warnings for using uninitialized value
 23831  8.2.2182  Vim9: value of 'magic' is still relevant
  2026  8.2.2183  Vim9: value of 'edcompatible' and 'gdefault' are used
  3747  8.2.2184  Vim9: no error when using "2" for a line number
 55238  8.2.2185  BufUnload is not triggered for the quickfix dummy buffer
  4476  8.2.2186  Vim9: error when using 'opfunc'
  4068  8.2.2187  Python 3 test fails sometimes
 18894  8.2.2188  Vim9: crash when calling global function from :def function
  3189  8.2.2189  cannot repeat a command that uses the small delete register
  2485  8.2.2190  Vim9: crash when compiled with EXITFREE
  5469  8.2.2191  Vim9: using wrong name with lambda in nested function 
  2470  8.2.2192  Codecov on github actions fails
  5117  8.2.2193  Vim9: can change constant in :def function
 10221  8.2.2194  Vim9: cannot use :const or :final at the script level
  3910  8.2.2195  failing tests for :const
  2698  8.2.2196  :version output has extra spaces in compile and link command
  1717  8.2.2197  assert arguments order reversed
  3936  8.2.2198  ml_get error when resizing window and using text property
  2487  8.2.2199  first write after setting 'eol' does not have NL added
  4594  8.2.2200  Vim9: lambda without white space around -> is confusing
  1752  8.2.2201  write file test fails on MS-Windows
  1753  8.2.2202  write file test still fails on MS-Windows
  2649  8.2.2203  Moodle gift files are not recognized
 27134  8.2.2204  Vim9: using -> both for method and lambda is confusing
  1891  8.2.2205  Vim9: memory leak when parsing lambda fails
  2626  8.2.2206  :exe command line completion only works for first argument
  7240  8.2.2207  illegal memory access if popup menu items are changed
 12482  8.2.2208  Vim9: after reloading a script variable index may be invalid
 24946  8.2.2209  Vim9: return type of => lambda not parsed
  3409  8.2.2210  Vim9: allocating a type to set TTFLAG_BOOL_OK
  3690  8.2.2211  MS-Windows: can't load Python dll if not in the path
  9594  8.2.2212  Vim9: lambda with => does not work at the script level
  1746  8.2.2213  checking white space around -> is not backwards compatible
  7098  8.2.2214  ":e#" does not give a warning for missing white space
  2512  8.2.2215  Vim9: `=expr` not recognized in global command
  3750  8.2.2216  Vim9: range with missing colon can be hard to spot
  2063  8.2.2217  Vim9: command modifiers not restored in catch block
  2651  8.2.2218  Vim9: failure if passing more args to lambda than expected
  8081  8.2.2219  Vim9: method call with expression not supported
  1394  8.2.2220  Vim9: memory leak when parsing nested parenthesis
  3653  8.2.2221  if <Down> is mapped on the command line 'wildchar' is inserted
 15837  8.2.2222  Vim9: cannot keep script variables when reloading
  8145  8.2.2223  Vim9: Reloading marks a :def function as deleted
 14266  8.2.2224  Vim9: crash if script reloaded with different variable type
 12065  8.2.2225  Vim9: error when using :import in legacy script twice
  1415  8.2.2226  Vim9: script test fails
  7953  8.2.2227  Vim9: recognizing lambda is too complicated
  7410  8.2.2228  Vim9: cannot use ":e #" because # starts a comment
  1645  8.2.2229  build failure without the +eval feature
  2552  8.2.2230  Vim9: insert completion runs into error
  2578  8.2.2231  when "--remote file" is used "file" is not reloaded
  1651  8.2.2232  compiler error for falling through into next case
  7147  8.2.2233  cannot convert a byte index into a character index
  2703  8.2.2234  command line wildmenu test often fails with Unix GUI
 11933  8.2.2235  build failure with some Ruby versions
  4778  8.2.2236  'scroll' option can change when setting the statusline
  1472  8.2.2237  CI on Mac fails in sed command
 23116  8.2.2238  Vim9: cannot load a Vim9 script without the +eval feature
 15191  8.2.2239  Vim9: concatenating lines with backslash is inconvenient
  3046  8.2.2240  clientserver test fails if full path is used
  2571  8.2.2241  Build with Ruby and clang may fail
  7409  8.2.2242  Vim9: bar line continuation does not work at script level
  2990  8.2.2243  crash when popup mask contains zeroes
  1989  8.2.2244  crash when making the window width negative
  2184  8.2.2245  Vim9: return value of winrestcmd() cannot be executed
  8956  8.2.2246  cursor keys not recognized at the hit-Enter prompt
 13752  8.2.2247  VMS: various smaller problems
  1986  8.2.2248  ASAN error on exit with GUI
  1949  8.2.2249  termcodes test is flaky when used over ssh
 17246  8.2.2250  Vim9: sublist is ambiguous
  1602  8.2.2251  test failures in legacy script
  3104  8.2.2252  Vim9: crash when using lambda without return type in dict
  1254  8.2.2253  Vim9: expr test fails
 18904  8.2.2254  Vim9: bool option type is number
  3341  8.2.2255  Tcl test fails
  2899  8.2.2256  Vim9: cannot use function( after line break in :def function
 38425  8.2.2257  Vim9: using -> for lambda is ambiguous
  4382  8.2.2258  not all OCaml related files are detected
  2016  8.2.2259  Test_Executable() fails when using chroot
  1704  8.2.2260  window resize test fails in very wide terminal
  2626  8.2.2261  Vim9: boolean option gets string type
  4412  8.2.2262  Vim9: converting bool to string prefixes v:
  7110  8.2.2263  Vim9: compilation error with try-catch in skipped block
  5196  8.2.2264  Vim9: no error for mismatched :endfunc or :enddef
  2240  8.2.2265  error message for missing endfunc/enddef is last line
 12515  8.2.2266  Vim9: it can be hard to see where white space is missing
  4046  8.2.2267  Vim9: cannot use unlet for a dict member
 10588  8.2.2268  Vim9: list unpack seen as declaration
  3552  8.2.2269  not all :hardcopy code covered by tests
  1747  8.2.2270  warning for size_t to int conversion
  2779  8.2.2271  ml_get error when changing hidden buffer in Python
 15452  8.2.2272  Vim9: extend() can violate the type of a variable
  1801  8.2.2273  build failure
  3894  8.2.2274  badge for Travis is outdated
  2145  8.2.2275  CTRL-C not recognized in Mintty
  6071  8.2.2276  list of distributed files is outdated
  1454  8.2.2277  missing backslash
  6889  8.2.2278  falling back to old regexp engine can some patterns
  1660  8.2.2279  Vim9: memory leak with catch in skipped block
 19607  8.2.2280  fuzzy matching doesn't give access to the scores
  2081  8.2.2281  Vim9: compiled "wincmd" cannot be followed by bar
  2064  8.2.2282  length check mismatch with argument of strncmp()
  2468  8.2.2283  Vim9: crash when lambda has fewer arguments than expected
  2577  8.2.2284  Vim9: cannot set an option to a boolean value
  2454  8.2.2285  Vim9: cannot set an option to a false
  6448  8.2.2286  sort test fails when locale is Canadian English
  5162  8.2.2287  sort test fails when locale is French Canadian
  9404  8.2.2288  Vim9: line break and comment not always skipped
  9004  8.2.2289  Vim9: 'cpo' can become empty
  4677  8.2.2290  Vim9: unlet of global variable cannot be compiled
  7482  8.2.2291  Vim9: cannot use "null" for v:null
  1909  8.2.2292  Vim: expr test fails
  1466  8.2.2293  build failure with Motif
 26434  8.2.2294  VMS: a few remaining problems
 18243  8.2.2295  incsearch does not detect empty pattern properly
  3461  8.2.2296  cannot use CTRL-N and CTRL-P in a popup menu
  2564  8.2.2297  Vim9: cannot set 'number' to a boolean value
  7672  8.2.2298  Vim9: comment right after "(" of function not recognized
  5002  8.2.2299  Vim9: invalid memory access making error message flaky
  1819  8.2.2300  Vim9: wrong order on type stack when using dict
 44724  8.2.2301  Vim9: cannot unlet a dict or list item
  2060  8.2.2302  Vim9: using an option value may use uninitialized memory
  2161  8.2.2303  Vim9: backtick expansion doesn't work for :foldopen
  4754  8.2.2304  Vim9: no test for unletting an imported variable
  6553  8.2.2305  Vim9: "++var" and "--var" are silently accepted
 23279  8.2.2306  Vim9: when using function reference type is not checked
  2123  8.2.2307  a shell command in the vimrc causes terminal output
  4302  8.2.2308  Vim9: no error when assigning lambda to funcref
  2653  8.2.2309  0o777 not recognized as octal
  2362  8.2.2310  Vim9: winsaveview() return type is too generic
  7479  8.2.2311  Vim9: cannot assign to variable that shadows command modifier
  1498  8.2.2312  build failure with Ruby 3.0 and 32 bits
  2440  8.2.2313  Vim9: using uninitialized field when parsing range
 13291  8.2.2314  Vim9: returning zero takes two instructions
  2742  8.2.2315  Vim9: "enddef" as dict key misintepreted as function end
  2755  8.2.2316  Vim9: cannot list a lambda function
  3507  8.2.2317  Vim9: command modifier before list unpack doesn't work
 11934  8.2.2318  Vim9: string and list index work differently
 12368  8.2.2319  "exptype_T" can be read as "expected type"
  3345  8.2.2320  Vim9: no error for comparing bool with string
 22245  8.2.2321  Vim9: cannot nest closures
 21500  8.2.2322  Vim9: closure nested limiting to one level
  3407  8.2.2323  Vim9: error when inferring type from empty dict/list
 50465  8.2.2324  not easy to get mark en cursor position by character count
 10521  8.2.2325  Vim9: crash if map() changes the item type
  1502  8.2.2326  build error with +eval feature but without +spell
  2239  8.2.2327  debugging code included
  2459  8.2.2328  some test files may not be deleted
  4988  8.2.2329  not all ways Vim can be started are tested
  2774  8.2.2330  Vim9: crash when using :trow in a not executed block
 12719  8.2.2331  Vim9: wrong error when modifying dict declared with :final
 10333  8.2.2332  Vim9: missing :endif not reported when using :windo
  1830  8.2.2333  Vim9: warning for uninitialized variable
  7653  8.2.2334  Pascal-like filetypes not always detected
  2392  8.2.2335  Vim9: "silent return" does not restore command modifiers
 11580  8.2.2336  Vim9: not possible to extend dictionary with different type
  2322  8.2.2337  configure test for GTK only says "no"
  3618  8.2.2338  Vim9: no error if using job_info() result wrongly
  6342  8.2.2339  cannot get the type of a value as a string
  2572  8.2.2340  win_execute() unexpectedly returns number zero when failing
  3340  8.2.2341  expression command line completion incomplete after "g:"
 12069  8.2.2342  "char" functions may return wrong column in Insert mode
 10134  8.2.2343  Vim9: return type of readfile() is any
 20850  8.2.2344  using inclusive index for slice is not always desired
  8627  8.2.2345  no focus events in a terminal
  3318  8.2.2346  Codecov reports every little coverage drop
  1593  8.2.2347  build failure without GUI
  2979  8.2.2348  no check for modified files after focus gained
  3304  8.2.2349  Vim9: cannot handle line break after parenthesis at line end
  1948  8.2.2350  using "void" for no reason
  2461  8.2.2351  Vim9: error msg for "throw" in function called with "silent!"
  2164  8.2.2352  if focus lost/gained is received twice code is not ignored
  2078  8.2.2353  spartql files are not detected
  8907  8.2.2354  crash with a weird combination of autocommands
  1889  8.2.2355  stray test failure on Appveyor
  5258  8.2.2356  Vim9: ":put =expr" does not handle a list properly
  2060  8.2.2357  Vim9: crash when parsing function return type fails
  2255  8.2.2358  wrong #ifdef for use_xterm_like_mouse()
  1914  8.2.2359  strange test failure with MS-Windows
  1443  8.2.2360  test leaves file behind
  1878  8.2.2361  Vim9: no highlight for "s///gc" when using 'opfunc'
 19936  8.2.2362  Vim9: check of builtin function argument type is incomplete
  2239  8.2.2363  curpos() does not accept a string argument as before
  4400  8.2.2364  Vim9: line break in lambda accesses freed memory
  8739  8.2.2365  Vim9: no check for map() changing item type at script level
  8671  8.2.2366  when using ":sleep" the cursor is always displayed
  6610  8.2.2367  test failures on some less often used systems
  3275  8.2.2368  insufficient tests for setting options
 29522  8.2.2369  Vim9: functions return true/false but can't be used as bool
  2630  8.2.2370  Vim9: command fails in catch block
  3643  8.2.2371  Vim9: crash when using types in :for with unpack
  2210  8.2.2372  confusing error message for wrong :let command
  3262  8.2.2373  Vim9: list assignment only accepts a number index
  1839  8.2.2374  accessing uninitialized memory in test_undo
  1971  8.2.2375  test for RGB color skipped in the terminal
  2628  8.2.2376  Vim9: crash when dividing by zero in compiled code
  3491  8.2.2377  Vim9: crash when using a range after another expression
  4405  8.2.2378  Vim9: no error message for dividing by zero
  2159  8.2.2379  do spell suggestions twice if 'spellsuggest' contains number
  2232  8.2.2380  Vim9: occasional crash when using try/catch and a timer
  9598  8.2.2381  Vim9: divide by zero does not abort expression execution
  2220  8.2.2382  build failure
  1666  8.2.2383  focus escape sequences are not named
  2465  8.2.2384  turtle filetype not recognized
  4333  8.2.2385  "gj" and "gk" do not work correctly when inside a fold
  3371  8.2.2386  Vim9: crash when using ":silent! put"
  8866  8.2.2387  runtime type check does not mention argument index
  6013  8.2.2388  no easy way to get the maximum or mininum number value
  3879  8.2.2389  test failure on a few systems
  4180  8.2.2390  Vim9: using positive offset is unexpected
  7859  8.2.2391  memory leak when creating a global function with closure
  3162  8.2.2392  fennel filetype not recognized
  2011  8.2.2393  Vim9: error message when script line starts with "[{"
  3168  8.2.2394  Vim9: min() and max() return type is "any"
  2418  8.2.2395  Vim9: error for wrong type may report wrong line number
  4732  8.2.2396  Vim9: no white space allowed before "->"
  2753  8.2.2397  Vim9: "%%" not seen as alternate file name for ":bdel"
  1751  8.2.2398  method test fails
  1731  8.2.2399  fold test fails in wide terminal
 42070  8.2.2400  Vim9: compiled functions are not profiled
 10340  8.2.2401  build fails without +profiling feature
  6014  8.2.2402  some filetypes not detected
 15523  8.2.2403  Vim9: profiling if/elseif/endif not correct
 18331  8.2.2404  Vim9: profiling try/catch not correct
  2458  8.2.2405  Vim9: no need to allow white space before "(" for :def
  1799  8.2.2406  Vim9: profiled :def function leaks memory
  2268  8.2.2407  old jumplist code is never used
  2530  8.2.2408  MinGW: "--preprocessor" flag no longer supported
  9346  8.2.2409  Vim9: profiling only works for one function
  1660  8.2.2410  build failure without the +profiling feature
  1867  8.2.2411  profile test fails on MS-Windows
  1792  8.2.2412  not all fields in "cstack" are initialized
  2823  8.2.2413  crash when using :all while using a cmdline window
  1899  8.2.2414  using freed memory when closing the cmdline window
 11004  8.2.2415  no way to check for the cmdwin feature
  2405  8.2.2416  may get stuck in command line window state
  1713  8.2.2417  condition stack values may be used when not set
  1699  8.2.2418  color not changed if ModeMsg highlight is set in InsertEnter
  2061  8.2.2419  autocmd test was failing on MS-Windows with GUI
  6333  8.2.2420  too many problems with using all autocommand events
  5632  8.2.2421  double free when using autocommand with "argdel"
  3025  8.2.2422  crash when deleting with line number out of range
  1583  8.2.2423  missing error message
  4530  8.2.2424  some tests are known to cause an error with ASAN
  1908  8.2.2425  cursor on invalid line with range and :substitute
  5772  8.2.2426  allowing 'completefunc' to switch windows causes trouble
  5114  8.2.2427  can still switch windows for 'completefunc'
  4505  8.2.2428  FocusGained does not work when 'ttymouse' is empty
  5606  8.2.2429  :goto does not work correctly with text properties
  3053  8.2.2430  :vimgrep expands wildcards twice
  3547  8.2.2431  warning for -fno-strength-reduce with Clang 11
  2118  8.2.2432  libvterm tests are executed even when libtool doesn't work
  2466  8.2.2433  opening cmdline window gives error in BufLeave autocommand
  5804  8.2.2434  Vim9: no error when compiling str2nr() with a number
 11988  8.2.2435  setline() gives an error for some types
  1690  8.2.2436  Vim9 script test is a bit flaky
  2471  8.2.2437  deprecation warnings with default configuration
  1712  8.2.2438  out of bounds compiler warning
  3743  8.2.2439  not easy to figure out what packages to get
1186169 8.2.2440  documentation based on patches is outdated
  8770  8.2.2441  Vim9: extend() does not give an error for a type mismatch
  3735  8.2.2442  automatic GUI selection does not check for GTK 3
  3052  8.2.2443  Vim9: no compile time error for wrong str2float argument
  2510  8.2.2444  Vim9: compile error with combination of operator and list
  3021  8.2.2445  Vim9: no proper error for lambda missing return type
  2665  8.2.2446  setting 'term' empty has different error if compiled with GUI
  3243  8.2.2447  'foldlevel' not applied to folds restored from session
  3536  8.2.2448  compilation error with Ruby 3.0
 10189  8.2.2449  Vim9: flatten() always changes the list type
  1924  8.2.2450  MS-Windows: ADS was not preserved if 'backupcopy' is "yes"
  6754  8.2.2451  MS-Windows: Extended Attributes not preserved
  3481  8.2.2452  no completion for the 'filetype' option
  2733  8.2.2453  Vim9: a variable name with "->" in the next line doesn't work
  7345  8.2.2454  leading space can not be made visible
  9183  8.2.2455  Vim9: key type for literal dict and indexing is inconsistent
  1675  8.2.2456  Coverity warning for strcpy() into fixed size array
  1907  8.2.2457  Coverity warns for memory leak
  1751  8.2.2458  Coverity warns for :retab using freed memory
  1329  8.2.2459  Coverity reports dead code
  1409  8.2.2460  Coverity warns for unused value
  1788  8.2.2461  Coverity warns for unchecked return value
  1609  8.2.2462  Coverity warns for not checking for fseek() error
  2177  8.2.2463  using :arglocal in an autocommand may use freed memory
  2156  8.2.2464  using freed memory if window closed in autocommand
  3064  8.2.2465  using freed memory in :psearch
  3268  8.2.2466  max() and min() can give many error messages
  2285  8.2.2467  script generated by :mkview changes alternate file
  6824  8.2.2468  not easy to get the full command name from a shortened one
  2061  8.2.2469  confusing error if :winsize has a wrong argument
  3374  8.2.2470  popup_getoptions() does not get textprop from other tab
  2724  8.2.2471  popup_setoptions() does not set textprop in other tab
  4154  8.2.2472  crash when using command line window in an autocommand
  2769  8.2.2473  crash when leaving command line window triggers autocommand
  2034  8.2.2474  using freed memory when window is closed by autocommand
  1485  8.2.2475  autocommand tests hangs on MS-Windows
  7754  8.2.2476  using freed memory when splitting window while closing buffer
  2184  8.2.2477  autocommand tests hang on MS-Windows
  1974  8.2.2478  MS-Windows: backup files for plugins are loaded
  3275  8.2.2479  set/getbufline test fails without the job feature
  9265  8.2.2480  Vim9: some errors for white space do not show context
  2011  8.2.2481  Vim9: confusing error when variable arguments have default
  1725  8.2.2482  build error
  3377  8.2.2483  Vim9: type error for misformed expression
  1987  8.2.2484  Vim9: Cannot use a comment starting with #{
  2750  8.2.2485  when sourcing a script again the script version isn't reset
  7749  8.2.2486  Vim9: some errors for white space do not show context
  5811  8.2.2487  terminal shows garbage after double-wide character
  3898  8.2.2488  json_encode() gives generic argument error
  3481  8.2.2489  current buffer is wrong after deletebufline() fails
  5509  8.2.2490  'wrap' option is always reset when starting diff mode
  6007  8.2.2491  popup window for text property may show in first screen line
  2030  8.2.2492  command line buffer name cannot be translated
  4151  8.2.2493  text property for text left of window shows up
  4366  8.2.2494  ":rviminfo!" clears most of oldfiles
  2110  8.2.2495  text jumps up and down when moving the cursor
  1737  8.2.2496  insufficien testing for text jumping fix
  5412  8.2.2497  no error when using more than one character for a register
  1305  8.2.2498  no test for what 8.2.2494 fixes
  2480  8.2.2499  "vim -g --version" does not redirect output
  1667  8.2.2500  build fails without the GUI feature
 33826  8.2.2501  not always clear where an error is reported
  2310  8.2.2502  a few github actions are failing
  3106  8.2.2503  Vim9: a caught error may leave something on the stack
  2267  8.2.2504  Vim9: crash when using an argument from a closure
  2247  8.2.2505  Vim9: crash after defining function with invalid return type
 14155  8.2.2506  Vim9: :continue does not work correctly in a :try block
  3216  8.2.2507  github build may fail if Ubuntu 20.04 is used
  8460  8.2.2508  cannot change the character displayed in non existing lines
  2669  8.2.2509  tests fail on s390 build
  2643  8.2.2510  internal error when popup with mask is zero height or width
 13679  8.2.2511  Vim9: cannot use Vim9 script syntax in some places
  3528  8.2.2512  Vim9: compiling error test sometimes fails
  1883  8.2.2513  Vim9: missing part of :vim9cmd change
  1392  8.2.2514  Vim9: build error in tiny version
  2298  8.2.2515  memory access error when truncating an empty message
  2220  8.2.2516  test failure on s390
  1687  8.2.2517  Vim9: fix for s390 not tested on other systems
 44432  8.2.2518  'listchars' should be window-local
  2606  8.2.2519  Vim9: no reason to keep strange Vi behavior
  2255  8.2.2520  missing tests for 'listchars'
  4225  8.2.2521  some compilers can't handle pointer initialization
  2275  8.2.2522  Beancount filetype not recognized
  2006  8.2.2523  Svelte filetype not recognized
  6556  8.2.2524  cannot change the characters displayed in the foldcolumn
  7246  8.2.2525  Vim9: only local variables checked for a name
  2340  8.2.2526  build failure
  3899  8.2.2527  Vim9: lambda return type is not determined at script level
  2223  8.2.2528  Vim9: crash when compiling lambda fails
  4971  8.2.2529  Vim9: Not possible to use legacy and Vim9 script in one file
 12902  8.2.2530  Vim9: not enough testing for profiling
  6433  8.2.2531  Vim9: the :k command is obscure
  2801  8.2.2532  Vim9: confusing error if :k is used with a range
 14414  8.2.2533  Vim9: cannot use a range with :unlet
  4327  8.2.2534  missing test coverage
  1993  8.2.2535  MS-Windows: cannot run all vim9 tests
  1546  8.2.2536  Coverity complains about unchecked return value
  2386  8.2.2537  Vim9: crash when map() fails
  2315  8.2.2538  crash when using Python list iterator
 15552  8.2.2539  Vim9: return from finally block causes a hang
  3526  8.2.2540  Vim9: no error for using script var name for argument
  3270  8.2.2541  popup_create() does not allow boolean for "cursorline"
  5153  8.2.2542  highlight of char beyond line end is not correct
  2677  8.2.2543  Vim9: a return inside try/catch does not restore properly
  2826  8.2.2544  Vim9: error for argument when checking for lambda
  2256  8.2.2545  errors and crash when terminal window is zero height
  2841  8.2.2546  typo in mouse key name
  2167  8.2.2547  "%" command not accurate for big files
  1548  8.2.2548  may get stuck in the cmdline window using :normal
  2233  8.2.2549  crash after using "g:" in a for loop
  4712  8.2.2550  signal stack size is wrong with latest glibc 2.34
  1488  8.2.2551  MS-Windows: colors test file is not installed
  1714  8.2.2552  Vim9: no reason to consider "{{{{{{{{" a command
  2336  8.2.2553  Vim9: Cannot put "|" after "{"
  2397  8.2.2554  Vim9: exporting a final is not tested
  1303  8.2.2555  Vim9: missing test for 8.2.2553
  8192  8.2.2556  Vim9: :import with "as" not fully supported
  1480  8.2.2557  compiler warning for shadowd variable
 18266  8.2.2558  no error if a lambda argument shadows a variable
  1730  8.2.2559  MS-Windows: guifont test fails on Windows XP
  2589  8.2.2560  setting 'winminheigt' does not take tabline into account
  2415  8.2.2561  not all textprop code is covered by tests
  2977  8.2.2562  GUI: star register changed when 'clipboard is "unnamedplus"
 13627  8.2.2563  cannot use multibyte characters for folding in 'fillchars'
  2732  8.2.2564  focus events end Insert mode if 'esckeys' is not set
  3959  8.2.2565  Vim9: "..=" not always recognized
  5831  8.2.2566  Vim9: Function name is not recognized
  3269  8.2.2567  Vim9: no error if variable is defined for existing function
 11552  8.2.2568  second time a preview popup is opened highlight is not set
 11472  8.2.2569  'fillchars' "stl" and "stlnc" items must be single byte
  3195  8.2.2570  tests fail when run as root
  2390  8.2.2571  test may leave file behind
  2943  8.2.2572  Vim9: crash when getting the types for a legacy function
  2100  8.2.2573  Vim9: using invalid pointer for error message
  2664  8.2.2574  Vim9: crash when calling partial with wrong function
  3812  8.2.2575  Vim9: a function name with "->" in the next line doesn't work
  2770  8.2.2576  Vim9: defining a :func function checks for white space
  1707  8.2.2577  compiler warning for type conversion
  2215  8.2.2578  Lua cannot handle a passed in lambda
  1631  8.2.2579  Vim9: crash in garbagecollect after for loop
  2803  8.2.2580  Vim9: checking vararg type may be wrong
  7460  8.2.2581  Vim9: sourcing Vim9 script triggers a redraw
  3143  8.2.2582  Vim9: screendump test fails on MS-Windows
  2475  8.2.2583  Vim9: cannot compare result of getenv() with null
  2177  8.2.2584  Vim9: type error for assigning "any" to a list
  1738  8.2.2585  Vim9: illegal memory access
 10739  8.2.2586  process id may be invalid
  2564  8.2.2587  recover test fails on FreeBSD
  2678  8.2.2588  build failure with tiny features
  2670  8.2.2589  recover test hangs in the GUI
  3655  8.2.2590  Vim9: default argument value may cause internal error
  1996  8.2.2591  Poke files are not recognized
  3860  8.2.2592  code coverage could be improved
  1508  8.2.2593  list of distributed files is incomplete
  2591  8.2.2594  alternate buffer added to session file even when it's hidden
  2779  8.2.2595  setting 'winminheight' may cause 'lines' to change
  4655  8.2.2596  :doautocmd may confuse scripts listening to WinEnter
 15431  8.2.2597  Vim9: "import * as" does not work at script level
  2623  8.2.2598  Vim9: :open does not need to be supported
  1497  8.2.2599  build failure
  2895  8.2.2600  Vim9: crash when putting an unknown type in a dictionary
  1997  8.2.2601  memory usage test often fails on FreeBSD
  4235  8.2.2602  Vim9: continue doesn't work if :while is very first command
 10968  8.2.2603  Vim9: no effect if user command is also a function
  8168  8.2.2604  GUI-specific command line arguments not tested
 14405  8.2.2605  Vim9: string index and slice does not include composing chars
  9229  8.2.2606  strchars() defaults to counting composing characters
  9959  8.2.2607  strcharpart() cannot include composing characters
  4688  8.2.2608  character input not fully tested
  1879  8.2.2609  test disabled on MS-Windows even though it should work
  1763  8.2.2610  mouse click test fails when using remote connection
  5904  8.2.2611  conditions for startup tests are not exactly right
  2860  8.2.2612  col('.') may get outdated column value
  1630  8.2.2613  new test throws exception
  6303  8.2.2614  Vim9: function is deleted while executing
  1665  8.2.2615  test is sourcing the wrong file
  4739  8.2.2616  Vim9: if 'cpo' is changed in Vim9 script it may be restored
  5106  8.2.2617  Vim9: script variable in block not found by function
  2973  8.2.2618  Vim9: cannot use a normal list name to store function refs
  1947  8.2.2619  Vim9: no test for return type of lambda
  6748  8.2.2620  Vim9: Using #{ for a dictionary gives strange errors
  9780  8.2.2621  typval2type() cannot handle recursive structures
  8971  8.2.2622  GTK: error when starting up and -geometry is given
  5823  8.2.2623  some tests fail when run as root
  3196  8.2.2624  atom files not recognized
  3219  8.2.2625  rss files not recognized
  2919  8.2.2626  GTK3: error when starting up and -geometry is given
  2402  8.2.2627  no need to check for BSD after checking for not root
  3869  8.2.2628  Vim9: #{ can still be used at the script level
  3949  8.2.2629  Vim9: error for #{{ is not desired
  2050  8.2.2630  hard to see where a test gets stuck
  3537  8.2.2631  commands from winrestcmd() do not always work properly
  2637  8.2.2632  not all command line arguments are tested
  2484  8.2.2633  multi-byte 'fillchars' for folding do not show properly
  6167  8.2.2634  'tagfunc' does not indicate using a pattern
 36884  8.2.2635  Vim9: cannot define an inline function
  4479  8.2.2636  memory leak when compiling inline function
  1410  8.2.2637  prop_remove() causes a redraw even when nothing changed
 12606  8.2.2638  cannot write a message to the terminal from the GUI
  1547  8.2.2639  build failure when fsync() is not available
  3633  8.2.2640  screenstring() returns non-existing composing characters
  1958  8.2.2641  display test fails because of lacking redraw
  2423  8.2.2642  Vim9: no clear error for wrong inline function
  6481  8.2.2643  various code not covered by tests
  1941  8.2.2644  prop_clear() causes a screen update even when nothing changed
  4842  8.2.2645  using inline function is not properly tested
 16659  8.2.2646  Vim9: error for not using string doesn't mentionargument
  1461  8.2.2647  terminal test sometimes hangs
  2099  8.2.2648  terminal resize test sometimes hangs
  2310  8.2.2649  Vim9: some wincmd arguments cause a white space error
 17662  8.2.2650  Vim9: command modifiers not handled in nested function
 14027  8.2.2651  Vim9: restoring command modifiers happens after jump
 13305  8.2.2652  Vim9: can use command modifier without an effect
  1688  8.2.2653  build failure
  2877  8.2.2654  Vim9: getting a character from a string can be slow
  2840  8.2.2655  The -w command line argument doesn't work
  4543  8.2.2656  some command line arguments and regexp errors not tested
  3987  8.2.2657  Vim9: error message for declaring variable in for loop 
 14671  8.2.2658  :for cannot loop over a string
  2425  8.2.2659  eval test fails because for loop on string works
  3025  8.2.2660  Vim9: no error for declaration with trailing text
  1822  8.2.2661  leaking memory when looping over a string
  4986  8.2.2662  there is no way to avoid some escape sequences
  3021  8.2.2663  Vim9: leaking memory when inline function has an error
 12585  8.2.2664  Vim9: not enough function arguments checked for string
  2055  8.2.2665  test failures
  5278  8.2.2666  Vim9: not enough function arguments checked for string
  4526  8.2.2667  prop_find() cannot find item matching both id and type
 12895  8.2.2668  Vim9: omitting "call" for "confirm()" does not give an error
  3151  8.2.2669  command line completion does not work after "vim9"
  2184  8.2.2670  Vim9: error for append(0, text)
  1933  8.2.2671  error for line number in legacy script
  4966  8.2.2672  Vim9: cannot use :lockvar and :unlockvar in compiled script
  3038  8.2.2673  Vim9: script-local funcref can have lower case name
  2709  8.2.2674  Motif: cancelling the font dialog resets the font
  9975  8.2.2675  directory change in a terminal window shell is not followed
  1513  8.2.2676  missing error message
 20772  8.2.2677  Vim9: cannot use only some of the default arguments
  1349  8.2.2678  test for 'autoshelldir' does not reset the option
  5141  8.2.2679  status line missing for non-current window with winbar
  6188  8.2.2680  Vim9: problem defining a script variable from legacy function
  1920  8.2.2681  Vim9: test fails for redeclaring script variable
  3911  8.2.2682  Vim9: cannot find Name.Func from "import * as Name"
  1568  8.2.2683  build failure without the +eval feature
 15679  8.2.2684  not enough folding code is tested
  3909  8.2.2685  custom statusline not drawn correctly with WinBar
  3365  8.2.2686  status line is not updated when going to cmdline mode
  3752  8.2.2687  Vim9: cannot use "const" for global variable in :def function
  2629  8.2.2688  Vim9: crash when using s: for script variable
  1506  8.2.2689  tiny build fails
  3773  8.2.2690  PowerShell files are not recognized
  4010  8.2.2691  autoconf may mess up compiler flags
  2254  8.2.2692  Vim9: locked script variable can be changed
  2585  8.2.2693  Vim9: locked script variable can be changed
  6732  8.2.2694  when 'matchpairs' is empty every character beeps
  2889  8.2.2695  cursor position reset with nested autocommands
  8279  8.2.2696  Lua test fails with Lua 5.4.3 and later
  1651  8.2.2697  function list test fails
  2211  8.2.2698  Lua test fails on MS-Windows
  1529  8.2.2699  Lua test fails
  1763  8.2.2700  nested autocmd test fails sometimes
  4245  8.2.2701  order of removing FORTIFY_SOURCE is wrong
  2054  8.2.2702  compiler completion test fails when more scripts are added
  2529  8.2.2703  Vim9: memory leak when failing on locked variable
  5434  8.2.2704  adding a lot of completions can be a bit slow
  2640  8.2.2705  Vim9: misleading reported line number for wrong type
  3731  8.2.2706  Vim9: wrong line number reported for boolean operator
  1659  8.2.2707  adding a lot of completions can still be a bit slow
  3132  8.2.2708  test sometimes fails waiting for shell in terminal
  2503  8.2.2709  the GTK GUI has a gap next to the scrollbar
113445  8.2.2710  Vim9: not all tests cover script and :def function
  4142  8.2.2711  "gj" in a closed fold does not move out of the fold
  1877  8.2.2712  memory leak when adding to a blob fails
  5309  8.2.2713  folding code not sufficiently tested
  5940  8.2.2714  filetype pattern ending in star is too far up
  2257  8.2.2715  Vim9: tests fail without the channel feature
 77505  8.2.2716  the equivalent class regexp is missing some characters
  2705  8.2.2717  GTK menu items don't show a tooltip
  1994  8.2.2718  Vim9: no explicit test for using a global function without g:
 12618  8.2.2719  Vim9: appending to dict item doesn't work in a :def function
  1814  8.2.2720  GTK menu tooltip moves the cursor
  5720  8.2.2721  Vim9: cannot have a linebreak inside a lambda
  5922  8.2.2722  Vim9: crash when using LHS with double index
  1941  8.2.2723  assignment test fails
  1497  8.2.2724  Vim9: concatenating to list in dict not tested
  5932  8.2.2725  Vim9: message about compiling is wrong when using try/catch
  2249  8.2.2726  confusing error message with white space before comma
  2004  8.2.2727  function test fails
  4174  8.2.2728  special key names don't work if 'isident' is cleared
  4119  8.2.2729  Vim9: wrong error message for referring to legacy script var
  1402  8.2.2730  Coverity complains about not restoring character
  1752  8.2.2731  Mac: SF symbols are not displayed properly
  2229  8.2.2732  prompt for s///c in Ex mode can be wrong
  4720  8.2.2733  detecting Lua version is not reliable
  6042  8.2.2734  Vim9: cannot use legacy script-local var from :def function
  5264  8.2.2735  Vim9: function reference found with prefix, not without
  2078  8.2.2736  Vim9: for loop over string is a bit slow
  4247  8.2.2737  status line not updated when local 'statusline' option set
  3343  8.2.2738  extending a list with itself can give wrong result
  4033  8.2.2739  Vim9: a lambda accepts too many arguments at the script level
 11476  8.2.2740  Vim9: lambda with varargs doesn't work
  2189  8.2.2741  Vim9: Partial call does not check right arguments
  5235  8.2.2742  Vim9: when compiling a function fails it is cleared
  3878  8.2.2743  Vim9: function state stuck when compiling with ":silent!"
 14809  8.2.2744  Vim9: no way to explicitly ignore an argument
  3410  8.2.2745  Vim9: missing part of the argument change
  1734  8.2.2746  check for duplicate arguments does not work
  4268  8.2.2747  Vim9: not always an error for too many function arguments
  1595  8.2.2748  Vim9: memory leak when calling :def function fails
  1584  8.2.2749  Vim9: test for error can be a bit flaky
  1838  8.2.2750  Vim9: error for using underscore in nested function
  1937  8.2.2751  Coverity warns for using NULL pointer
  1615  8.2.2752  Coverity reports unreachable code
  7002  8.2.2753  Vim9: cannot ignore an item in assignment unpack
  5114  8.2.2754  :sleep! does not always hide the cursor
  4685  8.2.2755  Vim9: no error for using a number in a condition
 11204  8.2.2756  Vim9: blob index and slice not implemented yet
 19378  8.2.2757  Vim9: blob tests for legacy and Vim9 script are separate
  2507  8.2.2758  Vim9: wrong line number for autoload function with wrong name
 16292  8.2.2759  Vim9: for loop infers type of loop variable
  9800  8.2.2760  Vim9: no error for changing a for loop variable
  2718  8.2.2761  using "syn include" does not work properly
  3583  8.2.2762  Vim9: function line truncated when compiling
  2710  8.2.2763  Vim9: cannot use type in for loop unpack at script level
  2893  8.2.2764  memory leak when default function argument is allocated
  9279  8.2.2765  Vim9: not all blob operations work
  1590  8.2.2766  test failure
  4030  8.2.2767  compiler warning for unused argument
  1573  8.2.2768  Vim9: memory leak with blob range error
  2961  8.2.2769  Modula-3 config files are not recognized
  4532  8.2.2770  Vim9: type of loop variable is not used
  2726  8.2.2771  Vim9: assignment not recognized if declaration was skipped
  5908  8.2.2772  problems when restoring 'runtimepath' from a session file
  3928  8.2.2773  PSL filetype not recognized
  2089  8.2.2774  Vim9: cannot import an existing name even when using "as"
  5084  8.2.2775  Vim9: wrong line number used for some commands
  6754  8.2.2776  :mksession uses current value of 'splitbelow' and 'splitright'
 16270  8.2.2777  Vim9: blob operations not tested in all ways
  3810  8.2.2778  problem restoring 'packpath' in session
  1949  8.2.2779  memory access error in remove() for blob
  7099  8.2.2780  Vim9: for loop over blob doesn't work
  7279  8.2.2781  add() silently skips when adding to null list or blob
 16490  8.2.2782  Vim9: blob operations not fully tested
  2745  8.2.2783  duplicate code for setting byte in blob, blob test may fail
135765  8.2.2784  Vim9: cannot use \=expr in :substitute
 21226  8.2.2785  Vim9: cannot redirect to local variable
  1707  8.2.2786  Vim9: memory leak when using :s with expression
  1907  8.2.2787  MS-Windows: crash when using :echoconsole
  4354  8.2.2788  Raku is now the only name what once was called perl6
  6595  8.2.2789  Vim9: using \=expr in :substitute does not handle jumps
  1545  8.2.2790  filetype test fails
  2488  8.2.2791  Vim9: memory leak when using \=expr in :substitute
  3838  8.2.2792  Vim9: :disas shows instructions for default args but no text
  3006  8.2.2793  MS-Windows: string literals are writable with MSVC
  1892  8.2.2794  Linux users don't know how to get ncurses
  2762  8.2.2795  Coverity warns for not using return value
  7207  8.2.2796  Vim9: redir to variable does not accept an index
  3127  8.2.2797  Search highlight disappears in the Visual area
  4315  8.2.2798  Vim9: redir to variable with append does not accept an index
  6262  8.2.2799  Vim9: type casts don't fully work at the script level
  2571  8.2.2800  after a timer displays text a hit-enter prompt is given
  2047  8.2.2801  free Pascal makefile not recognized
  2994  8.2.2802  Vim9: illegal memory access
  5518  8.2.2803  flicker when the popup menu has an info popup
  3866  8.2.2804  setting buffer local mapping with mapset() changes global
 12128  8.2.2805  Vim9: cannot use legacy syntax in Vim9 script
  9734  8.2.2806  Vim9: using "++nr" as a command might not work
  1322  8.2.2807  build fails with tiny features
  1814  8.2.2808  Vim9: increment and decrement not sufficiently tested
  2742  8.2.2809  Vim9: :def function compilation fails when using :legacy
  2889  8.2.2810  Vim9: crash when calling a function in a substitute expression
  3901  8.2.2811  Vim9: error for missing white space doesn't say where
  4948  8.2.2812  Vim9: still crash when using substitute expression
 20773  8.2.2813  cannot grep using fuzzy matching
  1946  8.2.2814  Vim9: unused variable
  2355  8.2.2815  status line flickers when redrawing popup menu info
  4242  8.2.2816  Vim9: comment below expression in lambda causes problems
  5298  8.2.2817  Vim9: script sourcing continues after an error
  2072  8.2.2818  no jump added  when opening terminal in current window
  2621  8.2.2819  finishing an abbreviation with multi-byte char may not work
  3128  8.2.2820  session file may divide by zero
  2815  8.2.2821  MS-Windows: unnessarily loading libraries when registering OLE
  5126  8.2.2822  MS-Windows: unnessarily loading libraries when unregistering
  1650  8.2.2823  MS-Windows: launching Vim from installer doesn't open README
  4012  8.2.2824  MS-Windows: build failure with MSVC
  4211  8.2.2825  code in checkreadonly() not fully tested
  2240  8.2.2826  compiler warnings for int to size_t conversion
  1740  8.2.2827  test file was not deleted
  1745  8.2.2828  Coverity complains about not checking rename() return value
  3720  8.2.2829  some comments are not correct or clear
  4864  8.2.2830  terminal colors are not updated when 'background' is set
  1498  8.2.2831  Vim9: expandcmd() not tested
  1776  8.2.2832  operator cancelled by moving mouse when using popup
  1713  8.2.2833  two key command cancelled by moving mouse when using popup
 13136  8.2.2834  Vim9: :cexpr does not work with local variables
  1381  8.2.2835  Vim9: leaking memory in :cexpr
  3991  8.2.2836  build failure without the +quickfix feature
  5174  8.2.2837  various code lines not covered by tests
  3155  8.2.2838  file extension .wrap not recognized
  3651  8.2.2839  default redirection missing "ash" and "dash"
  7087  8.2.2840  Vim9: member operation not fully tested
  1872  8.2.2841  MS-Windows: cursor wrong when 'lz' and 'stl' are set
 21511  8.2.2842  Vim9: skip argument to searchpair() is not compiled
  3653  8.2.2843  Vim9: skip argument to searchpairpos() is not compiled
  1620  8.2.2844  Vim9: memory leak when using searchpair()
  1864  8.2.2845  MS-Windows: warning for signed/unsigned comparison
  8984  8.2.2846  Vim9: "echo Func()" does not give an error for using void
  3822  8.2.2847  Perl not tested sufficiently
  4251  8.2.2848  crash when calling partial
  9352  8.2.2849  bufwrite not sufficiently tested
  3298  8.2.2850  recalling commands from history is not tested
  2701  8.2.2851  using <Cmd> mapping on command line triggers CmdlineChanged
  2760  8.2.2852  configure can add --as-needed a second time
  2433  8.2.2853  window is not updated after using <Cmd> mapping
  7767  8.2.2854  custom statusline cannot contain % items
  3126  8.2.2855  white space after "->" does not give E274
  2688  8.2.2856  get readonly error for device that can't be written to
  4540  8.2.2857  Vim9: exception in ISN_INSTR caught at wrong level
  1894  8.2.2858  test fails because of changed error message
  1710  8.2.2859  Tcl test fails because of changed error message
  2651  8.2.2860  adding a text property causes the whole window to be redawn
  7295  8.2.2861  Vim9: "legacy return" is not recognized as a return statement
  1827  8.2.2862  removing a text property causes the whole window to be redawn
  2542  8.2.2863  removing a text property does not redraw optimally
  7449  8.2.2864  Vim9: crash when using inline function
  1810  8.2.2865  skipping over function body fails
  5580  8.2.2866  Vim9: memory leak when using inline function
  1543  8.2.2867  build failure
 24844  8.2.2868  Vim9: when executing compiled expression trylevel is changed
  4773  8.2.2869  using unified diff is not tested
  2000  8.2.2870  CmdlineChange event triggered twice for CTRL-R
  6425  8.2.2871  unnessary VIM_ISDIGIT() calls, badly indented code
  2938  8.2.2872  Python tests fail without the channel feature
  6201  8.2.2873  not enough tests for writing buffers
  1710  8.2.2874  MS-Windows: screen redraws too often
  2312  8.2.2875  cancelling inputlist() after a digit does not return zero
  2467  8.2.2876  configure cannot detect Python 3.10
  5768  8.2.2877  insufficient tests for popup menu rightleft
  2096  8.2.2878  Vim9: for loop list unpack only allows for one "_"
  2760  8.2.2879  file extension .hsig not recognized
  3495  8.2.2880  unified diff fails if actually used
  7233  8.2.2881  various pieces of code not covered by tests
  1507  8.2.2882  Vim9: memory leak when lambda has an error
 13647  8.2.2883  MS-Windows manifest file name is misleading
  3741  8.2.2884  not enough cscope code is covered by tests
  5770  8.2.2885  searching for \%'> does not match linewise end of line
  8264  8.2.2886  various pieces of code not covered by tests
  2563  8.2.2887  crash when passing null string to fullcommand()
  6180  8.2.2888  Vim9: "k" command recognized in Vim9 script
  2562  8.2.2889  typo and verbose comment in Makefiles
  3923  8.2.2890  text property duplicated when data block splits
  2559  8.2.2891  cannot build with Perl 5.34
  2363  8.2.2892  error message contains random characters
  5908  8.2.2893  multi-byte text in popup title shows up wrong
  2085  8.2.2894  MS-Windows: using enc_locale() for strftime() might not work
  9818  8.2.2895  Vim9: random characters appear in some error messages
  4137  8.2.2896  spellfile functionality not fully tested
  4800  8.2.2897  Vim9: can use reserved words at the script level
  4641  8.2.2898  QuitPre and ExitPre not triggered when GUI window is closed
  3128  8.2.2899  Appveyor script does not detect nmake failure
  3535  8.2.2900  QuitPre is triggered before :wq writes the file
 12557  8.2.2901  some operators not fully tested
  6671  8.2.2902  spellfile functionality not fully tested
  2605  8.2.2903  cursor position wrong on wrapped line with 'signcolumn'
  3441  8.2.2904  "g$" causes scroll if half a double width char is visible
  4538  8.2.2905  no error when defaults.vim cannot be loaded
  2631  8.2.2906  ASAN reports errors for test_startup
  1435  8.2.2907  memory leak when running out of memory
  3842  8.2.2908  crash when using a terminal popup window from cmdline window
  1803  8.2.2909  build error with non-Unix system
  1499  8.2.2910  test for cmdline window and terminal fails on MS-Windows
  4129  8.2.2911  pattern "\%V" does not match all of block selection
  5556  8.2.2912  MS-Windows: most users expect using Unicode
  5319  8.2.2913  MS-Windows conpty supports using mouse events
  7656  8.2.2914  cannot paste a block without adding padding
  2848  8.2.2915  MS-Windows: when using "default" for encoding utf-8 is used
  8456  8.2.2916  operators are not fully tested
  4287  8.2.2917  spellfile functionality not fully tested
  2296  8.2.2918  builtin function can be shadowed by global variable
  1638  8.2.2919  using ":!command" does not work if it uses posix_spawn()
  4359  8.2.2920  still a way to shadow a builtin function
  3454  8.2.2921  E704 for script local variable is not backwards compatible
 41021  8.2.2922  computing array length is done in various ways
  3684  8.2.2923  EBCDIC build is broken
  1425  8.2.2924  superfluous extern declaration
  2481  8.2.2925  Vim9: line continuation comment uses legacy syntax
  3150  8.2.2926  Vim9: no good error for using :legacy in a :def function
  2666  8.2.2927  test commented out because it fails with ASAN
 41978  8.2.2928  the evalfunc.c file is too big
  1695  8.2.2929  accidentally enable tcl by default
  2824  8.2.2930  when a popup is visible a mouse move my restart Visual mode
  3148  8.2.2931  Vim9: line continuation comment uses legacy syntax
  5016  8.2.2932  select mode test fails
  3682  8.2.2933  when 'clipboard' is "unnamed" zp does not work correctly
  2395  8.2.2934  ASAN error when using text from the clipboard
  2870  8.2.2935  calculating register width is not always needed
 16680  8.2.2936  Vim9: converting number to bool uses wrong stack offset
  2338  8.2.2937  popup test fails if rightleft feature not enabled
  2148  8.2.2938  after using motion force from feedkeys() it sticks
  1477  8.2.2939  GTK: righthand scrollbar does not show with split window
  4785  8.2.2940  MS-Windows: cannot see the size when resizing
  3044  8.2.2941  Vim9: using `=expr` does not handle a list of strings
  2921  8.2.2942  Vim9: error when calling function with too few arguments
  1842  8.2.2943  Vim9: check for argument count ignores default values
  9106  8.2.2944  Vim9: no error when using job or channel as a string
  9279  8.2.2945  some buffer related code is not tested
  2358  8.2.2946  Vim9: substitute expression cannot be a List
  1615  8.2.2947  build failure without the channel feature
  2529  8.2.2948  substitute() accepts a number but not a float expression
 12789  8.2.2949  tests failing because no error for float to string conversion
  4468  8.2.2950  sound code not fully tested
 10881  8.2.2951  Vim9: cannot use heredoc for :python, :lua, etc.
  4110  8.2.2952  recover test fails on big endian systems
  2221  8.2.2953  Vim9: leaking memory when using heredoc script
  2311  8.2.2954  short file name extension for Scala not recognized
  6103  8.2.2955  Vim9: using filter in compiled command does not work
  8397  8.2.2956  Vim9: need to plan for future additions
  7868  8.2.2957  using getchar() in Vim9 script is problematic
  2648  8.2.2958  function list test fails
  3182  8.2.2959  sound_playfile() is not tested on MS-Windows
  6114  8.2.2960  swap file recovery not sufficiently tested
  6732  8.2.2961  keys typed during a :normal command are discarded
  2602  8.2.2962  MS-Windows command line arguments have wrong encoding
  3930  8.2.2963  GUI: mouse move may start Visual mode with a popup visible
  3346  8.2.2964  Vim9: hang when using space after ->
  2785  8.2.2965  Vim9: crash when calling function that failed to compile
  1454  8.2.2966  ml_get errors after recovering a file
 15593  8.2.2967  Vim9: crash when using two levels of partials
  1605  8.2.2968  Vim9: memory leak
  2322  8.2.2969  subtracting from number option fails when result is zero
  3336  8.2.2970  Python configure check uses deprecated command
 11625  8.2.2971  cannot yank a block without trailing spaces
 12556  8.2.2972  "%bd" tries to delete popup window buffers, which fails
  8505  8.2.2973  fix for recovery and diff mode not tested
  8760  8.2.2974  Greek spell checking uses wrong case folding
  4339  8.2.2975  Vim9: can only use an autoload function name as a string
  2563  8.2.2976  build failure without the +eval feature
  3064  8.2.2977  crash when using a null function reference
  1455  8.2.2978  warning for uninitialized variable
  7412  8.2.2979  not all options code is covered by tests
  1539  8.2.2980  popup window test is a bit flaky
  8304  8.2.2981  recovery test is not run on big-endian systems
 21328  8.2.2982  Vim9: future commands are not reserved yet
  5474  8.2.2983  Vim9: an inline function requires specifying the return type
  1859  8.2.2984  Vim9: test fails because of missing return statement
 34364  8.2.2985  Vim9: a compiled function cannot be debugged
  1814  8.2.2986  build failure without the profile feature
  1989  8.2.2987  build failure with normal features
  2502  8.2.2988  Vim9: debugger test fails
  1810  8.2.2989  Vim9: memory leak when debugging a :def function
  2541  8.2.2990  Jupyter Notebook files are not recognized
  2168  8.2.2991  Vim9: no completion for :vim9 and :legacy
  5567  8.2.2992  Vim9: completion for :disassemble is incomplete
  5143  8.2.2993  'fileencodings' default value should depend on 'encoding'
  8044  8.2.2994  various code is not fully tested
  2974  8.2.2995  linker errors with dynamic Python 3.10
 16444  8.2.2996  Vim9: when debugging cannot inspect local variables
  3498  8.2.2997  Vim9: disassemble test fails
  2010  8.2.2998  Vim9: disassemble test fails
  2063  8.2.2999  balloon sometimes does not hide with GTK 3
  1639  8.2.3000  Vim9: warning for uninitialized variable
  1795  8.2.3001  Vim9: memory leak when compilation fails
  2067  8.2.3002  Vim doesn't abort on a fatal Tcl error
  2921  8.2.3003  Vim9: closure compiled with wrong compile type
  2362  8.2.3004  Vim9: error for missing colon given while skipping
 21238  8.2.3005  Vim9: using a void value does not give a proper error message
  2867  8.2.3006  crash when echoing a value very early
  2943  8.2.3007  Vim9: test for void value fails
  2002  8.2.3008  startup test may hang
  1636  8.2.3009  startup test may hang
 15122  8.2.3010  not enough testing for viminfo code
  9271  8.2.3011  Vim9: cannot get argument values during debugging
  2736  8.2.3012  when 'rightleft' is set the line number is drawn reversed
  8410  8.2.3013  Vim: when debugging only first line of command is displayed
  1647  8.2.3014  Coverity warns for freeing static string
  4948  8.2.3015  Vim9: Assigning to @# requires a string
 10277  8.2.3016  confusing error when expression is followed by comma
  2758  8.2.3017  Vim9: debugger shows too many lines
  4751  8.2.3018  'quickfixtextfunc' formatting is lost when switching buffers
 22360  8.2.3019  location list only has the start position.
  1325  8.2.3020  unreachable code
  2552  8.2.3021  spaces allowed between option name and "!", "?", etc.
 91594  8.2.3022  available encryption methods are not strong enough
  4175  8.2.3023  Vim9: arguments for execute() not checked at compile time
  2013  8.2.3024  execute() function test fails
  6483  8.2.3025  not enough tests for quickfix end_col and end_lnum
  7310  8.2.3026  Vim9: cannot set breakpoint in compiled function
  2696  8.2.3027  Vim9: breakpoint in compiled function not always checked
 19527  8.2.3028  GUI mouse events not tested
 10428  8.2.3029  Vim9: crash when using operator and list unpack assignment
  4130  8.2.3030  Coverity reports a memory leak
  2593  8.2.3031  no error if a function name starts with an underscore
 13164  8.2.3032  build problems with MSVC, other crypt issues with libsodium
  3001  8.2.3033  no error when using alpha delimiter with :global
  1620  8.2.3034  installing packages on github CI sometimes fails
  2880  8.2.3035  Vim9: crash when calling :def function with partial
 50455  8.2.3036  Vim9: builtin function arguments not checked at compile time
  2428  8.2.3037  configure reports libcanberra when checking for libsodium
  1337  8.2.3038  Amiga built-in version string doesn't include build date
 10316  8.2.3039  Vim9: breakpoint at a comment line does not work
 12523  8.2.3040  GUI: dropping files not tested
  2030  8.2.3041  detecting if the process of a swap file is running fails
  2021  8.2.3042  swap file test fails
  3557  8.2.3043  Amiga: cannot get the shell size on MorphOS and AROS
  2594  8.2.3044  Amiga MorphOS and AROS: process ID is not valid
  3551  8.2.3045  minor typos
  1763  8.2.3046  Amiga MorphOS: Term mode is set using DOS packets
  3688  8.2.3047  increment and decrement don't allow for next command
  3168  8.2.3048  strange error for white space after ++ command
  2663  8.2.3049  JSON patch file not recognized
  5141  8.2.3050  cannot recognize elixir files
  4173  8.2.3051  Vim9: for loop with one list variable does not work
  3766  8.2.3052  Vim9: "legacy call" does not work
  2788  8.2.3053  Vim9: cannot assign to @@ in :def function
  4076  8.2.3054  Vim9: unpack assignment using "_" after semicolon fails
  4269  8.2.3055  strange error for assigning to "x.key" on non-dictionary
  2368  8.2.3056  Vim9: using default value in lambda gives confusing error
  1605  8.2.3057  Vim9: debugger test fails with normal features and +terminal
  2427  8.2.3058  Vim9: cannot use ternary operator in parenthesis
  3190  8.2.3059  Vim9: memory leak when using lambda
  2218  8.2.3060  Vim9: cannot use ternary operator in parenthesis
 11463  8.2.3061  testing the shell option is incomplete and spread out
  4339  8.2.3062  internal error when adding several text properties
  3661  8.2.3063  crash when switching 'cryptmethod' to xchaha20 with undo file
  4962  8.2.3064  Vim9: in script cannot set item in uninitialized list
  2743  8.2.3065  Vim9: error when sourcing script twice and reusing function
  3347  8.2.3066  Vim9: debugging lambda does not work
  2601  8.2.3067  building fails with Athena
 18539  8.2.3068  Unicode tables are slightly outdated
 42441  8.2.3069  error messages are spread out
  5352  8.2.3070  not enough testing for shell use
 26783  8.2.3071  shell options are not set properly for PowerShell
  3066  8.2.3072  "zy" does not work well when "virtualedit' is "block"
  8971  8.2.3073  when cursor is move for block append wrong text is inserted
  8131  8.2.3074  popup_atcursor() uses wrong position with concealing
  3251  8.2.3075  xxd always reports an old version string
  3693  8.2.3076  Vim9: using try in catch block causes a hang
  6412  8.2.3077  Vim9: an error in a catch block is not reported
  4377  8.2.3078  Vim9: profile test fails
 25442  8.2.3079  Powershell core not supported by default
  4437  8.2.3080  recover test fails on 32bit systems
  1929  8.2.3081  cannot catch errors in a channel command
  3896  8.2.3082  a channel command "echoerr" does not show anything
  2217  8.2.3083  crash when passing null string to charclass()
 83840  8.2.3084  Vim9: builtin function argument types are not checked
  2079  8.2.3085  JSONC files are not recognized
  3696  8.2.3086  Vim9: breakpoint on "for" does not work
  2314  8.2.3087  Gemtext files are not recognized
  3246  8.2.3088  with 'virtualedit' set to "block" Visual highlight is wrong
  5277  8.2.3089  garbage collection has useless code
  1747  8.2.3090  in rare cases the cursor may be somewhere in a folded line
  4076  8.2.3091  Vim9: default argument expr. cannot use previous argument
  3321  8.2.3092  Vim9: builtin function test fails without +channel feature
  2244  8.2.3093  tablabel_tooltip test fails with Athena
  1487  8.2.3094  Test_popup_atcursor_pos() fails without the conceal feature
  3946  8.2.3095  with 'virtualedit' set to "block" block selection is wrong
  2413  8.2.3096  temp files remain after running tests
  2979  8.2.3097  crash when using "quit" at recovery prompt
  2661  8.2.3098  popup window test is flaky on MS-Windows with GUI
  4793  8.2.3099  Vim9: missing catch/finally not reported at script level
  6985  8.2.3100  Vim9: no error when using type with unknown number of args
  1641  8.2.3101  missing function prototype for vim_round()
  2830  8.2.3102  test for crash fix does not fail without the fix
  4314  8.2.3103  swap test may fail on some systems
  3314  8.2.3104  Vim9: unspecified function type causes type error
  3650  8.2.3105  Vim9: type of partial is wrong when it has arguments
  3023  8.2.3106  Vim9: confusing line number reported for error
  2392  8.2.3107  Vim9: error for arguments while type didn't specify arguments
  2709  8.2.3108  test for remote_foreground() fails
  1623  8.2.3109  check for $DISPLAY never fails
 16612  8.2.3110  a pattern that matches the cursor position is complicated
  3473  8.2.3111  Vim9: confusing error with extra whitespace before colon
  1825  8.2.3112  in rare cases the cursor may be somewhere in a folded line
  3618  8.2.3113  no error when for loop variable shadows script variable
  2886  8.2.3114  Amiga-like systems: build error using stat()
  1918  8.2.3115  Coverity complains about free_wininfo() use
  3178  8.2.3116  Vim9: crash when debugging a function with line continuation
  4757  8.2.3117  Vim9: type not properly checked in for loop
  2291  8.2.3118  Vim9: "any" type not handled correctly in for loop
  1436  8.2.3119  compiler warning for unused argument
  3015  8.2.3120  crypt with sodium test fails on MS-Windows
 10035  8.2.3121  'listchars' "exceeds" character appears in foldcolumn
  5306  8.2.3122  with 'nowrap' cursor position is unexected in narrow window
  4078  8.2.3123  Vim9: confusing error when using white space after option
  3413  8.2.3124  Vim9: no error for white space between option and "=9"
  2822  8.2.3125  variables are set but not used
  2411  8.2.3126  Vim9: for loop error reports wrong line number
  2487  8.2.3127  Vim9: no error when adding number to list of string
  7569  8.2.3128  Vim9: uninitialzed list does not get type checked
  9632  8.2.3129  Vim9: imported uninitialized list does not get type checked
  2188  8.2.3130  Vim9: import test fails
  1532  8.2.3131  MS-Windows: ipv6 channel test is very flaky in the GUI
  1669  8.2.3132  compiler warns for size_t to colnr_T conversion.
  1794  8.2.3133  Vim9: memory leak when add() fails
  2240  8.2.3134  crash when using typename() on a function reference
101275  8.2.3135  Vim9: builtin function arguments not checked at compile time
  2376  8.2.3136  no test for E187 and "No swap file"
  9541  8.2.3137  Vim9: no error when a line only has a variable name
  3703  8.2.3138  debugger test fails
 93444  8.2.3139  functions for string manipulation are spread out
  1804  8.2.3140  MS-Windows: ipv6 channel test is very flaky also without GUI
  8842  8.2.3141  no error when using :complete for :command without -nargs
  3167  8.2.3142  Vim9: type check for has_key() argument is too strict
  2542  8.2.3143  Vim9: wrong context if lambda called from profiled function
  3737  8.2.3144  Vim9: no error when using an invalid value for a line number
  1631  8.2.3145  Vim9: profile test fails without profile feature
  2365  8.2.3146  Vim9: line number wrong for :execute argument
  5816  8.2.3147  Vim9: profiling does not work with a nested function
  4015  8.2.3148  Vim9: function arg type check does not handle base offset
  6465  8.2.3149  some plugins have a problem with the error check
 19253  8.2.3150  Vim9: argument types are not checked at compile time
  3921  8.2.3151  Vim9: profiling fails if nested function is also profiled
  2091  8.2.3152  Vim9: accessing "s:" results in an error
  3668  8.2.3153  URLs with a dash in the scheme are not recognized
  3942  8.2.3154  Vim9: some type checks for builtin functions fail
  3785  8.2.3155  some option related code not covered by tests
  1573  8.2.3156  Vim9: term_getansicolors() test fails without +termguicolors
  1860  8.2.3157  crypt test may fail on MS-Windows
  2165  8.2.3158  strange error message when using islocked() with a number
  1818  8.2.3159  cursor displayed in wrong position after deleting line
  6806  8.2.3160  'breakindent' does not work well for bulleted lists
  3989  8.2.3161  Vim9: no error when reltime() has invalid arguments
109540  8.2.3162  Vim9: argument types are not checked at compile time
  2598  8.2.3163  location list window may open a wrong file
  2454  8.2.3164  MS-Windows: reported version lacks patchlevel
  2557  8.2.3165  Vim9: in a || expression the error line number may be wrong
  3244  8.2.3166  Vim9: nested autoload call error overruled by "Unknown error"
  3245  8.2.3167  get E12 in a job callback when searching for tags
  2389  8.2.3168  Vim9: type error for constant of type any
  5858  8.2.3169  Vim9: cannot handle nested inline function
  1568  8.2.3170  Illegal memory access in test
  1685  8.2.3171  another illegal memory access in test
  1849  8.2.3172  MzScheme test fails
 39646  8.2.3173  Vim9: argument types are not checked at compile time
  2042  8.2.3174  Vim9: "legacy undo" finds "undo" variable
  2167  8.2.3175  Vim9: using illegal pointer with nested lambdas.
  5184  8.2.3176  Vim9: no type error for comparing number with string
  3391  8.2.3177  Vim9: can not use "for _ in expr" at script level
  9463  8.2.3178  Vim9: the file name of an :import cannot be an expression
 20887  8.2.3179  Vim9: cannot assign to an imported variable at script level
  7486  8.2.3180  Vim9: memory leak when concatenating to an imported string
  6653  8.2.3181  Vim9: builtin function test fails without channel feature
  2918  8.2.3182  Vim9: crash when using removing items from a constant list
  4986  8.2.3183  duplicate error numbers
 27080  8.2.3184  cannot add a digraph with a leading space
  3092  8.2.3185  Vim9: start of inline function found in comment line
  4516  8.2.3186  Vim9: not all failures for import tested
  4050  8.2.3187  Vim9: popup timer callback is not compiled
176591  8.2.3188  Vim9: argument types are not checked at compile time
  2126  8.2.3189  Vim9: error when using "try|"
 35254  8.2.3190  error messages are spread out
 13530  8.2.3191  Vim9: not enough code is tested
  1889  8.2.3192  build failure with small version
  3511  8.2.3193  screenpos() is wrong when 'display' is "lastline"
 59392  8.2.3194  Vim9: argument types are not checked at compile time
  2321  8.2.3195  Vim9: unclear error when passing too many arguments to lambda
  7591  8.2.3196  Vim9: bool expression with numbers only fails at runtime
 16286  8.2.3197  error messages are spread out
  6236  8.2.3198  cannot use 'formatlistpat' for breakindent
  1662  8.2.3199  Vim9: execution speed can be improved
 23523  8.2.3200  Vim9: hard to guess where a type error is given
  2864  8.2.3201  crash in test
 10760  8.2.3202  Vim9: tests are only executed for legacy script
  3518  8.2.3203  Vim9: compiled string expression causes type error
  6808  8.2.3204  display garbled when 'cursorline' is set and lines wrap
  1999  8.2.3205  Coverity reports a null pointer dereference
 90700  8.2.3206  Vim9: argument types are not checked at compile time
  1941  8.2.3207  Vim9: crash when compiling string fails
 10643  8.2.3208  dynamic library load error does not mention why it failed
  3153  8.2.3209  Vim9: lambda doesn't find block-local variable
  2548  8.2.3210  Vim9: searchpair() sixth argument is compiled
 29160  8.2.3211  Vim9: argument types are not checked at compile time
 21410  8.2.3212  Vim9: execution speed can be improved
  3234  8.2.3213  NOCOMPOUNDSUGS entry in spell file not tested
  5519  8.2.3214  MS-Windows: passing /D does not set the install location
 44525  8.2.3215  Vim9: argument types are not checked at compile time
 14015  8.2.3216  Vim9: crash when using variable in a loop at script level
  1671  8.2.3217  build failure
  7124  8.2.3218  when using xchaha20 crypt undo file is not removed
  3451  8.2.3219  :find searches non-existing directories
  2360  8.2.3220  Test_term_setansicolors() fails in some configurations
 26635  8.2.3221  Vim9: argument types are not checked at compile time
  3197  8.2.3222  Vim9: cannot used loop variable later as lambda argument
  2792  8.2.3223  Vim: using {} block in autoloade omnifunc fails
  3312  8.2.3224  cannot call script-local function after :vim9cmd
  1712  8.2.3225  incsearch highlighting is attempted halfway a mapping
 32057  8.2.3226  new digraph functions use old naming scheme
 26979  8.2.3227  'virtualedit' can only be set globally
  7407  8.2.3228  cannot use a simple block for the :command argument 
359915  8.2.3229  Vim9: runtime and compile time type checks are not the same
  2152  8.2.3230  Vim9: type error when function return type is not known yet
  1583  8.2.3231  build failure with small features
  4275  8.2.3232  system() does not work without a second argument
 31416  8.2.3233  prop_list() and prop_find() do not indicate the buffer
  2579  8.2.3234  crash when printing long string with Lua
  2152  8.2.3235  cannot use lambda in {} block in user command
  4161  8.2.3236  mode() does not indicate using CTRL-O in Select mode
  2703  8.2.3237  when a builtin function gives an error processing continues
  3348  8.2.3238  Vim9: error message does not indicate the location
  3204  8.2.3239  Vim9: no error using heredoc for a number variable
  2130  8.2.3240  Lua print() does not work properly
  1739  8.2.3241  Vim9: memory leak when function reports an error
  2643  8.2.3242  Vim9: valgrind reports leaks in builtin function test
  8100  8.2.3243  MS-Windows: "edit with multiple Vim" choice is less useful
  3824  8.2.3244  Lua 5.3 print() with a long string crashes 
  4634  8.2.3245  the crypt key may appear in a swap partition
  1702  8.2.3246  memory use after free
  2191  8.2.3247  using uninitialized memory when checking for crypt method
  2395  8.2.3248  Vim9: error message for wrong input uses wrong line number
  7733  8.2.3249  Vim9: error for re-imported function with default argument
  1549  8.2.3250  MS-Windows: cannot build with libsodium
  2449  8.2.3251  listing builtin_gui as an available terminal is confusing
  7036  8.2.3252  duplicated code for adding buffer lines
  2366  8.2.3253  channel test fails randomly
  3910  8.2.3254  win_gettype() does not recognize a quickfix window
  3902  8.2.3255  ci" finds following string but ci< and others don't
  2054  8.2.3256  executable test may fail on new Ubuntu system
  2317  8.2.3257  calling prop_find() with -1 for ID gives errornous error
 28225  8.2.3258  error messages have the wrong text
  6643  8.2.3259  when 'indentexpr' causes an error did_throw may hang
  1646  8.2.3260  build failure with small features
  3806  8.2.3261  Vim9: when compiling repeat(123, N) return type is number
  1743  8.2.3262  build failure when ABORT_ON_INTERNAL_ERROR is defined
  4026  8.2.3263  Vim9: "..=" does not accept same types as the ".." operator
  1804  8.2.3264  Vim9: assign test fails
  4019  8.2.3265  smartcase does not work correctly in very magic pattern
  3182  8.2.3266  Vim9: assignment with two indexes may check next line
 10344  8.2.3267  Vim9: crash when disassembling using deleted script variable
 14028  8.2.3268  cannot use a block with :autocmd like with :command
  5841  8.2.3269  Vim9: wrong argument check for partial
  3381  8.2.3270  prop_find() finds property with ID -2
  8190  8.2.3271  Vim9: cannot use :command or :au with block in :def function
  2994  8.2.3272  cannot use id zero with prop_find()
  1581  8.2.3273  autocmd test fails
 10360  8.2.3274  macro for printf format check can be simplified
 30755  8.2.3275  optimizer can use hints about ga_grow() normally succeeding
  5479  8.2.3276  Vim9: exists() can only be evaluated at runtime
  2949  8.2.3277  Vim9: compiled has() does not work properly
  2228  8.2.3278  Vim9: error when adding 1 to float
  3014  8.2.3279  Vim9: cannot use block in cmdline window
 13922  8.2.3280  'virtualedit' local to buffer is not the best solution
  5113  8.2.3281  Vim9: TODO items in tests can be taken care of
  2936  8.2.3282  Vim9: error about using -complete without -nargs is confusing
  2153  8.2.3283  Julia filetype is not recognized
  9525  8.2.3284  no error for insert() or remove() changing a locked blob
  2055  8.2.3285  scdoc filetype is not recognized
  7610  8.2.3286  win_enter_ext() has too many boolean arguments
  9185  8.2.3287  channel events not handled in BufEnter autocommand
 16296  8.2.3288  cannot easily access namespace dictionaries from Lua
  2413  8.2.3289  compiler warning for unused variable with small features
  5417  8.2.3290  Vim9: compiling dict may use pointer after free
  2195  8.2.3291  Coverity warns for not checking return value
  2704  8.2.3292  underscore in very magic pattern causes a hang
  5907  8.2.3293  finding completions may cause an endless loop
  2178  8.2.3294  Lua: memory leak when adding dict item fails
 36937  8.2.3295  'cursorline' should not apply to 'breakindent'
  2585  8.2.3296  Vim9: cannot add a number to a float
 17908  8.2.3297  cannot use all commands inside a {} block
  1712  8.2.3298  build failure with small features
  5143  8.2.3299  Vim9: exists() does not handle much at compile time
 10471  8.2.3300  Lua: can only execute one Vim command at a time
 50663  8.2.3301  memory allocation functions don't have their own place
  4289  8.2.3302  Coverity is not run from github
  8935  8.2.3303  some structures could be smaller
  3960  8.2.3304  popup window title with wide characters is truncated
  5951  8.2.3305  Vim9: :finally in skipped block not handled correctly
  2383  8.2.3306  unexpected "No matching autocommands"
  8064  8.2.3307  Vim9: :echoconsole cannot access local variables
  2824  8.2.3308  Vim9: no runtime check for argument type with varargs only
  4008  8.2.3309  Vim9: divide by zero causes a crash
  6632  8.2.3310  Vim9: unpack assignment does not mention source of type error
  5141  8.2.3311  Vim9: check for DO_NOT_FREE_CNT is very slow
  2431  8.2.3312  Vim9: after "if false" line breaks in expression not skipped
  2659  8.2.3313  unused code in win_exchange() and frame_remove()
 10999  8.2.3314  behavior of exists() in a :def function is unpredictable
  9000  8.2.3315  cannot use single quote in a float number for readability
  1710  8.2.3316  float test fails
  3028  8.2.3317  Vim9: No error for missing white space before return type
  2328  8.2.3318  Vim9: cannot ignore quotes in number at the command line
  1871  8.2.3319  Coverity action on github does not work
 88974  8.2.3320  some local functions are not static
  3611  8.2.3321  some code is not tested
  3706  8.2.3322  Vim9: checking type of dict does not check member type
  1791  8.2.3323  help tag for exists_compiled() is wrong
  8029  8.2.3324  Vim9: Cannot use :silent with :endwhile
  2256  8.2.3325  digraph test fails when LC_ALL is set to "C"
  4673  8.2.3326  Vim9: no error passing an empty list of the wrong type
  3443  8.2.3327  no check for sysconf() failing
  2241  8.2.3328  Coverity error for not checking return value
  1296  8.2.3329  v_lock not set when getting value of environment variable
  1434  8.2.3330  Coverity reports using uninitialized field
  2236  8.2.3331  Coverity warns for using value without boundary check
 19182  8.2.3332  Vim9: cannot assign to range in list
  5016  8.2.3333  Vim9: not enough tests run with Vim9
 10986  8.2.3334  Vim9: not enough tests run with Vim9
 31096  8.2.3335  Vim9: not enough tests run with Vim9
  2873  8.2.3336  behavior of negative index in list change changed
  2462  8.2.3337  completing "call g:" returns entries with just "g:"
  2783  8.2.3338  Vim9: no type check when assigning a list range
 10444  8.2.3339  Vim9: cannot lock a member in a local dict
  1418  8.2.3340  accessing uninitialized pointer
  8028  8.2.3341  Vim9: function call aborted despite try/catch
  2707  8.2.3342  test for :let errors fails
  1881  8.2.3343  Vim9: autoload test fails
  2293  8.2.3344  vimscript test fails
  5430  8.2.3345  some code not covered by tests
  2302  8.2.3346  Vim9: no error using "." for concatenation after ":vim9cmd"
  8839  8.2.3347  check for legacy script is incomplete
  5043  8.2.3348  line2byte() returns wrong value after adding textprop
  1537  8.2.3349  eval test for scriptversion fails
  1703  8.2.3350  text properties test fails on MS-Windows
  2730  8.2.3351  Vim9: using a function by name may delete it
  2218  8.2.3352  Vim9: error for nested :enddef has wrong line number
  8358  8.2.3353  Vim9: type of argument for negate not checked at compile time
  2938  8.2.3354  build failure with +byte_offset but without +textprop
  2241  8.2.3355  MS-Windows: compiler warning for 64-32 bit conversion
 20067  8.2.3356  adding many text properties requires a lot of function calls
  2150  8.2.3357  crash when 'virtualedit' is set and window is narrow
  3133  8.2.3358  structurizr files are not recognized
  2904  8.2.3359  Vim9: error for type when variable is not set
  3587  8.2.3360  user function completion fails with dict function
  6074  8.2.3361  Vim9: crash with nested :while
  4973  8.2.3362  buffer overflow when completing long tag name
  4443  8.2.3363  when :edit reuses the current buffer the alternate file is set
 13355  8.2.3364  Vim9: crash when :for is skipped
  4683  8.2.3365  Vim9: cannot use option for all operations
  5012  8.2.3366  Vim9: debugging elseif does not stop before condition
  3395  8.2.3367  Vim9: :@r executing a register is inconsistent
  2390  8.2.3368  not all Racket files are recognized
  2827  8.2.3369  auto formatting after "cw" leaves cursor in wrong spot
  2491  8.2.3370  Vim9: no check for white space before type in declaration
  4096  8.2.3371  Vim9: :$ENV cannot be followed by ->func() in next line
  2631  8.2.3372  line2byte() value wrong when adding a text property
  1608  8.2.3373  text property test fails on MS-Windows
  2078  8.2.3374  Pyret files are not recognized
  1735  8.2.3375  using uninitialized memory
  4880  8.2.3376  Vim9: no warning that "@r" does not do anything
  2746  8.2.3377  Vim9: :disass completion does not understand "s:"
  2753  8.2.3378  MS-Windows: completing environment variables with % is wrong
  2191  8.2.3379  crash when using NULL job
  2054  8.2.3380  crash when using NULL string for funcref()
  2358  8.2.3381  crash when using NULL list with sign functions
  3009  8.2.3382  crash when getting the type of a NULL partial
  3193  8.2.3383  Vim9: completion for :disassemble adds parenthesis
  3919  8.2.3384  cannot disable modeline for an individual file
  5555  8.2.3385  escaping for fish shell does not work properly
  1432  8.2.3386  using uninitialized memory
  1672  8.2.3387  compiler warning for non-static function
  2742  8.2.3388  fnamemodify('path/..', ':p') differs from using 'path/../'
 11496  8.2.3389  cannot stop insert mode completion without side effects
 47826  8.2.3390  included xdiff code is outdated
  2622  8.2.3391  crash with combination of 'linebreak' and other options
  3200  8.2.3392  augroup completion escapes regexp pattern characters
  4031  8.2.3393  escaping for fish shell is skipping some characters
  8252  8.2.3394  filler lines are wrong when changing text in diff mode
  7982  8.2.3395  Vim9: expression breakpoint not checked in :def function
  1635  8.2.3396  when libcall() fails invalid pointer may be used
  2218  8.2.3397  no test for what 8.2.3391 fixes
  7760  8.2.3398  html text objects are not fully tested
  7241  8.2.3399  Octave files are not recognized
  6890  8.2.3400  ":z!" is not supported
  3679  8.2.3401  Vim9: cannot use negative count with finddir() and findfile()
  8228  8.2.3402  invalid memory access when using :retab with large value
  2365  8.2.3403  memory leak for :retab with invalid argument
  2935  8.2.3404  Vim9: no error for white space before "("
  2259  8.2.3405  cannot have a comment line in a {} block of a user command
  2332  8.2.3406  on some systems tests fail without _REENTRANT
  1439  8.2.3407  using uninitialized memory with "let g:['bar'] = 2"
  2154  8.2.3408  can delete a numbered function
  1966  8.2.3409  reading beyond end of line with invalid utf-8 character
  5034  8.2.3410  crash with linebreak, listchars and large tabstop
  2847  8.2.3411  Vim9: crash when using base name of import
  2218  8.2.3412  Vim9: importing the wrong file
  4346  8.2.3413  Vim9: too many characters are allowed in import name
  5129  8.2.3414  fullcommand() gives wrong name with buffer-local user command
 40973  8.2.3415  Vim9: not all function argument types are properly checked
  2798  8.2.3416  second error is reported while exception is being thrown
  5127  8.2.3417  Vim9: a failing debug expression aborts script sourcing
  1770  8.2.3418  garbage collection while evaluating may cause trouble
  4557  8.2.3419  a failing debug expression may make Vim unusable
  2810  8.2.3420  _REENTRANT defined more than once
  4357  8.2.3421  a bit of code is not covered by tests
  2262  8.2.3422  Vim9: no failure if return type differs from returned var
  5543  8.2.3423  Vim9: list += list creates a new list in :def function
 16400  8.2.3424  a sequence of spaces is hard to see in list mode
  1715  8.2.3425  warning for using uninitialized variable
  3743  8.2.3426  crash when deleting a listener in a listener callback
  4124  8.2.3427  double free when list is copied
  3206  8.2.3428  using freed memory when replacing
  3054  8.2.3429  leaking memory when assigning to list or dict
 14822  8.2.3430  no generic way to trigger an autocommand on mode change
  2663  8.2.3431  completion for :disas sorts local functions first
  3733  8.2.3432  octave/Matlab filetype detection does not work properly
  5059  8.2.3433  :delcommand does not take a -buffer option
  1568  8.2.3434  function prototype for trigger_modechanged() is incomplete
 18817  8.2.3435  Vim9: dict is not passed to dict function
  1690  8.2.3436  check for optional bool type has confusing return type
  3773  8.2.3437  compiler warnings for 32/64 bit usage
 15549  8.2.3438  cannot manipulate blobs
  4615  8.2.3439  deleted lines go to wrong yank register
  1637  8.2.3440  recover test fails if there is an old swap file
  1886  8.2.3441  MS-Windows: vimtutor can't handle path with spaces
 10826  8.2.3442  Vim9: || and && are not handled at compile time
  1759  8.2.3443  Vim9: memory leak when and/or fails
  4524  8.2.3444  concealed text not revealed when leaving insert mode
  2221  8.2.3445  on Solaris longVersion may be declared twice
 27010  8.2.3446  not enough tests for empty string arguments
  1919  8.2.3447  a couple of declarations are not ANSI C
  3624  8.2.3448  :endtry after function call that throws not found
  2060  8.2.3449  sort fails if the sort compare function returns 999
  4508  8.2.3450  coveralls action fails
  5368  8.2.3451  not all apache files are recognized
  3203  8.2.3452  MPD files are not recognized
  2136  8.2.3453  autocmd not executed when editing a directory
  3307  8.2.3454  using a count with "gp" leave cursor in wrong position
  2294  8.2.3455  using a count with "gp" leaves '] in wrong position
